# MyriadPro package
# Matthew Bertucci 2022/05/08 for v0.5b

#include:kvoptions
#include:fltpoint
#include:ifthen
#include:MyriadPro-FontDef
#include:textcomp
#include:microtype
#include:fontaxes

#keyvals:\usepackage/MyriadPro#c
onlytext
onlymath
math
sansmath
scale=%<factor%>
noopticals
smallfamily
medfamily
normalsize
textosf
textlf
mathosf
mathlf
osf
lf
mathtabular
cmsy
abx
crswash
crswash=#noptsmall,optsmall,noptmed,optmed
lucidabb
fourierbb
frenchmath
mixedgreek
italicgreek
myriadint
footnotefigures
loosequotes
#endkeyvals

#ifOption:onlymath
#include:mdsymbol
\backepsilon#m
\Bbbk#m
\digamma#m
\eth#m
\italpha#*m
\itbackepsilon#*m
\itbeta#*m
\itchi#*m
\itDelta#*m
\itdelta#*m
\itdigamma#*m
\itepsilon#*m
\iteta#*m
\iteth#*m
\itGamma#*m
\itgamma#*m
\itiota#*m
\itkappa#*m
\itLambda#*m
\itlambda#*m
\itmu#*m
\itnu#*m
\itOmega#*m
\itomega#*m
\itPhi#*m
\itphi#*m
\itPi#*m
\itpi#*m
\itPsi#*m
\itpsi#*m
\itrho#*m
\itSigma#*m
\itsigma#*m
\ittau#*m
\itTheta#*m
\ittheta#*m
\itUpsilon#*m
\itupsilon#*m
\itvarbackepsilon#*m
\itvarbeta#*m
\itvarepsilon#*m
\itvarkappa#*m
\itvarphi#*m
\itvarpi#*m
\itvarrho#*m
\itvarsigma#*m
\itvartheta#*m
\itXi#*m
\itxi#*m
\itzeta#*m
\mathbb{text%plain}#m
\mathfrak{text%plain}#m
\slashedzero#m
\tstrokedint#*m
\tstrokedint#*m
\upalpha#*m
\upbackepsilon#*m
\upbeta#*m
\upchi#*m
\upDelta#*m
\updelta#*m
\updigamma#*m
\upell#*m
\upepsilon#*m
\upeta#*m
\upeth#*m
\upGamma#*m
\upgamma#*m
\uphbar#*m
\upimath#*m
\upiota#*m
\upjmath#*m
\upkappa#*m
\upLambda#*m
\uplambda#*m
\upmu#*m
\upnu#*m
\upOmega#*m
\upomega#*m
\uppartial#*m
\upPhi#*m
\upphi#*m
\upPi#*m
\uppi#*m
\upPsi#*m
\uppsi#*m
\uprho#*m
\upSigma#*m
\upsigma#*m
\uptau#*m
\upTheta#*m
\uptheta#*m
\upUpsilon#*m
\upupsilon#*m
\upvarbackepsilon#*m
\upvarbeta#*m
\upvarepsilon#*m
\upvarkappa#*m
\upvarphi#*m
\upvarpi#*m
\upvarrho#*m
\upvarsigma#*m
\upvartheta#*m
\upXi#*m
\upxi#*m
\upzeta#*m
\varbackepsilon#m
\varbeta#m
\varidotsint#m
\variiiint#m
\variiint#m
\variint#m
\varint#m
\varkappa#m
\varlanddownint#m
\varlandupint#m
\varlcircleleftint#m
\varlcirclerightint#m
\varoiint#m
\varoint#m
\varrcircleleftint#m
\varrcirclerightint#m
\varsmallint#m
\varstrokedint#m
\varsumint#m
#keyvals:\mathversion#c
tabular
boldtabular
#endkeyvals
#endif

#ifOption:math
#include:mdsymbol
\backepsilon#m
\Bbbk#m
\digamma#m
\eth#m
\italpha#*m
\itbackepsilon#*m
\itbeta#*m
\itchi#*m
\itDelta#*m
\itdelta#*m
\itdigamma#*m
\itepsilon#*m
\iteta#*m
\iteth#*m
\itGamma#*m
\itgamma#*m
\itiota#*m
\itkappa#*m
\itLambda#*m
\itlambda#*m
\itmu#*m
\itnu#*m
\itOmega#*m
\itomega#*m
\itPhi#*m
\itphi#*m
\itPi#*m
\itpi#*m
\itPsi#*m
\itpsi#*m
\itrho#*m
\itSigma#*m
\itsigma#*m
\ittau#*m
\itTheta#*m
\ittheta#*m
\itUpsilon#*m
\itupsilon#*m
\itvarbackepsilon#*m
\itvarbeta#*m
\itvarepsilon#*m
\itvarkappa#*m
\itvarphi#*m
\itvarpi#*m
\itvarrho#*m
\itvarsigma#*m
\itvartheta#*m
\itXi#*m
\itxi#*m
\itzeta#*m
\mathbb{text%plain}#m
\mathfrak{text%plain}#m
\slashedzero#m
\tstrokedint#*m
\tstrokedint#*m
\upalpha#*m
\upbackepsilon#*m
\upbeta#*m
\upchi#*m
\upDelta#*m
\updelta#*m
\updigamma#*m
\upell#*m
\upepsilon#*m
\upeta#*m
\upeth#*m
\upGamma#*m
\upgamma#*m
\uphbar#*m
\upimath#*m
\upiota#*m
\upjmath#*m
\upkappa#*m
\upLambda#*m
\uplambda#*m
\upmu#*m
\upnu#*m
\upOmega#*m
\upomega#*m
\uppartial#*m
\upPhi#*m
\upphi#*m
\upPi#*m
\uppi#*m
\upPsi#*m
\uppsi#*m
\uprho#*m
\upSigma#*m
\upsigma#*m
\uptau#*m
\upTheta#*m
\uptheta#*m
\upUpsilon#*m
\upupsilon#*m
\upvarbackepsilon#*m
\upvarbeta#*m
\upvarepsilon#*m
\upvarkappa#*m
\upvarphi#*m
\upvarpi#*m
\upvarrho#*m
\upvarsigma#*m
\upvartheta#*m
\upXi#*m
\upxi#*m
\upzeta#*m
\varbackepsilon#m
\varbeta#m
\varidotsint#m
\variiiint#m
\variiint#m
\variint#m
\varint#m
\varkappa#m
\varlanddownint#m
\varlandupint#m
\varlcircleleftint#m
\varlcirclerightint#m
\varoiint#m
\varoint#m
\varrcircleleftint#m
\varrcirclerightint#m
\varsmallint#m
\varstrokedint#m
\varsumint#m
#keyvals:\mathversion#c
tabular
boldtabular
#endkeyvals
#endif

#ifOption:sansmath
#include:mdsymbol
\backepsilon#m
\Bbbk#m
\digamma#m
\eth#m
\italpha#*m
\itbackepsilon#*m
\itbeta#*m
\itchi#*m
\itDelta#*m
\itdelta#*m
\itdigamma#*m
\itepsilon#*m
\iteta#*m
\iteth#*m
\itGamma#*m
\itgamma#*m
\itiota#*m
\itkappa#*m
\itLambda#*m
\itlambda#*m
\itmu#*m
\itnu#*m
\itOmega#*m
\itomega#*m
\itPhi#*m
\itphi#*m
\itPi#*m
\itpi#*m
\itPsi#*m
\itpsi#*m
\itrho#*m
\itSigma#*m
\itsigma#*m
\ittau#*m
\itTheta#*m
\ittheta#*m
\itUpsilon#*m
\itupsilon#*m
\itvarbackepsilon#*m
\itvarbeta#*m
\itvarepsilon#*m
\itvarkappa#*m
\itvarphi#*m
\itvarpi#*m
\itvarrho#*m
\itvarsigma#*m
\itvartheta#*m
\itXi#*m
\itxi#*m
\itzeta#*m
\mathbb{text%plain}#m
\mathfrak{text%plain}#m
\slashedzero#m
\tstrokedint#*m
\tstrokedint#*m
\upalpha#*m
\upbackepsilon#*m
\upbeta#*m
\upchi#*m
\upDelta#*m
\updelta#*m
\updigamma#*m
\upell#*m
\upepsilon#*m
\upeta#*m
\upeth#*m
\upGamma#*m
\upgamma#*m
\uphbar#*m
\upimath#*m
\upiota#*m
\upjmath#*m
\upkappa#*m
\upLambda#*m
\uplambda#*m
\upmu#*m
\upnu#*m
\upOmega#*m
\upomega#*m
\uppartial#*m
\upPhi#*m
\upphi#*m
\upPi#*m
\uppi#*m
\upPsi#*m
\uppsi#*m
\uprho#*m
\upSigma#*m
\upsigma#*m
\uptau#*m
\upTheta#*m
\uptheta#*m
\upUpsilon#*m
\upupsilon#*m
\upvarbackepsilon#*m
\upvarbeta#*m
\upvarepsilon#*m
\upvarkappa#*m
\upvarphi#*m
\upvarpi#*m
\upvarrho#*m
\upvarsigma#*m
\upvartheta#*m
\upXi#*m
\upxi#*m
\upzeta#*m
\varbackepsilon#m
\varbeta#m
\varidotsint#m
\variiiint#m
\variiint#m
\variint#m
\varint#m
\varkappa#m
\varlanddownint#m
\varlandupint#m
\varlcircleleftint#m
\varlcirclerightint#m
\varoiint#m
\varoint#m
\varrcircleleftint#m
\varrcirclerightint#m
\varsmallint#m
\varstrokedint#m
\varsumint#m
\IfSymbolFont{name}{true}{false}#*
#endif

\ibycusdefault#*
\MdSlantfracSpacingAfterSlash#*
\MdSlantfracSpacingBeforeSlash#*
\slantfrac{numerator}{denominator}
\smallfrac{numerator}{denominator}