# bithesis class
# Matthew Bertucci 2022/08/14 for v3.0.0

#include:expl3
#include:l3keys2e
#include:class-ctexbook
#include:geometry
#include:xeCJK
#include:titletoc
#include:setspace
#include:graphicx
#include:fancyhdr
#include:pdfpages
#include:setspace
#include:booktabs
#include:multirow
#include:tikz
#include:etoolbox
#include:hyperref
#include:xcolor
#include:caption
#include:array
#include:amsmath
#include:amssymb
#include:amsthm
#include:unicode-math
#include:pdfpages
#include:listings
#include:enumitem
#include:environ

#keyvals:\documentclass/bithesis#c
type=#bachelor,bachelor_translation,bachelor_english,master,doctor
blindPeerReview#true,false
twoside#true,false
#endkeyvals

#ifOption:type=bachelor_english
#include:datetime2
#include:indentfirst
#endif

\BITSetup{键值对%keyvals}

#keyvals:\BITSetup#c
cover={%<键值列表%>}
cover/date=%<任意字符串%>
cover/headerImage=%<图片路径%>
cover/xiheiFont=%<字体路径%>
cover/dilimiter=%<任意字符串%>
cover/autoWidth#true,false
cover/labelMaxWidth=##L
cover/valueMaxWidth=##L
cover/labelAlign=#c,l,r
cover/valueAlign=#c,l,r
cover/underlineThickness=##L
cover/underlineOffset=##L
info={%<键值列表%>}
info/title=%<字符串%>
info/titleEn=%<字符串%>
info/school=%<字符串%>
info/schoolEn=%<字符串%>
info/major=%<字符串%>
info/majorEn=%<字符串%>
info/author=%<字符串%>
info/authorEn=%<字符串%>
info/studentId=%<字符串%>
info/supervisor=%<字符串%>
info/supervisorEn=%<字符串%>
info/externalSupervisor=%<字符串%>
info/keywords={%<字符串；以全角分号分割%>}
info/keywordsEn={%<字符串; 以分号分割%>}
info/translationTitle=%<字符串%>
info/translationOriginTitleEn=%<字符串%>
info/classification=%<字符串%>
info/UDC=%<字符串%>
info/chairman=%<字符串%>
info/chairmanEn=%<字符串%>
info/degree=%<字符串%>
info/degreeEn=%<字符串%>
info/institute=%<字符串%>
info/instituteEn=%<字符串%>
info/defenseDate=%<字符串%>
info/defenseDateEn=%<字符串%>
info/classifiedLevel=%<字符串%>
style={%<键值列表%>}
style/head=%<字符串%>
TOC={%<键值列表%>}
TOC/abstract#true,false
TOC/abstractEn#true,false
TOC/symbols#true,false
appendices={%<键值列表%>}
appendices/chapterLeveltrue,false
appendices/title=%<字符串%>
appendices/TOCTitle=%<字符串%>
misc={%<键值列表%>}
misc/arialFont=%<字符串%>
#endkeyvals

\begin{abstractEn}
\end{abstractEn}
\begin{acknowledgements}
\end{acknowledgements}
\begin{algorithm}
\begin{algorithm}[留数定理%text]
\end{algorithm}
\begin{appendices}
\end{appendices}
\begin{axiom}
\begin{axiom}[留数定理%text]
\end{axiom}
\begin{bibprint}
\end{bibprint}
\begin{case}
\begin{case}[留数定理%text]
\end{case}
\begin{conclusion}
\end{conclusion}
\begin{conjecture}
\begin{conjecture}[留数定理%text]
\end{conjecture}
\begin{corollary}
\begin{corollary}[留数定理%text]
\end{corollary}
\begin{definition}
\begin{definition}[留数定理%text]
\end{definition}
\begin{example}
\begin{example}[留数定理%text]
\end{example}
\begin{lemma}
\begin{lemma}[留数定理%text]
\end{lemma}
\begin{proposition}
\begin{proposition}[留数定理%text]
\end{proposition}
\begin{publications}
\end{publications}
\begin{remark}
\begin{remark}[留数定理%text]
\end{remark}
\begin{resume}
\end{resume}
\begin{symbols}
\end{symbols}
\begin{theorem}
\begin{theorem}[留数定理%text]
\end{theorem}

\MakeCover
\MakeOriginality
\MakePaperBack
\MakeTitle
\MakeTOC

# not documented
\begin{blindPeerReview}#*
\end{blindPeerReview}#*
\arabicHeiti{arg}#*
\arialfamily#*
\circled[opt]{arg}#*
\circled{arg}#*
\dunderline[opt]{arg1}{arg2}#*
\dunderline{arg1}{arg2}#*

codegreen#B
codegray#B
codepurple#B
backcolour#B