# elegantbook class
# Matthew Bertucci 2022/08/25 for v4.4

#include:kvoptions
#include:etoolbox
#include:class-book
#include:setspace
#include:csquotes
#include:hyperref
#include:geometry
#include:indentfirst
#include:comment
#include:iftex
#include:newtxtext
#include:helvet
#include:fontspec
#include:anyfontsize
#include:xcolor
# loads table option of xcolor
#include:mwe
#include:enumitem
# loads shortlabels and inline options of enumitem
#include:caption
#include:footmisc
#include:graphicx
#include:amsmath
#include:mathrsfs
#include:amsfonts
#include:amssymb
#include:booktabs
#include:multicol
#include:multirow
#include:fancyvrb
#include:makecell
#include:lipsum
#include:hologo
#include:titlesec
# loads pagestyles option of titlesec
#include:biblatex
#include:tikz
#include:apptools
#include:pifont
#include:manfnt
#include:bbding
#include:tcolorbox
# loads many option of tcolorbox
#include:adforn
#include:fancyhdr
#include:listings
#include:bm
#include:calc
#include:tocloft

#keyvals:\documentclass/elegantbook#c
lang=#en,cn,it,fr,nl,hu,de,es,mn,jp,pt
device=#normal,pad
color=#green,cyan,blue,gray,black
titlestyle=#hang,display
mode=#simple,fancy
thmcnt=#section,chapter
math=#cm,newtx,mtpro2
citestyle=%<style%>
bibstyle=%<style%>
bibend=#bibtex,biber
toc=#onecol,twocol
marginpar=#margintrue,marginfalse
result=#answer,noanswer
scheme=%<scheme%>
chinesefont=#founder,ctexfont,nofont
# options passed to book class
a4paper
a5paper
b5paper
letterpaper
legalpaper
executivepaper
landscape
10pt
11pt
12pt
oneside
twoside
draft
final
titlepage
notitlepage
openright
openany
onecolumn
twocolumn
leqno
fleqn
openbib
#endkeyvals

#ifOption:lang=cn
#include:ctex
#include:xeCJK
\songti
\heiti
\kaishu
\fangsong
#endif
#ifOption:cn
#include:ctex
#include:xeCJK
\songti
\heiti
\kaishu
\fangsong
#endif

#ifOption:lang=it
#include:babel
# loads italian option of babel
\captionsitalian#*
\dateitalian#*
\extrasitalian#*
\noextrasitalian#*
\italianhyphenmins#*
\setactivedoublequote
\setISOcompliance#*
\IntelligentComma
\NoIntelligentComma
\XXIletters
\XXVIletters
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\ap{text%plain}
\ped{text%plain}
\unit{unit}
\virgola
\virgoladecimale
\LtxSymbCaporali#*
\CaporaliFrom{encoding}{family}{open guill slot}{close guill slot}#*
#endif
#ifOption:it
#include:babel
# loads italian option of babel
\captionsitalian#*
\dateitalian#*
\extrasitalian#*
\noextrasitalian#*
\italianhyphenmins#*
\setactivedoublequote
\setISOcompliance#*
\IntelligentComma
\NoIntelligentComma
\XXIletters
\XXVIletters
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\ap{text%plain}
\ped{text%plain}
\unit{unit}
\virgola
\virgoladecimale
\LtxSymbCaporali#*
\CaporaliFrom{encoding}{family}{open guill slot}{close guill slot}#*
#endif

#ifOption:lang=fr
#include:inputenc
#include:fontenc
# loads T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n
#include:babel
# loads french option of babel
\frenchsetup{options%keyvals}
\frenchbsetup{options%keyvals}#*
#keyvals:\frenchsetup,\frenchbsetup
ShowOptions#true,false
StandardLayout#true,false
GlobalLayoutFrench#true,false
IndentFirst#true,false
PartNameFull#true,false
ListItemsAsPar#true,false
StandardListSpacing#true,false
StandardItemizeEnv#true,false
StandardEnumerateEnv#true,false
StandardItemLabels#true,false
ItemLabels=
ItemLabeli=
ItemLabelii=
ItemLabeliii=
ItemLabeliv=
StandardLists#true,false
ListOldLayout#true,false
FrenchFootnotes#true,false
AutoSpaceFootnotes#true,false
AutoSpacePunctuation#true,false
ThinColonSpace#true,false
OriginalTypewriter#true,false
UnicodeNoBreakSpaces#true,false
og=
fg=
INGuillSpace#true,false
EveryParGuill=#open,close,none
EveryLineGuill=#open,close,none
InnerGuillSingle#true,false
ThinSpaceInFrenchNumbers#true,false
SmallCapsFigTabCaptions#true,false
CustomiseFigTabCaptions#true,false
OldFigTabCaptions#true,false
FrenchSuperscripts#true,false
LowercaseSuperscripts#true,false
SuppressWarning#true,false
#endkeyvals
\AddThinSpaceBeforeFootnotes#*
\alsoname#*
\at
\bibname#*
\AutoSpaceBeforeFDP#*
\begin{descriptionFB}
\begin{enumerateFB}
\begin{itemizeFB}
\begin{listFB}{symbol}
\begin{listORI}{symbol}#*
\boi
\bname{text}
\bsc{text}
\CaptionSeparator#*
\captionsfrench
\ccname#*
\chaptername#*
\circonflexe
\dateacadian#*
\datefrench
\DecimalMathComma
\degre#*
\degres
\descindentFB#*
\dotFFN#*
\enclname#*
\end{descriptionFB}
\end{enumerateFB}
\end{itemizeFB}
\end{listFB}
\end{listORI}#*
\extrasfrench
\FBcolonspace
\FBdatebox#*
\FBdatespace#*
\FBeverylineguill#*
\FBfigtabshape#*
\FBfnindent#*
\FBFrenchFootnotesfalse#*
\FBFrenchFootnotestrue#*
\FBFrenchSuperscriptstrue#*
\FBGlobalLayoutFrenchtrue#*
\FBgspchar#*
\FBguillopen#*
\FBguillspace
\FBInnerGuillSinglefalse#*
\FBInnerGuillSingletrue#*
\FBListItemsAsParfalse#*
\FBListItemsAsPartrue#*
\FBLowercaseSuperscriptstrue#*
\FBmedkern#*
\FBPartNameFulltrue#*
\FBsetspaces[language]{type}{width}{stretch}{shrink}#*
\FBsetspaces{type}{width}{stretch}{shrink}#*
\FBSmallCapsFigTabCaptionstrue#*
\FBStandardEnumerateEnvtrue#*
\FBStandardItemizeEnvtrue#*
\FBStandardItemLabelstrue#*
\FBStandardLayouttrue#*
\FBStandardListSpacingtrue#*
\FBStandardListstrue#*
\FBsupR#*
\FBsupS#*
\FBtextellipsis#*
\FBthickkern#*
\FBthinspace
\FBthousandsep#*
\FBWarning{message%text}#*
\fg
\fgi#*
\fgii#*
\fprimo)
\frenchdate{day}{month}{year}
\FrenchEnumerate{arg}#*
\FrenchFootnotes#*
\FrenchLabelItem#*
\frenchpartfirst#*
\frenchpartsecond#*
\FrenchPopularEnumerate{arg}#*
\frenchtoday
\Frlabelitemi#*
\Frlabelitemi#*
\Frlabelitemii#*
\Frlabelitemii#*
\Frlabelitemiii#*
\Frlabelitemiii#*
\Frlabelitemiv#*
\Frlabelitemiv#*
\frquote{text}
\fup{text}
\glossaryname#*
\headtoname#*
\ieme
\iemes
\ier
\iere
\ieres
\iers
\ifFBAutoSpaceFootnotes#*
\ifFBCompactItemize#*
\ifFBCustomiseFigTabCaptions#*
\ifFBfrench#*
\ifFBFrenchFootnotes#*
\ifFBFrenchSuperscripts#*
\ifFBGlobalLayoutFrench#*
\ifFBIndentFirst#*
\ifFBINGuillSpace#*
\ifFBListItemsAsPar#*
\ifFBListOldLayout#*
\ifFBLowercaseSuperscripts#*
\ifFBLuaTeX#*
\ifFBOldFigTabCaptions#*
\ifFBOriginalTypewriter#*
\ifFBPartNameFull#*
\ifFBReduceListSpacing#*
\ifFBShowOptions#*
\ifFBSmallCapsFigTabCaptions#*
\ifFBStandardEnumerateEnv#*
\ifFBStandardItemizeEnv#*
\ifFBStandardItemLabels#*
\ifFBStandardLayout#*
\ifFBStandardLists#*
\ifFBStandardListSpacing#*
\ifFBSuppressWarning#*
\ifFBThinColonSpace#*
\ifFBThinSpaceInFrenchNumbers#*
\ifFBunicode#*
\ifFBXeTeX#*
\ifLaTeXe#*
\kernFFN#*
\labelindentFB#*
\labelwidthFB#*
\leftmarginFB#*
\listfigurename#*
\listindentFB#*
\No
\no
\NoAutoSpaceBeforeFDP#*
\NoAutoSpacing
\NoEveryParQuote#*
\noextrasfrench
\nombre{arg}#*
\nos
\Nos
\og
\ogi#*
\ogii#*
\pagename#*
\parindentFFN#*
\partfirst#*
\partfirst#*
\partnameord#*
\partsecond#*
\partsecond#*
\prefacename#*
\primo
\proofname#*
\quarto
\rmfamilyFB#*
\secundo
\seename#*
\sffamilyFB#*
\StandardFootnotes#*
\StandardMathComma
\tertio
\tild
\ttfamilyFB#*
\up{text}
\xspace
#endif
#ifOption:fr
#include:inputenc
#include:fontenc
# loads T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n
#include:babel
# loads french option of babel
\frenchsetup{options%keyvals}
\frenchbsetup{options%keyvals}#*
#keyvals:\frenchsetup,\frenchbsetup
ShowOptions#true,false
StandardLayout#true,false
GlobalLayoutFrench#true,false
IndentFirst#true,false
PartNameFull#true,false
ListItemsAsPar#true,false
StandardListSpacing#true,false
StandardItemizeEnv#true,false
StandardEnumerateEnv#true,false
StandardItemLabels#true,false
ItemLabels=
ItemLabeli=
ItemLabelii=
ItemLabeliii=
ItemLabeliv=
StandardLists#true,false
ListOldLayout#true,false
FrenchFootnotes#true,false
AutoSpaceFootnotes#true,false
AutoSpacePunctuation#true,false
ThinColonSpace#true,false
OriginalTypewriter#true,false
UnicodeNoBreakSpaces#true,false
og=
fg=
INGuillSpace#true,false
EveryParGuill=#open,close,none
EveryLineGuill=#open,close,none
InnerGuillSingle#true,false
ThinSpaceInFrenchNumbers#true,false
SmallCapsFigTabCaptions#true,false
CustomiseFigTabCaptions#true,false
OldFigTabCaptions#true,false
FrenchSuperscripts#true,false
LowercaseSuperscripts#true,false
SuppressWarning#true,false
#endkeyvals
\AddThinSpaceBeforeFootnotes#*
\alsoname#*
\at
\bibname#*
\AutoSpaceBeforeFDP#*
\begin{descriptionFB}
\begin{enumerateFB}
\begin{itemizeFB}
\begin{listFB}{symbol}
\begin{listORI}{symbol}#*
\boi
\bname{text}
\bsc{text}
\CaptionSeparator#*
\captionsfrench
\ccname#*
\chaptername#*
\circonflexe
\dateacadian#*
\datefrench
\DecimalMathComma
\degre#*
\degres
\descindentFB#*
\dotFFN#*
\enclname#*
\end{descriptionFB}
\end{enumerateFB}
\end{itemizeFB}
\end{listFB}
\end{listORI}#*
\extrasfrench
\FBcolonspace
\FBdatebox#*
\FBdatespace#*
\FBeverylineguill#*
\FBfigtabshape#*
\FBfnindent#*
\FBFrenchFootnotesfalse#*
\FBFrenchFootnotestrue#*
\FBFrenchSuperscriptstrue#*
\FBGlobalLayoutFrenchtrue#*
\FBgspchar#*
\FBguillopen#*
\FBguillspace
\FBInnerGuillSinglefalse#*
\FBInnerGuillSingletrue#*
\FBListItemsAsParfalse#*
\FBListItemsAsPartrue#*
\FBLowercaseSuperscriptstrue#*
\FBmedkern#*
\FBPartNameFulltrue#*
\FBsetspaces[language]{type}{width}{stretch}{shrink}#*
\FBsetspaces{type}{width}{stretch}{shrink}#*
\FBSmallCapsFigTabCaptionstrue#*
\FBStandardEnumerateEnvtrue#*
\FBStandardItemizeEnvtrue#*
\FBStandardItemLabelstrue#*
\FBStandardLayouttrue#*
\FBStandardListSpacingtrue#*
\FBStandardListstrue#*
\FBsupR#*
\FBsupS#*
\FBtextellipsis#*
\FBthickkern#*
\FBthinspace
\FBthousandsep#*
\FBWarning{message%text}#*
\fg
\fgi#*
\fgii#*
\fprimo)
\frenchdate{day}{month}{year}
\FrenchEnumerate{arg}#*
\FrenchFootnotes#*
\FrenchLabelItem#*
\frenchpartfirst#*
\frenchpartsecond#*
\FrenchPopularEnumerate{arg}#*
\frenchtoday
\Frlabelitemi#*
\Frlabelitemi#*
\Frlabelitemii#*
\Frlabelitemii#*
\Frlabelitemiii#*
\Frlabelitemiii#*
\Frlabelitemiv#*
\Frlabelitemiv#*
\frquote{text}
\fup{text}
\glossaryname#*
\headtoname#*
\ieme
\iemes
\ier
\iere
\ieres
\iers
\ifFBAutoSpaceFootnotes#*
\ifFBCompactItemize#*
\ifFBCustomiseFigTabCaptions#*
\ifFBfrench#*
\ifFBFrenchFootnotes#*
\ifFBFrenchSuperscripts#*
\ifFBGlobalLayoutFrench#*
\ifFBIndentFirst#*
\ifFBINGuillSpace#*
\ifFBListItemsAsPar#*
\ifFBListOldLayout#*
\ifFBLowercaseSuperscripts#*
\ifFBLuaTeX#*
\ifFBOldFigTabCaptions#*
\ifFBOriginalTypewriter#*
\ifFBPartNameFull#*
\ifFBReduceListSpacing#*
\ifFBShowOptions#*
\ifFBSmallCapsFigTabCaptions#*
\ifFBStandardEnumerateEnv#*
\ifFBStandardItemizeEnv#*
\ifFBStandardItemLabels#*
\ifFBStandardLayout#*
\ifFBStandardLists#*
\ifFBStandardListSpacing#*
\ifFBSuppressWarning#*
\ifFBThinColonSpace#*
\ifFBThinSpaceInFrenchNumbers#*
\ifFBunicode#*
\ifFBXeTeX#*
\ifLaTeXe#*
\kernFFN#*
\labelindentFB#*
\labelwidthFB#*
\leftmarginFB#*
\listfigurename#*
\listindentFB#*
\No
\no
\NoAutoSpaceBeforeFDP#*
\NoAutoSpacing
\NoEveryParQuote#*
\noextrasfrench
\nombre{arg}#*
\nos
\Nos
\og
\ogi#*
\ogii#*
\pagename#*
\parindentFFN#*
\partfirst#*
\partfirst#*
\partnameord#*
\partsecond#*
\partsecond#*
\prefacename#*
\primo
\proofname#*
\quarto
\rmfamilyFB#*
\secundo
\seename#*
\sffamilyFB#*
\StandardFootnotes#*
\StandardMathComma
\tertio
\tild
\ttfamilyFB#*
\up{text}
\xspace
#endif

#ifOption:lang=nl
#include:babel
# loads dutch option of babel
\captionsdutch#*
\datedutch#*
\extrasdutch#*
\noextrasdutch#*
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\dutchhyphenmins#*
#endif
#ifOption:nl
#include:babel
# loads dutch option of babel
\captionsdutch#*
\datedutch#*
\extrasdutch#*
\noextrasdutch#*
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\dutchhyphenmins#*
#endif

#ifOption:lang=hu
#include:babel
# loads magyar option of babel
#endif
#ifOption:hu
#include:babel
# loads magyar option of babel
#endif

#ifOption:lang=es
#include:babel
# loads spanish option of babel
\captionsspanish#*
\datespanish#*
\extrasspanish#*
\noextrasspanish#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\prefacename#*
\glossaryname#*
\spanishrefname#*
\spanishabstractname#*
\spanishbibname#*
\spanishchaptername#*
\spanishappendixname#*
\spanishcontentsname#*
\spanishlistfigurename#*
\spanishlisttablename#*
\spanishindexname#*
\spanishfigurename#*
\spanishtablename#*
\spanishpartname#*
\spanishenclname#*
\spanishccname#*
\spanishheadtoname#*
\spanishpagename#*
\spanishseename#*
\spanishalsoname#*
\spanishproofname#*
\spanishprefacename#*
\spanishglossaryname#*
\spanishdashitems#*
\spanishsignitems#*
\spanishsymbitems#*
\spanishindexchars{encap}{open}{close}#*
\spanishscroman
\spanishlcroman
\spanishucroman
\Today
\spanishdate{año}{mes}{día}
\spanishDate{año}{mes}{día}
\spanishdatedel
\spanishdatede
\spanishreverseddate
\spanishdatefirst{día-uno}
\spanishdeactivate{caracteres}
\decimalcomma
\decimalpoint
\spanishdecimal{math%formula}
\sptext{text}
\spanishplainpercent
\percentsign#*
\lsc{text}
\begin{quoting}
\end{quoting}
\lquoti
\rquoti
\lquotii
\rquotii
\lquotiii
\rquotiii
\activatequoting
\deactivatequoting
\sen#m
\tg#m
\arcsen#m
\arctg#m
\accentedoperators
\unaccentedoperators
\spacedoperators
\unspacedoperators
\spanishoperators#*
\dotlessi
\selectspanish
\spanishoptions#*
\textspanish#*
\notextspanish#*
\mathspanish#*
\shorthandsspanish#*
#endif
#ifOption:es
#include:babel
# loads spanish option of babel
\captionsspanish#*
\datespanish#*
\extrasspanish#*
\noextrasspanish#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\prefacename#*
\glossaryname#*
\spanishrefname#*
\spanishabstractname#*
\spanishbibname#*
\spanishchaptername#*
\spanishappendixname#*
\spanishcontentsname#*
\spanishlistfigurename#*
\spanishlisttablename#*
\spanishindexname#*
\spanishfigurename#*
\spanishtablename#*
\spanishpartname#*
\spanishenclname#*
\spanishccname#*
\spanishheadtoname#*
\spanishpagename#*
\spanishseename#*
\spanishalsoname#*
\spanishproofname#*
\spanishprefacename#*
\spanishglossaryname#*
\spanishdashitems#*
\spanishsignitems#*
\spanishsymbitems#*
\spanishindexchars{encap}{open}{close}#*
\spanishscroman
\spanishlcroman
\spanishucroman
\Today
\spanishdate{año}{mes}{día}
\spanishDate{año}{mes}{día}
\spanishdatedel
\spanishdatede
\spanishreverseddate
\spanishdatefirst{día-uno}
\spanishdeactivate{caracteres}
\decimalcomma
\decimalpoint
\spanishdecimal{math%formula}
\sptext{text}
\spanishplainpercent
\percentsign#*
\lsc{text}
\begin{quoting}
\end{quoting}
\lquoti
\rquoti
\lquotii
\rquotii
\lquotiii
\rquotiii
\activatequoting
\deactivatequoting
\sen#m
\tg#m
\arcsen#m
\arctg#m
\accentedoperators
\unaccentedoperators
\spacedoperators
\unspacedoperators
\spanishoperators#*
\dotlessi
\selectspanish
\spanishoptions#*
\textspanish#*
\notextspanish#*
\mathspanish#*
\shorthandsspanish#*
#endif

#ifOption:lang=mn
#include:inputenc
#include:fontenc
# loads T2A option of fontenc
#include:babel
# loads mongolian option of babel
\captionsmongolian
\datemongolian
\extrasmongolian
\noextrasmongolian
\latinencoding#*
\cyrillicencoding#*
\Mongolian
\English
\Mon#*
\Eng#*
\cyrillictext#*
\cyr#*
\lat
\textcyrillic{text}
\prefacename
\bibname
\chaptername
\authorname
\enclname
\ccname
\headtoname
\pagename
\seename
\alsoname
\proofname
\glossaryname
\cdash#*
\mdqon#*
\mdqoff#*
\englishhyphenmins#*
\Useg{counter}
\useg{counter}
\sh#m
\ch#m
\tg#m
\arctg#m
\arcctg#m
\ctg#m
\cth#m
\cosec#m
\Prob#m
\Variance#m
\nsd#m
\nsk#m
\NSD#m
\NSK#m
\nod#m
\nok#m
\NOD#m
\NOK#m
\Proj#m
\No
# from T2A encoding
\C{arg}
\CYRA
\cyra
\CYRAE
\cyrae
\CYRB
\cyrb
\CYRC
\cyrc
\CYRCH
\cyrch
\CYRCHRDSC
\cyrchrdsc
\CYRCHVCRS
\cyrchvcrs
\CYRD
\cyrd
\cyrdash
\CYRDJE
\cyrdje
\CYRDZE
\cyrdze
\CYRDZHE
\cyrdzhe
\CYRE
\cyre
\CYREREV
\cyrerev
\CYRERY
\cyrery
\CYRF
\cyrf
\CYRG
\cyrg
\CYRGHCRS
\cyrghcrs
\CYRGUP
\cyrgup
\CYRH
\cyrh
\CYRHDSC
\cyrhdsc
\CYRHRDSN
\cyrhrdsn
\CYRI
\cyri
\CYRIE
\cyrie
\CYRII
\cyrii
\CYRISHRT
\cyrishrt
\CYRJE
\cyrje
\CYRK
\cyrk
\CYRKBEAK
\cyrkbeak
\CYRKDSC
\cyrkdsc
\CYRKVCRS
\cyrkvcrs
\CYRL
\cyrl
\cyrlangle
\CYRLJE
\cyrlje
\CYRM
\cyrm
\CYRN
\cyrn
\CYRNDSC
\cyrndsc
\CYRNG
\cyrng
\CYRNJE
\cyrnje
\CYRO
\cyro
\CYROTLD
\cyrotld
\CYRP
\cyrp
\CYRpalochka
\CYRQ
\cyrq
\CYRR
\cyrr
\cyrrangle
\CYRS
\cyrs
\CYRSCHWA
\cyrschwa
\CYRSDSC
\cyrsdsc
\CYRSFTSN
\cyrsftsn
\CYRSH
\cyrsh
\CYRSHCH
\cyrshch
\CYRSHHA
\cyrshha
\CYRT
\cyrt
\CYRTSHE
\cyrtshe
\CYRU
\cyru
\CYRUSHRT
\cyrushrt
\CYRV
\cyrv
\CYRW
\cyrw
\CYRY
\cyry
\CYRYA
\cyrya
\CYRYHCRS
\cyryhcrs
\CYRYI
\cyryi
\CYRYO
\cyryo
\CYRYU
\cyryu
\CYRZ
\cyrz
\CYRZDSC
\cyrzdsc
\CYRZH
\cyrzh
\CYRZHDSC
\cyrzhdsc
\f{arg}
\guillemotleft
\guillemotright
\k{arg}
\quotedblbase
\textquotedbl
\U{arg}
#endif
#ifOption:mn
#include:inputenc
#include:fontenc
# loads T2A option of fontenc
#include:babel
# loads mongolian option of babel
\captionsmongolian
\datemongolian
\extrasmongolian
\noextrasmongolian
\latinencoding#*
\cyrillicencoding#*
\Mongolian
\English
\Mon#*
\Eng#*
\cyrillictext#*
\cyr#*
\lat
\textcyrillic{text}
\prefacename
\bibname
\chaptername
\authorname
\enclname
\ccname
\headtoname
\pagename
\seename
\alsoname
\proofname
\glossaryname
\cdash#*
\mdqon#*
\mdqoff#*
\englishhyphenmins#*
\Useg{counter}
\useg{counter}
\sh#m
\ch#m
\tg#m
\arctg#m
\arcctg#m
\ctg#m
\cth#m
\cosec#m
\Prob#m
\Variance#m
\nsd#m
\nsk#m
\NSD#m
\NSK#m
\nod#m
\nok#m
\NOD#m
\NOK#m
\Proj#m
\No
# from T2A encoding
\C{arg}
\CYRA
\cyra
\CYRAE
\cyrae
\CYRB
\cyrb
\CYRC
\cyrc
\CYRCH
\cyrch
\CYRCHRDSC
\cyrchrdsc
\CYRCHVCRS
\cyrchvcrs
\CYRD
\cyrd
\cyrdash
\CYRDJE
\cyrdje
\CYRDZE
\cyrdze
\CYRDZHE
\cyrdzhe
\CYRE
\cyre
\CYREREV
\cyrerev
\CYRERY
\cyrery
\CYRF
\cyrf
\CYRG
\cyrg
\CYRGHCRS
\cyrghcrs
\CYRGUP
\cyrgup
\CYRH
\cyrh
\CYRHDSC
\cyrhdsc
\CYRHRDSN
\cyrhrdsn
\CYRI
\cyri
\CYRIE
\cyrie
\CYRII
\cyrii
\CYRISHRT
\cyrishrt
\CYRJE
\cyrje
\CYRK
\cyrk
\CYRKBEAK
\cyrkbeak
\CYRKDSC
\cyrkdsc
\CYRKVCRS
\cyrkvcrs
\CYRL
\cyrl
\cyrlangle
\CYRLJE
\cyrlje
\CYRM
\cyrm
\CYRN
\cyrn
\CYRNDSC
\cyrndsc
\CYRNG
\cyrng
\CYRNJE
\cyrnje
\CYRO
\cyro
\CYROTLD
\cyrotld
\CYRP
\cyrp
\CYRpalochka
\CYRQ
\cyrq
\CYRR
\cyrr
\cyrrangle
\CYRS
\cyrs
\CYRSCHWA
\cyrschwa
\CYRSDSC
\cyrsdsc
\CYRSFTSN
\cyrsftsn
\CYRSH
\cyrsh
\CYRSHCH
\cyrshch
\CYRSHHA
\cyrshha
\CYRT
\cyrt
\CYRTSHE
\cyrtshe
\CYRU
\cyru
\CYRUSHRT
\cyrushrt
\CYRV
\cyrv
\CYRW
\cyrw
\CYRY
\cyry
\CYRYA
\cyrya
\CYRYHCRS
\cyryhcrs
\CYRYI
\cyryi
\CYRYO
\cyryo
\CYRYU
\cyryu
\CYRZ
\cyrz
\CYRZDSC
\cyrzdsc
\CYRZH
\cyrzh
\CYRZHDSC
\cyrzhdsc
\f{arg}
\guillemotleft
\guillemotright
\k{arg}
\quotedblbase
\textquotedbl
\U{arg}
#endif

#ifOption:lang=pt
#include:babel
# loads portuguese option of babel
\captionsportuguese#*
\dateportuguese#*
\extrasportuguese#*
\noextrasportuguese#*
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\ord
\orda
\ro#*
\ra#*
#endif
#ifOption:pt
#include:babel
# loads portuguese option of babel
\captionsportuguese#*
\dateportuguese#*
\extrasportuguese#*
\noextrasportuguese#*
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*
\ord
\orda
\ro#*
\ra#*
#endif

#ifOption:lang=jp
#include:luatexja
#endif
#ifOption:jp
#include:luatexja
#endif

#ifOption:math=mtpro2
#include:mtpro2
#endif
#ifOption:mtpro2
#include:mtpro2
#endif

#ifOption:math=newtx
#include:newtxmath
#include:esint
\prodop#*m
\sumop#*m
\oldencodingdefault#S
\oldrmdefault#S
\oldsfdefault#S
\oldttdefault#S
#endif
#ifOption:newtx
#include:newtxmath
#include:esint
\prodop#*m
\sumop#*m
\oldencodingdefault#S
\oldrmdefault#S
\oldsfdefault#S
\oldttdefault#S
#endif

#ifOption:mode=simple
#include:amsthm
#endif
#ifOption:simple
#include:amsthm
#endif

\subtitle{text}
\institute{institute%text}
\version{version}
\bioinfo{name}{info%text}
\extrainfo{text}
\logo{imagefile}#g
\cover{imagefile}#g
\email{email%URL}#U

structurecolor#B
main#B
second#B
third#B
winered#B
bule#B
coverlinecolor#B
lightgrey#B
frenchplum#B

\begin{definition}
\begin{definition}[heading%text]
\end{definition}
\begin{theorem}
\begin{theorem}[heading%text]
\end{theorem}
\begin{postulate}
\begin{postulate}[heading%text]
\end{postulate}
\begin{axiom}
\begin{axiom}[heading%text]
\end{axiom}
\begin{corollary}
\begin{corollary}[heading%text]
\end{corollary}
\begin{lemma}
\begin{lemma}[heading%text]
\end{lemma}
\begin{proposition}
\begin{proposition}[heading%text]
\end{proposition}

\begin{example}
\begin{example}[heading%text]
\end{example}
\begin{exercise}
\begin{exercise}[heading%text]
\end{exercise}
\begin{problem}
\begin{problem}[heading%text]
\end{problem}
\begin{note}
\end{note}
\begin{proof}
\end{proof}
\begin{solution}
\end{solution}
\begin{remark}
\end{remark}
\begin{assumption}
\end{assumption}
\begin{conclusion}
\end{conclusion}
\begin{property}
\end{property}
\begin{custom}{heading%text}
\end{custom}

\begin{introduction}
\begin{introduction}[title%text]
\end{introduction}
\begin{problemset}
\begin{problemset}[title%text]
\end{problemset}

\circled{text}
\dollar
\figref{label}#r
\mailto{email%URL}#U
\tabref{label}#r

\question{text}#*
\datechange{date}{text}#*
\begin{change}#*
\end{change}#*
\afterchap#*
\assumptionname#*
\authorname#*
\axiomname#*
\beforechap#*
\cbfseries#*
\cfs#*
\citshape#*
\cnormal#*
\conclusionname#*
\corollaryname#*
\dateinfoline{date}{text}#*
\datename#*
\definitionname#*
\ebibname#*
\eitemi#*
\eitemii#*
\eitemiii#*
\ekv{keyvals}#*
\begin{relsec}#*
\end{relsec}#*
\examplename#*
\exercisename#*
\historyname#*
\instancename#*
\institutename#*
\introductionname#*
\lemmaname#*
\listofchanges#*
\notename#*
\postulatename#*
\problemname#*
\problemsetname#*
\proofname#*
\propertyname#*
\propositionname#*
\remarkname#*
\solutionname#*
\style#*
\theexam#*
\theexer#*
\theoremname#*
\theprob#*
\updatename#*
\versionname#*
\xchaptertitle#*

# from table option of xcolor
#include:colortbl
\rowcolors{row}{odd-row-color}{even-row-color}
\rowcolors[commands]{row}{odd-row-color}{even-row-color}
\rowcolors{row}{color}{color}#S
\rowcolors[commands]{row}{color}{color}#S
\rowcolors*{row}{odd-row-color}{even-row-color}
\rowcolors*[commands]{row}{odd-row-color}{even-row-color}
\rowcolors*{row}{color}{color}#S
\rowcolors*[commands]{row}{color}{color}#S
\showrowcolors
\hiderowcolors
\rownum

# from shortlabels option of enumitem
#keyvals:\begin{enumerate}#c,\begin{itemize}#c,\begin{description}#c,\begin{enumerate*}#c,\begin{itemize*}#c,\begin{description*}#c
A
a
I
i
1
#endkeyvals

# from inline option of enumitem
\begin{enumerate*}
\begin{enumerate*}[options%keyvals]
\end{enumerate*}
\begin{itemize*}
\begin{itemize*}[options%keyvals]
\end{itemize*}
\begin{description*}
\begin{description*}[options%keyvals]
\end{description*}

# from pagestyles option of titlesec
#include:titleps

# from many option of tcolorbox
#include:pdfcol
