# elsarticle class
# Matthew Bertucci 3/22/2022 for v3.3

#include:expl3
#include:xparse
#include:etoolbox
#include:graphicx
#include:natbib

#keyvals:\documentclass/elsarticle#c
preprint
review
1p
3p
5p
authoryear
number
sort&compress
longtitle
times
reversenotenum
lefttitle
endfloat
nonatbib
doubleblind
# options passed to article class
a4paper
a5paper
b5paper
letterpaper
legalpaper
executivepaper
landscape
10pt
11pt
12pt
oneside
twoside
draft
final
titlepage
notitlepage
onecolumn
twocolumn
leqno
fleqn
openbib
#endkeyvals

#ifOption:times
#include:txfonts
#endif

#ifOption:endfloat
#include:endfloat
#endif
#ifOption:endfloats
#include:endfloat
#endif

#ifOption:1p
#include:geometry
#endif
#ifOption:3p
#include:geometry
#endif
#ifOption:5p
#include:geometry
#endif

\affiliation[id]{keyvals}
\affiliation{keyvals}
\author[id]{names}
\begin{enumerate}[itemlabel]
\begin{frontmatter}
\begin{graphicalabstract}
\begin{highlights}
\begin{keyword}
\biboptions{natbib options%keyvals}
\corref{ids}
\cortext[id]{text}
\cortext{text}
\ead[url]{%<URL%>}
\ead{email%URL}#U
\end{frontmatter}
\end{graphicalabstract}
\end{highlights}
\end{keyword}
\fnref{ids}
\fntext[id]{text}
\fntext{text}
\JEL#/keyword
\journal{journal name}
\MSC#/keyword
\MSC[year]#/keyword
\newdefinition{envname}[numbered like]{caption}#N
\newdefinition{envname}{caption}#N
\newdefinition{envname}{caption}[within]#N
\newpageafter{type%keyvals}
\newproof{envname}{caption}#N
\PACS#/keyword
\sep#/keyword
\tnoteref{ids}
\tnotetext[id]{text}
\tnotetext{text}

#keyvals:\affiliation
organizationsep=%<punctuation%>
addresslinesep=%<punctuation%>
citysep=%<punctuation%>
postcodesep=%<punctuation%>
statesep=%<punctuation%>
countrysep=%<punctuation%>
organization={%<organization%>}
addressline={%<address%>}
city={%<city%>}
postcode={%<postcode%>}
state={%<state%>}
country={%<country%>}
#endkeyvals

#keyvals:\biboptions
round
square
curly
angle
semicolon
colon
comma
authoryear
numbers
super
sort
sort&compress
compress
longnamesfirst
sectionbib
nonamebreak
merge
elide
mcite
#endkeyvals

#keyvals:\newpageafter
title
author
abstract
#endkeyvals

# not documented
\ABD[label]{code}#*
\ABD{code}#*
\absbox#*
\abstracttitle{text}#*
\address[id]{address}#*
\address{address}#*
\addsep#*
\affnum#*
\alarm{warning%text}#*
\appnamewidth#*
\authorsep#*
\caaddressline[punctuation]{address}#*
\caaddressline{address}#*
\caaffcity[punctuation]{city}#*
\caaffcity{city}#*
\caaffiliationvalues#*
\caaffitempostskip#*
\cacountry[punctuation]{country}#*
\cacountry{country}#*
\caorganization[punctuation]{organization}#*
\caorganization{organization}#*
\capostalcode[punctuation]{postcode}#*
\capostalcode{postcode}#*
\castate[punctuation]{state}#*
\castate{state}#*
\castmaddressline[punctuation]{address}#*
\castmaddressline{address}#*
\castmaffcity[punctuation]{city}#*
\castmaffcity{city}#*
\castmcountry[punctuation]{country}#*
\castmcountry{country}#*
\castmorganization[punctuation]{organization}#*
\castmorganization{organization}#*
\castmpostalcode[punctuation]{postcode}#*
\castmpostalcode{postcode}#*
\castmstate[punctuation]{state}#*
\castmstate{state}#*
\Columnwidth#*
\comma#*
\cormark[id]
\doubleblindfalse#*
\doubleblindtrue#*
\eadsep#*
\elsaddress#*
\elsarticlegrabsbox#*
\elsarticlehighlightsbox#*
\elsarticleprelims#*
\elsarticletitlealign#*
\elsauthors#*
\elsLabel{id}#*
\elsparagraph#*
\elsprelimauthors#*
\elsprelimpagegrabsfalse#*
\elsprelimpagegrabstrue#*
\elsprelimpagehlfalse#*
\elsprelimpagehltrue#*
\elsRef{id}#*
\emailauthor{id}{email%URL}#*U
\finalMaketitle#*
\fnmark[id]
\fnotenum#*
\FNtext{text}#*
\getSpaceLeft#*
\gstmappto{cmd}{def}#*d
\hashchar#*
\idotsint#*
\ifdoubleblind#*
\ifelsprelimpagegrabs#*
\ifelsprelimpagehl#*
\iflongmktitle#*
\ifnonatbib#*
\ifnopreprintline#*
\ifpreprint#*
\ifstmundef{arg1}#*
\ifuseexplthreefunctions#*
\jtype#*
\keybox#*
\keywordtitle{text}#*
\keywordtitlesep{punctuation}#*
\lbracechar#*
\leftMargin#*
\longmktitlefalse#*
\longmktitletrue#*
\MaketitleBox#*
\myfooter[align]{footer}#*
\myfooterfont{font commands}#*
\myfor{num1}{num2}{code}#*
\Newlabel{id}{arg}#*
\newstmrobustcmd{cmd}[args]{def}#*d
\newstmrobustcmd{cmd}{def}#*d
\nonatbibfalse#*
\nonatbibtrue#*
\nonumnote{text}#*
\nopreprintlinefalse#*
\nopreprintlinetrue#*
\noteheight#*
\pprintMaketitle#*
\pprinttitle#*
\prelimauthorsep#*
\preprintfalse#*
\preprinttrue#*
\printFirstPageNotes#*
\printWarning#*
\qed#*
\rbracechar#*
\RCSdate#S
\RCSfile#S
\RCSversion#S
\resetTitleCounters#*
\savefpageheight#*
\savetitlepagespan#*
\sfbc#*
\sfn#*
\sitem#*
\stmexpandonce{arg}#*
\textmarker{color}{text}#*
\theaffn#*
\theauthor#*
\thecnote#*
\theead#*
\thefnote#*
\thetnote#*
\titleheight#*
\titlespancalculator{arg1}{arg2}{arg3}{arg4}#*
\tmptocnumberline{arg}#*
\tnotemark[id]
\tnotesep#*
\underscorechar#*
\urlauthor{id}{URL}#*U
\useauthors#*
\useelstitle#*
\useexplthreefunctionsfalse#*
\useexplthreefunctionstrue#*
\xstmappto{cmd}{def}#*d
