# elteikthesis class
# Matthew Bertucci 2022/06/05 for v2.3

#include:etoolbox
#include:xparse
#include:ifthen
#include:class-report
#include:iftex
#include:inputenc
#include:fontenc
# loads T1 option of fontenc
#include:babel
# loads english and hungarian options of babel
#include:indentfirst
#include:geometry
#include:fancyhdr
#include:graphicx
#include:float
#include:adjustbox
#include:subcaption
#include:rotating
#include:epstopdf
#include:parskip
#include:setspace
#include:paralist
#include:amsthm
#include:amsmath
#include:amsfonts
#include:xcolor
#include:hyperref
#include:hypcap
#include:url
#include:bookmark
#include:multirow
#include:longtable
#include:array
#include:makecell
#include:chngcntr
#include:pdfpages
#include:appendix
#include:csquotes
#include:biblatex
#include:caption
#include:tocloft
#include:makeidx
#include:nomencl
#include:algorithm
#include:algpseudocode
#include:listingsutf8
#include:todonotes
#include:preview

#keyvals:\documentclass/elteikthesis#c
nohyp
parspace
noindent
# options passed to report class
a4paper
a5paper
b5paper
letterpaper
legalpaper
executivepaper
landscape
10pt
11pt
12pt
oneside
twoside
draft
final
titlepage
notitlepage
openright
openany
onecolumn
twocolumn
leqno
fleqn
openbib
#endkeyvals

#ifOption:nohyp
#include:hyphenat
#endif

\begin{definition}
\begin{definition}[heading%text]
\end{definition}
\begin{theorem}
\begin{theorem}[heading%text]
\end{theorem}
\begin{remark}
\begin{remark}[heading%text]
\end{remark}
\begin{note}
\begin{note}[heading%text]
\end{note}

\acklabel#*
\affiliation{affiliation%text}
\alglabel#*
\authorlabel#*
\authorname#*
\biblabel#*
\city{city}
\cityname#*
\clearemptydoublepage#*
\codelabel#*
\deflabel#*
\degree{degree%text}
\degreename#*
\department{department%text}
\deptname#*
\documentlang{language}
\extaffiliation{affiliation%text}
\extsupaff#*
\extsupervisor{name}
\extsuplabel#*
\extsupname#*
\facname#*
\faculty{faculty%text}
\hyperrefComp#S
\intsuplabel#*
\logo{imagefile}#g
\logofilename#*
\lstalgorithmlabel#*
\lstcodelabel#*
\lstfigurelabel#*
\lstnomencl#*
\lsttablelabel#*
\notelabel#*
\oldtableofcontents#S
\origdoublepage#S
\remlabel#*
\subscript{arg}
\supaff#*
\superscript{arg}
\supervisor{name}
\suplabel#*
\supname#*
\theconpageno#*
\theolabel#*
\thesistitle#*
\thesisyear#*
\todolabel#*
\university{university%text}
\univname#*

codebackg#B
codecomment#B
codestring#B
todobackg#B

# from T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n

# from english option of babel
\captionsenglish#*
\dateenglish#*
\extrasenglish#*
\noextrasenglish#*
\englishhyphenmins#*
\britishhyphenmins#*
\americanhyphenmins#*
\prefacename#*
\bibname#*
\chaptername#*
\enclname#*
\ccname#*
\headtoname#*
\pagename#*
\seename#*
\alsoname#*
\proofname#*
\glossaryname#*

# from hungarian option of babel (repeats removed)
\captionshungarian#*
\datehungarian#*
\extrashungarian#*
\noextrashungarian#*
\notesname#*
\acite*{keylist}#c
\Acite*{keylist}#c
\acite{keylist}#c
\Acite{keylist}#c
\apageref*{label}#r
\Apageref*{label}#r
\apageref{label}#r
\Apageref{label}#r
\aref({label})#r
\Aref({label})#r
\aref*{label}#r
\Aref*{label}#r
\aref{label}#r
\Aref{label}#r
\atold%<⟨szám⟩%>+%<⟨toldalék⟩%>{}
\Atold%<⟨szám⟩%>+%<⟨toldalék⟩%>{}
\az*{szó}
\Az*{szó}
\az{szó}
\Az{szó}
\az+%<\refcmd{label}%>
\Az+%<\refcmd{label}%>
\azc{keylist}#*c
\Azc{keylist}#*c
\azp{label}#*r
\Azp{label}#*r
\azr{label}#*r
\Azr{label}#*r
\captionlabeldelim#S
\dMf#S
\editorfootnote{lábjegyzet-szöveg%text}
\emitdate[toldalék]{formátum}{dátum}
\emitdate{formátum}{dátum}
\factorial#m
\footnotestyle{előírás%keyvals}
#keyvals:\footnotestyle
reset=#none,section,chapter,page,page-resume,page-cont
resume
indent=#article-nosp,article-sp,hulist
ruler=#none,one-line,fourth,choose
marksize=max-normal
mark=#arabic,stars,stars-max
mpmark=#arabic,stars,stars-max
plain
huplain
starplain
editor
#endkeyvals
\hang{bekezdéskezdő jel}
\headingfootnote[szám]{lábjegyzet-szöveg%text}
\headingfootnote{lábjegyzet-szöveg%text}
\HuComma#*
\hunnewlabel#*
\Hunumeral{counter}
\hunumeral{counter}
\huordinal{counter}
\Huordinal{counter}
\magyarDumpHuMin#*
\makeFootnotable{környezet-név}
\MathBrk{szimbólum}#m
\MathBrkAll{szimbólum}#m
\MathReal{képlet tizedestörtekkel%formula}
\mond %<⟨kimondott szöveg⟩%>
\ondatehungarian
\ontoday
\refstruc{label}#r
\refstrucparen{label}#*r
\SafeToday
\textqq{szövegközti idézet%text}
\told%<⟨szám⟩%>+%<⟨toldalék⟩%>{}
\told%<⟨szám⟩%>+%<⟨toldalék1⟩%>+%<⟨toldalék2⟩%>{}


