# mcmthesis class
# Matthew Bertucci 2022/07/01 for v6.3.1

#include:xkeyval
#include:etoolbox
#include:fancyhdr
#include:fancybox
#include:ifthen
#include:lastpage
#include:listings
#include:appendix
#include:paralist
#include:amsthm
#include:amsfonts
#include:amsmath
#include:bm
#include:amssymb
#include:mathrsfs
#include:latexsym
#include:longtable
#include:multirow
#include:hhline
#include:tabularx
#include:array
#include:flafter
#include:pifont
#include:calc
#include:colortbl
#include:booktabs
#include:geometry
#include:fontenc
# loads T1 option of fontenc
#include:berasans
#include:hyperref
#include:ifpdf
#include:ifxetex
#include:environ
#include:graphicx
#include:epstopdf
#include:xcolor
# loads svgnames option of xcolor

\mcmsetup{options%keyvals}

#keyvals:\mcmsetup,\documentclass/mcmthesis#c
CTeX#true,false
titlepage#true,false
abstract#true,false
sheet#true,false
titleinsheet#true,false
keywordsinsheet#true,false
tcn=%<team control number%>
problem=%<question%>
#endkeyvals

\begin{Corollary}
\begin{Corollary}[heading%text]
\end{Corollary}
\begin{Definition}
\begin{Definition}[heading%text]
\end{Definition}
\begin{Example}
\begin{Example}[heading%text]
\end{Example}
\begin{Lemma}
\begin{Lemma}[heading%text]
\end{Lemma}
\begin{letter}{salutation%text}
\end{letter}
\begin{keywords}
\end{keywords}
\begin{memo}
\begin{memo}[title%text]
\end{memo}
\begin{Proposition}
\begin{Proposition}[heading%text]
\end{Proposition}
\begin{Theorem}
\begin{Theorem}[heading%text]
\end{Theorem}

\dif#m
\headset#*
\keywordsname#*
\lhaddress{address%text}#*
\lstbasicfont#*
\makesheet#*
\MCMversion#S
\me#m
\memodate{date}
\memofrom{name}
\memologo{logo code}
\memosubject{subject%text}
\memoto{name}
\mi#m
\team#*

grey#B
darkgreen#B
darkblue#B

# deprecated
\problem{question}#S

# from T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n

# from svgnames option of xcolor
AliceBlue#B
DarkKhaki#B
Green#B
LightSlateGrey#B
AntiqueWhite#B
DarkMagenta#B
GreenYellow#B
LightSteelBlue#B
Aqua#B
DarkOliveGreen#B
Grey#B
LightYellow#B
Aquamarine#B
DarkOrange#B
Honeydew#B
Lime#B
Azure#B
DarkOrchid#B
HotPink#B
LimeGreen#B
Beige#B
DarkRed#B
IndianRed#B
Linen#B
Bisque#B
DarkSalmon#B
Indigo#B
Magenta#B
Black#B
DarkSeaGreen#B
Ivory#B
Maroon#B
BlanchedAlmond#B
DarkSlateBlue#B
Khaki#B
MediumAquamarine#B
Blue#B
DarkSlateGray#B
Lavender#B
MediumBlue#B
BlueViolet#B
DarkSlateGrey#B
LavenderBlush#B
MediumOrchid#B
Brown#B
DarkTurquoise#B
LawnGreen#B
MediumPurple#B
BurlyWood#B
DarkViolet#B
LemonChiffon#B
MediumSeaGreen#B
CadetBlue#B
DeepPink#B
LightBlue#B
MediumSlateBlue#B
Chartreuse#B
DeepSkyBlue#B
LightCoral#B
MediumSpringGreen#B
Chocolate#B
DimGray#B
LightCyan#B
MediumTurquoise#B
Coral#B
DimGrey#B
LightGoldenrod#B
MediumVioletRed#B
CornflowerBlue#B
DodgerBlue#B
LightGoldenrodYellow#B
MidnightBlue#B
Cornsilk#B
FireBrick#B
LightGray#B
MintCream#B
Crimson#B
FloralWhite#B
LightGreen#B
MistyRose#B
Cyan#B
ForestGreen#B
LightGrey#B
Moccasin#B
DarkBlue#B
Fuchsia#B
LightPink#B
NavajoWhite#B
DarkCyan#B
Gainsboro#B
LightSalmon#B
Navy#B
DarkGoldenrod#B
GhostWhite#B
LightSeaGreen#B
NavyBlue#B
DarkGray#B
Gold#B
LightSkyBlue#B
OldLace#B
DarkGreen#B
Goldenrod#B
LightSlateBlue#B
Olive#B
DarkGrey#B
Gray#B
LightSlateGray#B
OliveDrab#B
Orange#B
Plum#B
Sienna#B
Thistle#B
OrangeRed#B
PowderBlue#B
Silver#B
Tomato#B
Orchid#B
Purple#B
SkyBlue#B
Turquoise#B
PaleGoldenrod#B
Red#B
SlateBlue#B
Violet#B
PaleGreen#B
RosyBrown#B
SlateGray#B
VioletRed#B
PaleTurquoise#B
RoyalBlue#B
SlateGrey#B
Wheat#B
PaleVioletRed#B
SaddleBrown#B
Snow#B
White#B
PapayaWhip#B
Salmon#B
SpringGreen#B
WhiteSmoke#B
PeachPuff#B
SandyBrown#B
SteelBlue#B
Yellow#B
Peru#B
SeaGreen#B
Tan#B
YellowGreen#B
Pink#B
Seashell#B
Teal#B