# tufte-handout class
# Matthew Bertucci 12/28/2021 for v3.5.2

### from tufte-common.def, shared with tufte-book class
#include:xkeyval
#include:xifthen
#include:hardwrap
#include:ifluatex
#include:ifxetex
#include:class-book
#include:ifpdf
#include:titlesec
#include:titletoc
#include:hyperref
#include:ragged2e
#include:geometry
#include:changepage
#include:paralist
#include:textcase
#include:letterspace
#include:setspace
#include:xcolor
# xcolor loaded with usenames, dvipsnames, and svgnames options
#include:natbib
#include:bibentry
#include:optparams
#include:placeins
#include:mathpazo
#include:helvet
#include:beramono
#include:fontenc
# fontenc loaded with T1 option
#include:textcomp
#include:fancyhdr
#include:multicol

#keyvals:\documentclass/tufte-handout#c
debug
fonts
nofonts
ls
nols
nobib
titlepage
notitlepage
a4paper
b5paper
sfsidenotes
symmetric
twoside
notoc
toc
justified
bidi
nobidi
hyper
nohyper
sidenote=#justified,raggedleft,raggedright,raggedouter,auto
marginnote=#justified,raggedleft,raggedright,raggedouter,auto
caption=#justified,raggedleft,raggedright,raggedouter,auto
citation=#justified,raggedleft,raggedright,raggedouter,auto
marginals=#justified,raggedleft,raggedright,raggedouter,auto
#endkeyvals

#ifOption:bidi
#include:bidi
#endif

\allcaps{text}
\allcapsspacing#*
\begin{fullwidth}
\begin{marginfigure}
\begin{marginfigure}[offset%l]
\begin{margintable}
\begin{margintable}[offset%l]
\caption[short text][offset%l]{text}
\doi{DOI}#*
\end{fullwidth}
\end{marginfigure}
\end{margintable}
\floatalignment#*
\footnotelayout#*
\forcerectofloat
\forceversofloat
\gsetboolean{name}{truth value}#*
\gsetlength{length cmd}{length}#*
\langwohyphens#*
\lettergroup{text}#*
\maketitlepage#*
\marginnote[offset%l]{text}
\marginnote{text}
\morefloats
\multfootsep#*
\multiplefootnotemarker#*
\newlinetospace{arg}#*
\newthought{text}
\nohyphenation#*
\nohyphens{text}#*
\plainauthor#*
\plainpublisher#*
\plaintitle#*
\PrintTufteSettings#*
\publisher[short text]{publisher}#*
\publisher{publisher}
\setcaptionfont{font commands}
\setcitationfont{font commands}
\setfloatalignment{pos%keyvals}
#keyvals:\setfloatalignment#c
t
b
#endkeyvals
\setmarginnotefont{font commands}
\setsidenotefont{font commands}
\sidenote[number][offset%l]{text}
\sidenote[number]{text}
\sidenote{text}
\smallcaps{text}
\smallcapsspacing#*
\textsmallcaps{text}#*
\thanklessauthor#*
\thanklesspublisher#*
\thanklesstitle#*
\thedate#*
\tuftebreak#*
\TufteLoadHyperref#*
\TufteRecalculate#*
\tufteskip#*
\tufteskipamount#*
\typeoutbool{text}{boolean}#*
\typeoutstr{text}{string}#*

# from dvipsnames option of xcolor
Apricot#B
Aquamarine#B
Bittersweet#B
Black#B
Blue#B
BlueGreen#B
BlueViolet#B
BrickRed#B
Brown#B
BurntOrange#B
CadetBlue#B
CarnationPink#B
Cerulean#B
CornflowerBlue#B
Cyan#B
Dandelion#B
DarkOrchid#B
Emerald#B
ForestGreen#B
Fuchsia#B
Goldenrod#B
Gray#B
Green#B
GreenYellow#B
JungleGreen#B
Lavender#B
LimeGreen#B
Magenta#B
Mahogany#B
Maroon#B
Melon#B
MidnightBlue#B
Mulberry#B
NavyBlue#B
OliveGreen#B
Orange#B
OrangeRed#B
Orchid#B
Peach#B
Periwinkle#B
PineGreen#B
Plum#B
ProcessBlue#B
Purple#B
RawSienna#B
Red#B
RedOrange#B
RedViolet#B
Rhodamine#B
RoyalBlue#B
RoyalPurple#B
RubineRed#B
Salmon#B
SeaGreen#B
Sepia#B
SkyBlue#B
SpringGreen#B
Tan#B
TealBlue#B
Thistle#B
Turquoise#B
Violet#B
VioletRed#B
White#B
WildStrawberry#B
Yellow#B
YellowGreen#B
YellowOrange#B

# from svgnames option of xcolor
AliceBlue#B
DarkKhaki#B
Green#B
LightSlateGrey#B
AntiqueWhite#B
DarkMagenta#B
GreenYellow#B
LightSteelBlue#B
Aqua#B
DarkOliveGreen#B
Grey#B
LightYellow#B
Aquamarine#B
DarkOrange#B
Honeydew#B
Lime#B
Azure#B
DarkOrchid#B
HotPink#B
LimeGreen#B
Beige#B
DarkRed#B
IndianRed#B
Linen#B
Bisque#B
DarkSalmon#B
Indigo#B
Magenta#B
Black#B
DarkSeaGreen#B
Ivory#B
Maroon#B
BlanchedAlmond#B
DarkSlateBlue#B
Khaki#B
MediumAquamarine#B
Blue#B
DarkSlateGray#B
Lavender#B
MediumBlue#B
BlueViolet#B
DarkSlateGrey#B
LavenderBlush#B
MediumOrchid#B
Brown#B
DarkTurquoise#B
LawnGreen#B
MediumPurple#B
BurlyWood#B
DarkViolet#B
LemonChiffon#B
MediumSeaGreen#B
CadetBlue#B
DeepPink#B
LightBlue#B
MediumSlateBlue#B
Chartreuse#B
DeepSkyBlue#B
LightCoral#B
MediumSpringGreen#B
Chocolate#B
DimGray#B
LightCyan#B
MediumTurquoise#B
Coral#B
DimGrey#B
LightGoldenrod#B
MediumVioletRed#B
CornflowerBlue#B
DodgerBlue#B
LightGoldenrodYellow#B
MidnightBlue#B
Cornsilk#B
FireBrick#B
LightGray#B
MintCream#B
Crimson#B
FloralWhite#B
LightGreen#B
MistyRose#B
Cyan#B
ForestGreen#B
LightGrey#B
Moccasin#B
DarkBlue#B
Fuchsia#B
LightPink#B
NavajoWhite#B
DarkCyan#B
Gainsboro#B
LightSalmon#B
Navy#B
DarkGoldenrod#B
GhostWhite#B
LightSeaGreen#B
NavyBlue#B
DarkGray#B
Gold#B
LightSkyBlue#B
OldLace#B
DarkGreen#B
Goldenrod#B
LightSlateBlue#B
Olive#B
DarkGrey#B
Gray#B
LightSlateGray#B
OliveDrab#B
Orange#B
Plum#B
Sienna#B
Thistle#B
OrangeRed#B
PowderBlue#B
Silver#B
Tomato#B
Orchid#B
Purple#B
SkyBlue#B
Turquoise#B
PaleGoldenrod#B
Red#B
SlateBlue#B
Violet#B
PaleGreen#B
RosyBrown#B
SlateGray#B
VioletRed#B
PaleTurquoise#B
RoyalBlue#B
SlateGrey#B
Wheat#B
PaleVioletRed#B
SaddleBrown#B
Snow#B
White#B
PapayaWhip#B
Salmon#B
SpringGreen#B
WhiteSmoke#B
PeachPuff#B
SandyBrown#B
SteelBlue#B
Yellow#B
Peru#B
SeaGreen#B
Tan#B
YellowGreen#B
Pink#B
Seashell#B
Teal#B

# from T1 option of fontenc
\DH#n
\NG#n
\dj#n
\ng#n
\k{arg}#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\quotedblbase#n
\quotesinglbase#n
\textquotedbl#n
\DJ#n
\th#n
\TH#n
\dh#n
\Hwithstroke#*n
\hwithstroke#*n
\textogonekcentered{arg}#*n
\guillemetleft#n
\guillemetright#n