# unbtex class
# Matthew Bertucci 2022/08/12 for v1.1.2

#include:class-abntex2
#include:fontenc
# loads T1 option of fontenc
#include:inputenc
#include:stix2
#include:helvet
#include:graphicx
#include:subcaption
#include:icomma
#include:indentfirst
#include:microtype
#include:multirow
#include:nomencl
#include:amsmath
#include:amsfonts
#include:amsthm
#include:mathtools
#include:mathrsfs
#include:xcolor
# loads dvipsnames option of xcolor
#include:tabu
#include:colortbl
#include:caption
#include:algorithm
#include:algpseudocode
#include:listings
#include:mdframed
#include:eso-pic
#include:xstring

# options passed to abntex2 class
#keyvals:\documentclass/unbtex#c
article
twocolumn
chapter=TITLE
section=TITLE
subsection=TITLE
subsubsection=TITLE
subsubsubsection=TITLE
sumario=#abnt-6027-2012,tradicional
# options passed to memoir class
10pt
11pt
12pt
14pt
17pt
20pt
25pt
30pt
36pt
48pt
60pt
9pt
a3paper
a4paper
a5paper
a6paper
a7paper
b3paper
b4paper
b5paper
b6paper
b7paper
broadsheetpaper
crownvopaper
dbillpaper
demyvopaper
draft
ebook
executivepaper
extrafontsizes
final
fleqn
foolscapvopaper
fullptlayout
imperialvopaper
landscape
largecrownvopaper
largepostvopaper
ledgerpaper
legalpaper
leqno
letterpaper
mcrownvopaper
mdemyvopaper
mediumvopaper
mlargecrownvopaper
ms
msmallroyalvopaper
oldfontcommands
oldpaper
onecolumn
oneside
openany
openbib
openleft
openright
postvopaper
pottvopaper
royalvopaper
showtrims
smalldemyvopaper
smallroyalvopaper
statementpaper
superroyalvopaper
twoside
#endkeyvals

\begin{theorem}
\begin{theorem}[heading%text]
\end{theorem}
\begin{lemma}
\begin{lemma}[heading%text]
\end{lemma}
\begin{proposition}
\begin{proposition}[heading%text]
\end{proposition}
\begin{corollary}
\begin{corollary}[heading%text]
\end{corollary}
\begin{definition}
\begin{definition}[heading%text]
\end{definition}
\begin{assumption}
\begin{assumption}[heading%text]
\end{assumption}
\begin{example}
\begin{example}[heading%text]
\end{example}
\begin{exercise}
\begin{exercise}[heading%text]
\end{exercise}
\begin{problem}
\begin{problem}[heading%text]
\end{problem}
\begin{remark}
\end{remark}

\ano{ano}
\asptname#*
\autori[]{Nome}{Sobrenome}#*
\autori{Nome}{Sobrenome}
\autorii[]{Nome}{Sobrenome}#*
\autorii{Nome}{Sobrenome}
\autoriinome#*
\autoriisobrenome#*
\autorinome#*
\autorisobrenome#*
\BackgroundPic#*
\coorientnome#*
\coorientsobrenome#*
\coorienttitulo#*
\crname#*
\dfname#*
\dia{dia}
\ecname#*
\epname#*
\fichacatalografica
\imprimirano#*
\imprimircurso#*
\imprimircutter#*
\imprimirdia#*
\imprimirfolhadeaprovacao
\imprimirmes#*
\instituicaoi#*
\instituicaoii#*
\instituicaoiii#*
\kwordi{Keyword%text}
\kwordii{Keyword%text}
\kwordiii{Keyword%text}
\kwordiiinome#*
\kwordiinome#*
\kwordinome#*
\kwordiv{Keyword%text}
\kwordivnome#*
\lmname#*
\makenomencl
\membrodabancai{Nome}
\membrodabancaifuncao{Funcao}
\membrodabancaifuncaonome#*
\membrodabancaii{Nome}
\membrodabancaiifuncao{Funcao}
\membrodabancaiifuncaonome#*
\membrodabancaiii{Nome}
\membrodabancaiiifuncao{Funcao}
\membrodabancaiiifuncaonome#*
\membrodabancaiiinome#*
\membrodabancaiinome#*
\membrodabancainome#*
\membrodabancaiv{Nome}
\membrodabancaivfuncao{Funcao}
\membrodabancaivfuncaonome#*
\membrodabancaivnome#*
\membrodabancav{Nome}
\membrodabancavfuncao{Funcao}
\membrodabancavfuncaonome#*
\membrodabancavnome#*
\mes{mes}
\numerocutter{numero}
\orientnome#*
\orientsobrenome#*
\orienttitulo#*
\pbname#*
\pchavei{Palavra chave%text}
\pchaveii{Palavra chave%text}
\pchaveiii{Palavra chave%text}
\pchaveiiinome#*
\pchaveiinome#*
\pchaveinome#*
\pchaveiv{Palavra chave%text}
\pchaveivnome#*
\prname#*
\rmname#*
\source{text}
\thmnamebr
\thmnameen
\thname#*
\tipocurso{Programa%text}

verdeunb#B
azulunb#B
mygreen#B
mylilas#B

# from T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n

# from dvipsnames option of xcolor
Apricot#B
Aquamarine#B
Bittersweet#B
Black#B
Blue#B
BlueGreen#B
BlueViolet#B
BrickRed#B
Brown#B
BurntOrange#B
CadetBlue#B
CarnationPink#B
Cerulean#B
CornflowerBlue#B
Cyan#B
Dandelion#B
DarkOrchid#B
Emerald#B
ForestGreen#B
Fuchsia#B
Goldenrod#B
Gray#B
Green#B
GreenYellow#B
JungleGreen#B
Lavender#B
LimeGreen#B
Magenta#B
Mahogany#B
Maroon#B
Melon#B
MidnightBlue#B
Mulberry#B
NavyBlue#B
OliveGreen#B
Orange#B
OrangeRed#B
Orchid#B
Peach#B
Periwinkle#B
PineGreen#B
Plum#B
ProcessBlue#B
Purple#B
RawSienna#B
Red#B
RedOrange#B
RedViolet#B
Rhodamine#B
RoyalBlue#B
RoyalPurple#B
RubineRed#B
Salmon#B
SeaGreen#B
Sepia#B
SkyBlue#B
SpringGreen#B
Tan#B
TealBlue#B
Thistle#B
Turquoise#B
Violet#B
VioletRed#B
White#B
WildStrawberry#B
Yellow#B
YellowGreen#B
YellowOrange#B
