# uuthesis2e class (University of Utah thesis class)
# http://ftp.math.utah.edu/pub/uuthesis/
# Matthew Bertucci 2022/06/12 for v1.3

#keyvals:\documentclass/uuthesis2e#c
11pt
12pt
Chicago
oneside
twoside
draft
final
report
titlepage
notitlepage
openright
openany
onecolumn
twocolumn
leqno
fleqn
honors
csreport
openbib
#endkeyvals

\begin{epigraph}
\end{epigraph}
\begin{doublespace}
\end{doublespace}
\begin{Proof}
\end{Proof}
\begin{singlespace}
\end{singlespace}
\begin{topics}{template%text}
\end{topics}

\abstracttitlepage#*
\approvaldepartment{department%text}
\boxx#*
\chairtitle{title%text}
\chapter[short title]{title}#L1
\chapter{title}#L1
\committeeapproval#*
\committeechair{name}
\copyrightpage
\copyrightyear{year}
\CSREPORTTITLE#*
\dedication{text}
\dedicationfalse#S
\dedicationpage
\dedicationtrue#S
\degree{degree title%text}
\department{department%text}
\departmentchair{name}
\descriptionmargin#*
\doublespacedheadings#*
\EMX#*
\fifthfalse#S
\fifthtrue#S
\firstreader{name}
\fivelevels
\fixmainheadingSKIP#S
\fourlevels
\fourthfalse#S
\fourthreader{name}
\fourthtrue#S
\frontmatter{required file}{file}{title}#*i
\graduatedean{name}
\HFapproval#S
\HFapprovalsmall#S
\HFchapter#S
\HFchapterHT#S
\HFchapterSKIP#S
\HFmainhead#S
\HFmainheadHT#S
\HFmainheadSKIP#S
\HFparagraph#S
\HFparagraphHT#S
\HFpart#S
\HFpartHT#S
\HFpartSKIP#S
\HFsection#S
\HFsectionHT#S
\HFsubsection#S
\HFsubsectionHT#S
\HFsubsubsection#S
\HFsubsubsectionHT#S
\HFsubsubsubsection#S
\HFsubsubsubsectionHT#S
\honorsadvisor{name}#*
\honorsdepartment{department%text}#*
\honorsdirector{name}#*
\honorssupervisor{name}#*
\HONORSTITLE#*
\ifdedication#S
\iffifth#S
\iffourth#S
\iflistoffigures#S
\iflistoftables#S
\ifnoisy#S
\ifrawbibliography#S
\listoffiguresfalse#S
\listoffigurestrue#S
\listoftablesfalse#S
\listoftablestrue#S
\mainheading{text}#*
\mainheadingtext{text}{formatting}#*
\mainheadingwidth#*
\minilength#*
\minusfourthline#*
\minushalfline#*
\minusline#*
\noappendix#*
\nohyphenation#*
\noisyfalse#S
\noisytrue#S
\normalspace#*
\numberofappendices = %<integer%>
\optionalfront{title}{content%text}
\pf#*
\plusfourthline#*
\plushalfline#*
\plusline#*
\preface{file}{title}#i
\prefacesection{title}#*
\proof{text}
\proofline{heading%text}#*
\qed
\rawbibliographyfalse#S
\rawbibliographytrue#S
\ReaderPerson{text}#*
\readingapproval#*
\reportitle#*
\reportnumber{number}#*
\reporttitle#*
\reporttitlepage#*
\requiredfrontmatter{file}#*i
\secondreader{name}
\singlespacedheadings#*
\submitdate{date}
\subsubsubsection[short title]{title}#L5
\subsubsubsection{title}#L5
\testsize{arg1}{arg2}#S
\thechapter#*
\theoldchapter#S
\theoldtocdepth#S
\theoremsetup#*
\thesisTOC{text}#*
\thesistype{thesis|dissertation}
\thesubsubsubsection#*
\thirdreader{name}
\threelevels
\titlepage
\topicslabel{text}#*
\twopagefigure{caption%text}{label}#l
\ulabel{label}{message%text}#l
\uunumberline{text}#*
\vita#*

# only defined with \theoremsetup in preamble
\begin{theorem}#S
\begin{theorem}[heading%text]#S
\end{theorem}#S
\begin{proposition}#S
\begin{proposition}[heading%text]#S
\end{proposition}#S
\begin{corollary}#S
\begin{corollary}[heading%text]#S
\end{corollary}#S

# from Chicago.clo
\captionlineskip#*
\captionONfalse#S
\captionONtrue#S
\ifcaptionON#S
\legend{text}#*

# from uuthesis-2016-h.sty v1.08
\bibname#*
\chaptermark{code}#*
\copyrightpage
\doublespace#*
\fixchapterheading#*
\frontmatterformat
\HFsectionSKIP#S
\HFsubsectionSKIP#S
\HFsubsubsectionSKIP#S
\HFsubsubsubsectionSKIP#S
\HideMakeUppercase#S
\maintext
\optionalfront{title}{content%text}
\singlespace#*
\thesisTOC{text}#*
\titlepage
\tracingoff#*
\tracingon#*

# from dissertationapproval.sty
\approvaldepartment{date}
\bfunderline{text}#*
\chairdateapproved{date}
\dissertationapproval
\firstdateapproved{date}
\fourthdateapproved{date}
\seconddateapproved{date}
\thirddateapproved{date}