# willowtreebook class
# Matthew Bertucci 1/9/2021 for v1.03

#include:class-memoir
#include:xparse
#include:etex
#include:newunicodechar
#include:inputenc
#include:fontenc
# fontenc loaded with T1 option
#include:lmodern
#include:isomath
#include:cfr-lm
#include:eucal
# eucal loaded with mathscr option
#include:microtype
#include:embrac
#include:amsmath
#include:amsthm
#include:amssymb
#include:braket
#include:mathtools
#include:varioref
#include:longtable
#include:multicol
#include:hyperref
#include:memhfixc
#include:xcolor
# xcolor loaded with svgnames option
#include:colortbl
#include:enumitem
#include:tcolorbox
# breakable and skins tcolorbox libraries loaded
#include:pdfcol
#include:tikz

#ifOption:ContainsChinese
#include:CJKutf8
\ChineseTextInThisDocument#S
\Chinese{text%plain}
#endif

#keyvals:\documentclass/willowtreebook#c
# from willowtreebook.cls
ContainsChinese
# from memoir.cls
10pt
11pt
12pt
14pt
17pt
20pt
25pt
30pt
36pt
48pt
60pt
9pt
a3paper
a4paper
a5paper
a6paper
article
b3paper
b4paper
b5paper
b6paper
broadsheetpaper
crownvopaper
dbillpaper
demyvopaper
draft
ebook
executivepaper
extrafontsizes
final
fleqn
foolscapvopaper
fullptlayout
imperialvopaper
landscape
largecrownvopaper
largepostvopaper
ledgerpaper
legalpaper
leqno
letterpaper
mcrownvopaper
mdemyvopaper
mediumvopaper
mlargecrownvopaper
ms
msmallroyalvopaper
oldfontcommands
oldpaper
onecolumn
oneside
openany
openbib
openleft
openright
postvopaper
pottvopaper
royalvopaper
showtrims
smalldemyvopaper
smallroyalvopaper
statementpaper
superroyalvopaper
twocolumn
twoside
#endkeyvals

\Title{title%text}
\Subtitle{subtitle%text}
\Author{author}
\BibliographyFile{file}
\Colophon{colophon%text}
\afterpreface
\SubIndex{term}
\Notation{term}{symbol%formula}{description%text}
\begin{theorem}
\begin{theorem}[subtitle%text]
\end{theorem}
\begin{lemma}
\begin{lemma}[subtitle%text]
\end{lemma}
\begin{corollary}
\begin{corollary}[subtitle%text]
\end{corollary}
\begin{proposition}
\begin{proposition}[subtitle%text]
\end{proposition}
\begin{example}
\end{example}
\begin{exampleAndImage}{width}
\end{exampleAndImage}
\begin{examples}
\end{examples}
\begin{problem}{label}#l
\end{problem}
\begin{problem*}{label}#l
\end{problem*}
\begin{answer}{label}#r
\end{answer}
\define{term}
\chapterSummary{text}
\optionalSection{title}#L2
\imageborderinexample{text}
\includegraphicsinexample{imagefile}#g
\includegraphicsinexample[options%keyvals]{imagefile}#g
#keyvals:\includegraphicsinexample
alt={%<alt text%>}
bb=%<llx lly urx ury%>
bbllx=
bblly=
bburx=
bbury=
natwidth=
natheight=
hiresbb#true,false
pagebox=#mediabox,cropbox,bleedbox,trimbox,artbox
viewport=%<llx lly urx ury%>
trim=%<llx lly urx ury%>
angle=%<degrees%>
origin=
width=##L
height=##L
totalheight=##L
keepaspectratio#true,false
scale=%<factor%>
clip#true,false
draft#true,false
type=%<file type%>
ext=%<file extension%>
read=%<read-file extension%>
command=
quiet
page=%<page number%>
interpolate#true,false
decodearray={%<color array%>}
#endkeyvals
\inputinexample{file}#i

\scotsMc#*
\scotsMC#*
\scotsMcx{text%plain}#*
\tallmatrix#*
\NotationIndexName#*
\paddedpagenumber#*
\leftAbs#*
\rightAbs#*
\leftDoubleAbs#*
\rightDoubleAbs#*
\normNotation{arg}#*
\orderForNotationIndex{arg}#*
\lengthForNotationIndex{arg}#*
\normForNotationIndex{arg}#*
\lcl#*
\rcl#*
\lflr#*
\rflr#*
\ceilForNotationIndex{arg}#*
\floorForNotationIndex{arg}#*
\FancyIndexEntry{arg}#*
\idxmark{arg}#*
\doidxbookmark{arg}#*
\doglobookmark{arg}#*
\stdFigSize#*
\subfigure{text}#*
\subfigure[list-entry]{text}#*
\subfigure[list-entry][subtitle%text]{text}#*
\subfigcapskip#*
\heading#*
\begin{ReviewExercises}#*
\end{ReviewExercises}#*
\begin{subproblems}#*
\end{subproblems}#*
\begin{problemTheorem}#*
\end{problemTheorem}#*
\begin{HardProblemTheorem}#*
\end{HardProblemTheorem}#*
\printanswers#*
\newparagraph#*
\defaultArrayRuleColor#*
\rulecolor{color}#*
\writetitlepage#*
\newcolr#*
\smallboxh#*
\smallboxd#*
\smallboxw#*
\blanksp#*
\smallcolouredbox#*
\ifchaptercolours#*
\chaptercolourstrue#*
\chaptercoloursfalse#*
\negphantom{text%plain}#*
\hintsPreamble#*
\bibliographyPreamble#*

dark-red#B
dark-blue#B
medium-blue#B
exampleBackgroundColour#B
image-border-color#B
colorAAA#B
colorBBB#B
colorCCC#B

# from T1 option of fontenc
\DH#n
\NG#n
\dj#n
\ng#n
\k{arg}#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\quotedblbase#n
\quotesinglbase#n
\textquotedbl#n
\DJ#n
\th#n
\TH#n
\dh#n
\Hwithstroke#*n
\hwithstroke#*n
\textogonekcentered{arg}#*n
\guillemetleft#n
\guillemetright#n

# from mathscr option of eucal
\mathscr{letters}#m

# from svgnames option of xcolor
AliceBlue#B
DarkKhaki#B
Green#B
LightSlateGrey#B
AntiqueWhite#B
DarkMagenta#B
GreenYellow#B
LightSteelBlue#B
Aqua#B
DarkOliveGreen#B
Grey#B
LightYellow#B
Aquamarine#B
DarkOrange#B
Honeydew#B
Lime#B
Azure#B
DarkOrchid#B
HotPink#B
LimeGreen#B
Beige#B
DarkRed#B
IndianRed#B
Linen#B
Bisque#B
DarkSalmon#B
Indigo#B
Magenta#B
Black#B
DarkSeaGreen#B
Ivory#B
Maroon#B
BlanchedAlmond#B
DarkSlateBlue#B
Khaki#B
MediumAquamarine#B
Blue#B
DarkSlateGray#B
Lavender#B
MediumBlue#B
BlueViolet#B
DarkSlateGrey#B
LavenderBlush#B
MediumOrchid#B
Brown#B
DarkTurquoise#B
LawnGreen#B
MediumPurple#B
BurlyWood#B
DarkViolet#B
LemonChiffon#B
MediumSeaGreen#B
CadetBlue#B
DeepPink#B
LightBlue#B
MediumSlateBlue#B
Chartreuse#B
DeepSkyBlue#B
LightCoral#B
MediumSpringGreen#B
Chocolate#B
DimGray#B
LightCyan#B
MediumTurquoise#B
Coral#B
DimGrey#B
LightGoldenrod#B
MediumVioletRed#B
CornflowerBlue#B
DodgerBlue#B
LightGoldenrodYellow#B
MidnightBlue#B
Cornsilk#B
FireBrick#B
LightGray#B
MintCream#B
Crimson#B
FloralWhite#B
LightGreen#B
MistyRose#B
Cyan#B
ForestGreen#B
LightGrey#B
Moccasin#B
DarkBlue#B
Fuchsia#B
LightPink#B
NavajoWhite#B
DarkCyan#B
Gainsboro#B
LightSalmon#B
Navy#B
DarkGoldenrod#B
GhostWhite#B
LightSeaGreen#B
NavyBlue#B
DarkGray#B
Gold#B
LightSkyBlue#B
OldLace#B
DarkGreen#B
Goldenrod#B
LightSlateBlue#B
Olive#B
DarkGrey#B
Gray#B
LightSlateGray#B
OliveDrab#B
Orange#B
Plum#B
Sienna#B
Thistle#B
OrangeRed#B
PowderBlue#B
Silver#B
Tomato#B
Orchid#B
Purple#B
SkyBlue#B
Turquoise#B
PaleGoldenrod#B
Red#B
SlateBlue#B
Violet#B
PaleGreen#B
RosyBrown#B
SlateGray#B
VioletRed#B
PaleTurquoise#B
RoyalBlue#B
SlateGrey#B
Wheat#B
PaleVioletRed#B
SaddleBrown#B
Snow#B
White#B
PapayaWhip#B
Salmon#B
SpringGreen#B
WhiteSmoke#B
PeachPuff#B
SandyBrown#B
SteelBlue#B
Yellow#B
Peru#B
SeaGreen#B
Tan#B
YellowGreen#B
Pink#B
Seashell#B
Teal#B