# classicthesis package
# Matthew Bertucci 12/13/2021 for v4.6

#include:ifthen
#include:kvoptions
#include:ifpdf
#include:ifxetex
#include:ifluatex
#include:xcolor
#include:mathpazo
#include:beramono
#include:microtype
#include:typearea
#include:mparhack
#include:booktabs
#include:textcase
#include:scrlayer-scrpage
#include:titlesec
#include:tocloft
#include:footmisc
#include:scrtime
#include:caption
#include:remreset
#include:hyperref

#ifOption:drafting
#include:prelim2e
#endif
#ifOption:drafting=true
#include:prelim2e
#endif

#ifOption:style=arsclassica
#include:classicthesis-arsclassica
#endif

#keyvals:\usepackage/classicthesis#c
drafting#true,false
parts#true,false
linedheaders#true,false
style=#classicthesis,arsclassica
palatino#true,false
eulerchapternumbers#true,false
beramono#true,false
eulermath#true,false
tocaligned
dottedtoc
manychapters
floatperchapter
a4paper
a5paper
b5paper
letterpaper
#endkeyvals

CTsemi#B
CTcitation#B
CTurl#B
CTtitle#B
CTlink#B
halfgray#B
webgreen#B
webbrown#B

\begin{aenumerate}
\end{aenumerate}
\ctparttext{text}
\spacedallcaps{text}
\spacedlowsmallcaps{text}

\classicthesis#*
\chapterNumber{text}#*
\beforebibskip#*
\figurelabelwidth#*
\finalVersionString#*
\listingslabelwidth#*
\myVersion#*
\newchnumberwidth#*
\newnumberwidth#*
\oldmarginpar{right%text}#*
\oldmarginpar[left]{right%text}#*
\tablelabelwidth#*
\tocEntry{text}#*
\deactivateaddvspace#*

# deprecated
\myChapter#S
\myPart#S
\graffito#S

# from dvipsnames option of xcolor
Apricot#B
Aquamarine#B
Bittersweet#B
Black#B
Blue#B
BlueGreen#B
BlueViolet#B
BrickRed#B
Brown#B
BurntOrange#B
CadetBlue#B
CarnationPink#B
Cerulean#B
CornflowerBlue#B
Cyan#B
Dandelion#B
DarkOrchid#B
Emerald#B
ForestGreen#B
Fuchsia#B
Goldenrod#B
Gray#B
Green#B
GreenYellow#B
JungleGreen#B
Lavender#B
LimeGreen#B
Magenta#B
Mahogany#B
Maroon#B
Melon#B
MidnightBlue#B
Mulberry#B
NavyBlue#B
OliveGreen#B
Orange#B
OrangeRed#B
Orchid#B
Peach#B
Periwinkle#B
PineGreen#B
Plum#B
ProcessBlue#B
Purple#B
RawSienna#B
Red#B
RedOrange#B
RedViolet#B
Rhodamine#B
RoyalBlue#B
RoyalPurple#B
RubineRed#B
Salmon#B
SeaGreen#B
Sepia#B
SkyBlue#B
SpringGreen#B
Tan#B
TealBlue#B
Thistle#B
Turquoise#B
Violet#B
VioletRed#B
White#B
WildStrawberry#B
Yellow#B
YellowGreen#B
YellowOrange#B