# dtxdescribe package
# Matthew Bertucci 2/3/2022 for v1.03

#include:makeidx
#include:etoolbox
#include:xparse
#include:calc
#include:xcolor
#include:caption
#include:newfloat
#include:fancyvrb
#include:xstring
#include:pict2e

\DescribeMacro{macro%cmd}
\DescribeMacro[class%plain]{macro%cmd}
\DescribeEnv{envname}
\DescribeEnv[class%plain]{envname}
\marg{text%plain}
\oarg{text%plain}
\parg{text%plain}
\meta{text%plain}
\url{URL}#U
\DescribeArgument{argument}
\DescribeArgument[class%plain]{argument}
\DescribeBoolean{name}
\DescribeBoolean[class%plain]{name}
\DescribeLength{length}
\DescribeLength[class%plain]{length}
\DescribeCounter{counter}
\DescribeCounter[class%plain]{counter}
\DescribeHook{hook}
\DescribeHook[class%plain]{hook}
\DescribeKey{key%plain}
\DescribeKey[class%plain]{key%plain}
\DescribePackage{package}
\DescribePackage[class%plain]{package}
\DescribeClass{class}
\DescribeClass[class%plain]{class}
\DescribeOption{option}
\DescribeOption[class%plain]{option}
\DescribeFile{file}
\DescribeFile[class%plain]{file}
\DescribeProgram{program}
\DescribeProgram[class%plain]{program}
\DescribeCommand{OS-cmd}
\DescribeCommand[class%plain]{OS-cmd}
\DescribeObject{object}
\DescribeObject[class%plain]{object}
\DescribeOther{name}
\DescribeOther[class%plain]{name}
\ItemDescribeMacro{macro%cmd}
\ItemDescribeMacro[class%plain]{macro%cmd}
\ItemDescribeEnv{envname}
\ItemDescribeEnv[class%plain]{envname}
\ItemDescribeArgument{argument}
\ItemDescribeArgument[class%plain]{argument}
\ItemDescribeBoolean{name}
\ItemDescribeBoolean[class%plain]{name}
\ItemDescribeLength{length}
\ItemDescribeLength[class%plain]{length}
\ItemDescribeCounter{counter}
\ItemDescribeCounter[class%plain]{counter}
\ItemDescribeHook{hook}
\ItemDescribeHook[class%plain]{hook}
\ItemDescribeKey{key%plain}
\ItemDescribeKey[class%plain]{key%plain}
\ItemDescribePackage{package}
\ItemDescribePackage[class%plain]{package}
\ItemDescribeClass{class}
\ItemDescribeClass[class%plain]{class}
\ItemDescribeOption{option}
\ItemDescribeOption[class%plain]{option}
\ItemDescribeFile{file}
\ItemDescribeFile[class%plain]{file}
\ItemDescribeProgram{program}
\ItemDescribeProgram[class%plain]{program}
\ItemDescribeCommand{OS-cmd}
\ItemDescribeCommand[class%plain]{OS-cmd}
\ItemDescribeObject{object}
\ItemDescribeObject[class%plain]{object}
\ItemDescribeOther{name}
\ItemDescribeOther[class%plain]{name}
\DescribeDefault{value}
\DescribeDefaultcolor#*
\shownesting{container name}{contents%text}
\shownesting[fraction]{container name}{contents%text}
\shownesting*{container name}{contents%text}
\shownesting*[fraction]{container name}{contents%text}
\margintag{text}
\margintagcolor#*
\watchout
\watchout[text]
\watchoutcolor#*
\begin{dtxexample}{caption/label%text}
\begin{dtxexample}[notes/crossrefs%text]{caption/label%text}
\end{dtxexample}
\dtxexamplecodename#*
\dtxexampleresultname#*
\begin{sourceverb}#V
\begin{sourceverb}[options%keyvals]#V
\end{sourceverb}
\begin{fsourceverb}#V
\begin{fsourceverb}[options%keyvals]#V
\end{fsourceverb}
#keyvals:\begin{sourceverb},\begin{fsourceverb}
commentchar=%<single char%>
gobble=%<integer%>
formatcom=%<command%>
fontfamily=
fontsize=
fontshape=
fontseries=
frame=#none,leftline,topline,bottomline,lines,single
framerule=##L
framesep=##L
rulecolor=%<color cmd%>
fillcolor=%<color cmd%>
label=
labelposition=#none,topline,bottomline,all
numbers=#none,left,right
numbersep=##L
firstnumber=#auto,last,integer
stepnumber=%<integer%>
numberblanklines#true,false
firstline=%<integer%>
lastline=%<integer%>
showspaces#true,false
showtabs#true,false
obeytabs#true,false
tabsize=%<integer%>
baselinestretch=##L
commandchars=%<three chars%>
xleftmargin=##L
xrightmargin=##L
resetmargins#true,false
hfuzz=##L
samepage#true,false
codes=
defineactive=
reflabel=##l
#endkeyvals
\begin{sourcedisplay}
\end{sourcedisplay}
\fquad
\fqquad
\fqqquad
\begin{UIdisplay}
\end{UIdisplay}
\userentry{text}
\userentryname#*
\begin{docsidebar}
\begin{docsidebar}[title%text]
\end{docsidebar}
\pkg{package}
\env{envname}
\ctr{counter}
\bool{bool}
\optn{option}
\cmd{cmd}
\cs{csname}
\TOC
\LOF
\LOT
\progcode{code}
\prog{program}
\filenm{file}
\UI{text%plain}
\cmds{text%plain}
\ODT
\SVG
\PNG
\GIF
\JPG
\EPS
\PDF
\DVI
\UTF
\URL
\element{element}
\attribute{attribute}
\attrib{attribute}
\HTML
\HTMLfive
\CSS
\CSSthree
\EPUB
\tikz
\MathML
\MathJax
\CTAN
\TDS
\brand{brand}
\acro{acronym}
\supregistered
\dviTeX
\dviLaTeX
\pdfTeX
\pdfLaTeX
\LuaTeX
\LuaLaTeX
\XeTeX
\XeLaTeX
\AmS
\LyX
\BibTeX
\MakeIndex
\ConTeXt
\MiKTeX
\thinskip
\endash
\emdash
\thinbrspace
\thinthinbrspace
\Dash
\dash
\Slash

myurlcolor#B
mylinkcolor#B
\hyperpage{arg}#*
\warningsign#*
\actualchar#*
\quotechar#*
\levelchar#*
\encapchar#*
\verbatimchar#*
\PrintEnvName{envname}#*
\usage{text%plain}#*
\begin{dtxdexample}#*
\end{dtxdexample}#*
\begin{noindmacro}{macro%cmd}#*
\end{noindmacro}#*
\begin{noindenvironment}{envname}#*
\end{noindenvironment}#*
\removebs{arg}#*
\MacroFont#*
\IndexMin#*
