# exerquiz package
# Matthew Bertucci 2022/05/21 for v8.8.5

#include:keyval
#include:ifpdf
#include:ifxetex
#include:ifluatex
#include:array
#include:xcolor
#include:aeb-comment
#include:verbatim
#include:hyperref
#include:amssymb
#include:eforms

#keyvals:\usepackage/exerquiz#c
noxcolor
forpaper
forcolorpaper
preview
nosolutions
noquizsolutions
allowanswers
online
nohiddensolutions
noHiddensolutions
solutionsafter
solutionsonly
contsolns
nocorrections
proofing
showgrayletters
vspacewithsolns
nodljs
execJS
usealtadobe
exercisesonly
debug
allowrandomize
usesumrytbls
usemcfi
userbmintrvl
dvipsone
dvips
pdftex
luatex
dvipdfm
dvipdfmx
xetex
textures
dviwindo
unicode
useui
french
german
norsk
dutch
spanish
italian
russian
dansk
polish
finnish
catalan
czech
brazil
turkish
# options passed to xcolor
natural
rgb
cmy
cmyk
hsb
gray
RGB
HTML
HSB
Gray
monochrome
dvipsnames
dvipsnames*
svgnames
svgnames*
x11names
x11names*
table
fixpdftex
hyperref
prologue
kernelfbox
xcdraw
noxcdraw
fixinclude
showerrors
hideerrors
#endkeyvals

#ifOption:useui
\ui{keyvals}
#keyvals:\ui
border=#visible,invisible
linewidth=#thin,medium,thick
highlight=#none,invert,outline,inset,push
bordercolor={%<R G B%>}
linestyle=#solid,dashed,underlined,beveled,inset
dasharray=%<number%>
linktxtcolor=#%color
annotflags=#hidden,print,-print,noview,lock
fieldflags=#readonly,required,noexport,multiline,password,notoggleoff,radio,pushbutton,combo,edit,sort,fileselect,multiselect,nospellcheck,noscrolling,comb,radiosinunison,commitonchange,richtext
maxlength=%<number%>
tooltip={%<text%>}
default=%<text%>
value=%<text%>
rotate=#0,90,180,270
bgcolor={%<R G B%>}
uptxt={%<text%>}
downtxt={%<text%>}
rollovertxt={%<text%>}
normappr=%<string%>
rollappr=%<string%>
downappr=%<string%>
importicons=#yes,no
layout=#labelonly,icononly,icontop,iconbottom,iconleft,iconright,labelover
scalewhen=#always,never,iconbig,iconsmall
scale=#proportional,nonproportional
position={%<x y%>}
fitbounds#true,false
appr={%<specs%>}
align=#left,centered,right
textfont=%<font name%>
textsize=%<number%>
textcolor=%<number%>
autocenter=#yes,no
inline=#yes,no
presets=%<\cmd%>
symbolchoice=#check,circle,cross,diamond,square,star
rectW=##L
rectH=##L
width=##L
height=##L
scalefactor=%<factor%>
goto={%<KV-pairs%>}
js={%<script%>}
mouseup={%<script%>}
mousedown={%<script%>}
onenter={%<script%>}
onexit={%<script%>}
onfocus={%<script%>}
onblur={%<script%>}
format={%<script%>}
keystroke={%<script%>}
validate={%<script%>}
calculate={%<script%>}
pageopen={%<script%>}
pageclose={%<script%>}
pagevisible={%<script%>}
pageinvisible={%<script%>}
lock={%<KV-pairs%>}
#endkeyvals
#endif

#ifOption:allowrandomize
# inputs aebrandom.def
\InitSeedValue#*
\writeSeedToSolnFile#*
\saveRandomSeed#*
\inputRandomSeed
\useRandomSeed{number}
\ifsaveseed#*
\saveseedtrue#*
\saveseedfalse#*
\saveseedinfo#S
\readsavfile#S
# from random.tex
\randomi#*
\nextrandom#*
\setrannum{count register}{min}{max}#*
\setrandim{dimen register}{min}{max}#*
\pointless#*
\PoinTless#S
\ranval#*
#endif

#ifOption:usesumrytbls
# inputs aebsumrytbls.def
\displaySumryTbl{quiz name}
\displaySumryTbl[options%keyvals]{quiz name}
#keyvals:\displaySumryTbl
ntables=#1,2
showmarkup#true,false
nocorrections#true,false
showOutOf#true,false
#endkeyvals
\ccatCurrQzWith(arg)#*
\pbPopulateSumTable#*
\pbDoNoCorrectSumryTbl#*
\sumryTblQ#*
\sumryTblR#*
\sumryTblP#*
\stfmtType#S
\showOutOfinSmryTbl#*
\stmarkupbox#*
\oField#S
\sthline#*
\sumrytblCkMUsep#*
\sumrytbllinkHook{code}#*
\sumryTblProbFmt{text}#*
\sumrytablesep#*
\stmarkupWidth#*
\stmarkupHeight#*
\stmarkupTextSize#*
\writeProListAux
\setParamSumryTblAux#*
\begin{sumryTblAux}{quiz name}
\end{sumryTblAux}
\correctColor#*
\wrongColor#*
\partialColor#*
#endif

#ifOption:usemcfi
# inputs usemcfi.def
\bMCFI
\eMCFI
\eqNA#S
\mcfiMarkupfmt#*
\mcfiMarkup#*
\clickChkBxMCFI#*
#endif

#ifOption:userbmintrvl
# inputs rbmintrvl.def
\intrCAns
\intrPrec
\rbmIntrvl{[a,b]}{definition}#S
\rbmIntrvl{[a,b]}[opt]{definition}#S
\rbmIntrvl{[%<a,b%>]}{%<answer%>}{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}{%<answer%>}(%<variables%>){%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}[%<comp func%>]
\rbmIntrvl{[%<a,b%>]}[%<eforms params%>]{%<answer%>}{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}[%<eforms params%>]{%<answer%>}(%<variables%>){%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}[%<eforms params%>]{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\rbmIntrvl{[%<a,b%>]}[%<eforms params%>]{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}[%<comp func%>]
#endif

# from exerquiz.sty
\begin{answers}{nCols}#\tabular
\begin{answers}*{nCols}#\tabular
\begin{answers}[dest]{nCols}#\tabular
\end{answers}
\begin{exEnumerate}
\begin{exEnumerate}[options%keyvals]
\end{exEnumerate}
\begin{enumex}
\end{enumex}
\begin{enumex*}
\end{enumex*}
\begin{exercise}
\begin{exercise}[option%keyvals]
\end{exercise}
\begin{exercise*}
\end{exercise*}
\begin{manswers}{nCols}#\tabular
\begin{manswers}*{nCols}#\tabular
\begin{manswers}[dest]{nCols}#\tabular
\end{manswers}
\begin{mathGrp}
\end{mathGrp}
\begin{oQuestion}{base name}
\end{oQuestion}
\begin{parts}
\begin{parts}[columns]#\tabular
\end{parts}
\begin{questions}
\end{questions}
\begin{quiz}{base name}
\end{quiz}
\begin{quiz*}{base name}
\end{quiz*}
\begin{shortquiz}
\begin{shortquiz}[base name]
\end{shortquiz}
\begin{shortquiz*}
\begin{shortquiz*}[base name]
\end{shortquiz*}
\begin{solution}
\begin{solution}[vspace%l]
\end{solution}

# use {definition} hack to not mark _ and ^ in arg as incorrect
\RespBoxMath{definition}#S
\RespBoxMath[opt]{definition}#S
\RespBoxMath{%<answer%>}{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath{%<answer%>}(%<variables%>){%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}[%<comp func%>]
\RespBoxMath[%<eforms params%>]{%<answer%>}{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath[%<eforms params%>]{%<answer%>}(%<variables%>){%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath[%<eforms params%>]{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}
\RespBoxMath[%<eforms params%>]{%<answer%>}(%<variables%>)[%<dest%>]{%<samples%>}{%<precision%>}{%<[a1,b1]x[a2,b2]x...%>}[%<comp func%>]
\RespBoxTxt{%<filter method%>}{%<compare method%>}{%<N%>}{%<answer1%>}%<...{answerN}%>
\RespBoxTxt{%<filter method%>}{%<compare method%>}[%<dest%>]{%<N%>}{%<answer1%>}%<...{answerN}%>
\RespBoxTxt[%<eforms params%>]{%<filter method%>}{%<compare method%>}{%<N%>}{%<answer1%>}%<...{answerN}%>
\RespBoxTxt[%<eforms params%>]{%<filter method%>}{%<compare method%>}[%<dest%>]{%<N%>}{%<answer1%>}%<...{answerN}%>
\everyRespBoxTxt{eforms params}
\RespBoxTxtPC{%<filter method%>}{%<N%>}{%<word1%>}%<...{wordN}%>
\RespBoxTxtPC{%<filter method%>}{%<N%>}[%<num1%>]{%<word1%>}%<...[numN]{wordN}%>
\RespBoxTxtPC{%<filter method%>}[%<dest%>]{%<N%>}{%<word1%>}%<...{wordN}%>
\RespBoxTxtPC{%<filter method%>}[%<dest%>]{%<N%>}[%<num1%>]{%<word1%>}%<...[numN]{wordN}%>
\RespBoxTxtPC[%<eforms params%>]{%<filter method%>}{%<N%>}{%<word1%>}%<...{wordN}%>
\RespBoxTxtPC[%<eforms params%>]{%<filter method%>}{%<N%>}[%<num1%>]{%<word1%>}%<...[numN]{wordN}%>
\RespBoxTxtPC[%<eforms params%>]{%<filter method%>}[%<dest%>]{%<N%>}{%<word1%>}%<...{wordN}%>
\RespBoxTxtPC[%<eforms params%>]{%<filter method%>}[%<dest%>]{%<N%>}[%<num1%>]{%<word1%>}%<...[numN]{wordN}%>

\aboveanswersSkip#*
\AddAAFormat{code}
\AddAAKeystroke{code}
\AddAAMouseUpMC{code}
\AddAAMouseUpMS{code}
\addToAction*{key%plain}{code}
\addToAction{key%plain}{code}
\adjDisplayBelow
\aebshowgraylettersfalse#*
\aebshowgrayletterstrue#*
\aebTitleQuiz#*
\afterSplChkActn{action}
\AllowPeeking
\allowRandomizedChoices
\Ans%<⟨0 or 1⟩%>
\Ans[partial pts]{0 or 1}
\AnswerField[eforms params]{base name}
\AnswerField{base name}
\answersEndHook{content}
\Array(JS funcs)
\autoAnsFldRaiseBox{length}
\autoAnswerField
\autoAnswerField[eforms params]
\autotabOff
\autotabOn
\bChoices[options%keyvals]
\bInitAltAppr
\bottomOfAnsfStack
\bqlabel#*
\CorrAnsButton{display answer%definition}
\CorrAnsButton{display answer%definition}*{JS function}
\CorrAnsButtonGrp{n1,n2,...}
\CorrButton[eforms params]{field}
\CorrButton{field}
\CorrectionsOff
\CorrectionsOn
\currQuiz
\databaseName{name}
\DeclareQuiz{name}
\defaultColorJSDef#*
\defaultquiztype
\defaultRDPrecision{precision}
\dockQuiz
\doNotRandomizeChoices
\eAns
\eChoices
\eFreeze
\eInitAltAppr
\endQuizHere
\eqButton[eforms params]{field}#*
\eqButton{field}#*
\eqCGI{URL}#U
\eqforpaperfalse#*
\eqforpapertrue#*
\eqGradeScale#*
\eqlabel#*
\eqPTs
\eqQuizType#*
\eqsanitize
\eqScore
\eqSubmit{URL}{db name}{table name%text}
\everyAnswerField{eforms params}
\everyBeginQuizButton{eforms params}
\everyCorrAnsButton{eforms params}
\everyCorrButton{eforms params}
\everyEndQuizButton{eforms params}
\everyeqButtonField{eforms params}
\everyeqTextField{eforms params}
\everyeqTextField{eforms params}
\everyGradeField{eforms params}
\everyPercentField{eforms params}
\everyPointsField{eforms params}
\everyqRadioButton{eforms params}
\everyRespBoxMath{eforms params}
\everyScoreField{eforms params}
\everysqClearButton{eforms params}
\everysqRadioButton{eforms params}
\everysqTallyBox{eforms params}
\everysqTallyTotal{eforms params}
\exbookmarkfmt#*
\exlabel#*
\exlabelformat#*
\exlabelsol#*
\expdfbookmark{bookmark title%text}
\exrtnlabelformat#*
\exsecrunhead#*
\exsectitle#*
\exsllabelformat#*
\exsolafter#*
\fancyQuizHeaders
\floatQuiz
\formatAsSet
\formatAsVector
\formatInitAltApprs
\GradeField[eforms params]{base name}
\GradeField{base name}
\graylettersOff
\graylettersOn
\hideCreditMarkup
\holdDest#*
\ifaebshowgrayletters#*
\ifeqforpaper#*
\ifQuizType{quiz code}{shortquiz code}
\ifstaroption{code if \titlequiz*}{otherwise}
\includeexersolutions
\includequizsolutions
\insertGrayLetters#*
\isQZ#*
\isSQZ#*
\makeExSolnsLocalOff
\makeExSolnsLocalOn
\makeQzSolnsLocalOff
\makeQzSolnsLocalOn
\manualAnswerField
\manualAnswerField[eforms params]
\minQuizResp#*
\multipartquestion
\natlinewidth#*
\negPointsAllowed
\NoPeeking
\noResetAnsFieldOnClose
\noSolnOpt
\obeyLocalRandomize
\oqpriorhook#*
\partbookmarkfmt#*
\partialColorJSDef#*
\PercentField[eforms params]{base name}
\PercentField{base name}
\PointsField[eforms params]{base name}
\PointsField{base name}
\popquestions
\promoteNewPageHere
\promoteNewPageHere[height]
\proofingsymbol#*
\ptLabel{text}
\PTs{number}
\PTsHook{code}
\ptsLabel{text}
\pushquestions
\quesNumColor{color}
\quizpdfbookmark{bookmark title%text}
\quiztype{f|l}
\qzbookmarkfmt#*
\rbMarkup
\rbMarkup[eforms params]
\REF*{label}#r
\REF{label}#r
\renameSolnAfterTo{text}
\resetAnsFieldOnClose
\resetMClabelsep
\resetSolnAfterToDefault
\RespBoxEssay*{width}{height}
\RespBoxEssay{width}{height}
\restoreDefaultQuizHeaders
\restoreFLTypeDefault
\rghtColorJSDef#*
\rowsep{length}
\rowsepDefault{length}
\rpl{text->symbol}
\saveDest{dest}
\ScoreField[eforms params]{base name}
\ScoreField{base name}
\setActionKeys{eforms params}
\setAnsEnvLinewidth{length}
\setMClabelsep{space cmd}
\setsolnspace{space cmd}
\showCreditMarkup
\SolutionsAfter
\SolutionsAtEnd
\SpellCheck
\SpellCheck[eforms params]
\sqbookmarkfmt#*
\sqClearButton
\sqClearButton[eforms params]
\sqlabel#*
\sqsllabel#*
\sqslrtnlabel#*
\sqslsectitle#*
\sqSolnBtn
\sqSolnBtn[eforms params]
\sqSolnMCMsg#*
\sqSolnMSMsg#*
\sqStrongMsg#*
\sqTallyBox
\sqTallyBox[eforms params]
\sqTallyTotal
\sqTallyTotal[eforms params]
\sqTurnOffAlerts
\sqTurnOnAlerts
\sqWeakMsg#*
\startQuizHere
\strongpass{n}
\symbolchoice{choice%keyvals}
\tableName{name}
\theeqexno#*
\thepartno#*
\thequestionno#*
\titleQuiz*{text}
\titleQuiz{text}
\titleQuizfmt#*
\TUChoice{text}
\turnOnRandomize
\useBeginQuizButton
\useBeginQuizButton[eforms params]
\useBeginQuizLink
\useDest
\useEndQuizButton
\useEndQuizButton[eforms params]
\useEndQuizLink
\useForms
\useLinks
\useMCCircles
\useMCCRects
\weakpass{n}
\word{text}
\wrngColorJSDef#*

#keyvals:\begin{exEnumerate}
labelwidthTo=%<font commands%>
labelwidth=##L
topsep=##L
parsep=##L
itemsep=##L
labelsep=##L
continue
#endkeyvals

#keyvals:\begin{exercise}#c
%<⟨counter⟩%>
h
H
0
#endkeyvals

#keyvals:\bChoices#c
%<⟨n⟩%>
nCols=%<n%>
random#true,false
insertAt=%<n%>
label=##l
#endkeyvals

#keyvals:\symbolchoice
check
circle
cross
diamond
square
star
#endkeyvals

webgreen#B

# from aebjs.def
\altApprOff
\altApprOn
\corrChoiceFullyOff
\corrChoiceFullyOn
\corrLocalChoiceFullyOff
\corrLocalChoiceFullyOn
\eqCorrChoiceFully#*
\eqCorrLocalChoiceFully#*
\ifShowAppr#*
\ifSubstVars#*
\newNoPeekArgs#*
\NoPeekAlert#*
\noPeekArgs{arg}#*
\postDenyForm(regexp)
\preDenyForm(regexp,cMsg)
\preReqForm(regexp,cMsg)
\reany
\rebstr
\rechrclass{arg}
\redigit
\rediv
\redm
\reestr
\refac{arg}
\regrp{arg}
\remul
\replaceExclPt{true|false}
\repow
\resetLocalChoiceFully
\ShowApprfalse#*
\ShowApprtrue#*
\SubstVarsfalse#*
\SubstVarstrue#*

# from eqcolor.def
\eqModelInfo{arg1}{arg2}#*
\jsColor{arg1}{arg2}#*

# from options passed to xcolor
#ifOption:table
#include:colortbl
\rowcolors{row}{odd-row-color}{even-row-color}
\rowcolors[commands]{row}{odd-row-color}{even-row-color}
\rowcolors{row}{color}{color}#S
\rowcolors[commands]{row}{color}{color}#S
\rowcolors*{row}{odd-row-color}{even-row-color}
\rowcolors*[commands]{row}{odd-row-color}{even-row-color}
\rowcolors*{row}{color}{color}#S
\rowcolors*[commands]{row}{color}{color}#S
\showrowcolors
\hiderowcolors
\rownum
#endif

#ifOption:fixpdftex
#include:pdfcolmk
#endif

#ifOption:svgnames
AliceBlue#B
DarkKhaki#B
Green#B
LightSlateGrey#B
AntiqueWhite#B
DarkMagenta#B
GreenYellow#B
LightSteelBlue#B
Aqua#B
DarkOliveGreen#B
Grey#B
LightYellow#B
Aquamarine#B
DarkOrange#B
Honeydew#B
Lime#B
Azure#B
DarkOrchid#B
HotPink#B
LimeGreen#B
Beige#B
DarkRed#B
IndianRed#B
Linen#B
Bisque#B
DarkSalmon#B
Indigo#B
Magenta#B
Black#B
DarkSeaGreen#B
Ivory#B
Maroon#B
BlanchedAlmond#B
DarkSlateBlue#B
Khaki#B
MediumAquamarine#B
Blue#B
DarkSlateGray#B
Lavender#B
MediumBlue#B
BlueViolet#B
DarkSlateGrey#B
LavenderBlush#B
MediumOrchid#B
Brown#B
DarkTurquoise#B
LawnGreen#B
MediumPurple#B
BurlyWood#B
DarkViolet#B
LemonChiffon#B
MediumSeaGreen#B
CadetBlue#B
DeepPink#B
LightBlue#B
MediumSlateBlue#B
Chartreuse#B
DeepSkyBlue#B
LightCoral#B
MediumSpringGreen#B
Chocolate#B
DimGray#B
LightCyan#B
MediumTurquoise#B
Coral#B
DimGrey#B
LightGoldenrod#B
MediumVioletRed#B
CornflowerBlue#B
DodgerBlue#B
LightGoldenrodYellow#B
MidnightBlue#B
Cornsilk#B
FireBrick#B
LightGray#B
MintCream#B
Crimson#B
FloralWhite#B
LightGreen#B
MistyRose#B
Cyan#B
ForestGreen#B
LightGrey#B
Moccasin#B
DarkBlue#B
Fuchsia#B
LightPink#B
NavajoWhite#B
DarkCyan#B
Gainsboro#B
LightSalmon#B
Navy#B
DarkGoldenrod#B
GhostWhite#B
LightSeaGreen#B
NavyBlue#B
DarkGray#B
Gold#B
LightSkyBlue#B
OldLace#B
DarkGreen#B
Goldenrod#B
LightSlateBlue#B
Olive#B
DarkGrey#B
Gray#B
LightSlateGray#B
OliveDrab#B
Orange#B
Plum#B
Sienna#B
Thistle#B
OrangeRed#B
PowderBlue#B
Silver#B
Tomato#B
Orchid#B
Purple#B
SkyBlue#B
Turquoise#B
PaleGoldenrod#B
Red#B
SlateBlue#B
Violet#B
PaleGreen#B
RosyBrown#B
SlateGray#B
VioletRed#B
PaleTurquoise#B
RoyalBlue#B
SlateGrey#B
Wheat#B
PaleVioletRed#B
SaddleBrown#B
Snow#B
White#B
PapayaWhip#B
Salmon#B
SpringGreen#B
WhiteSmoke#B
PeachPuff#B
SandyBrown#B
SteelBlue#B
Yellow#B
Peru#B
SeaGreen#B
Tan#B
YellowGreen#B
Pink#B
Seashell#B
Teal#B
#endif

#ifOption:dvipsnames
Apricot#B
Aquamarine#B
Bittersweet#B
Black#B
Blue#B
BlueGreen#B
BlueViolet#B
BrickRed#B
Brown#B
BurntOrange#B
CadetBlue#B
CarnationPink#B
Cerulean#B
CornflowerBlue#B
Cyan#B
Dandelion#B
DarkOrchid#B
Emerald#B
ForestGreen#B
Fuchsia#B
Goldenrod#B
Gray#B
Green#B
GreenYellow#B
JungleGreen#B
Lavender#B
LimeGreen#B
Magenta#B
Mahogany#B
Maroon#B
Melon#B
MidnightBlue#B
Mulberry#B
NavyBlue#B
OliveGreen#B
Orange#B
OrangeRed#B
Orchid#B
Peach#B
Periwinkle#B
PineGreen#B
Plum#B
ProcessBlue#B
Purple#B
RawSienna#B
Red#B
RedOrange#B
RedViolet#B
Rhodamine#B
RoyalBlue#B
RoyalPurple#B
RubineRed#B
Salmon#B
SeaGreen#B
Sepia#B
SkyBlue#B
SpringGreen#B
Tan#B
TealBlue#B
Thistle#B
Turquoise#B
Violet#B
VioletRed#B
White#B
WildStrawberry#B
Yellow#B
YellowGreen#B
YellowOrange#B
#endif

#ifOption:x11names
AntiqueWhite1#B
AntiqueWhite2#B
AntiqueWhite3#B
AntiqueWhite4#B
Aquamarine1#B
Aquamarine2#B
Aquamarine3#B
Aquamarine4#B
Azure1#B
Azure2#B
Azure3#B
Azure4#B
Bisque1#B
Bisque2#B
Bisque3#B
Bisque4#B
Blue1#B
Blue2#B
Blue3#B
Blue4#B
Brown1#B
Brown2#B
Brown3#B
Brown4#B
Burlywood1#B
Burlywood2#B
Burlywood3#B
Burlywood4#B
CadetBlue1#B
CadetBlue2#B
CadetBlue3#B
CadetBlue4#B
Chartreuse1#B
Chartreuse2#B
Chartreuse3#B
Chartreuse4#B
Chocolate1#B
Chocolate2#B
Chocolate3#B
Chocolate4#B
Coral1#B
Coral2#B
Coral3#B
Coral4#B
Cornsilk1#B
Cornsilk2#B
Cornsilk3#B
Cornsilk4#B
Cyan1#B
Cyan2#B
Cyan3#B
Cyan4#B
DarkGoldenrod1#B
DarkGoldenrod2#B
DarkGoldenrod3#B
DarkGoldenrod4#B
DarkOliveGreen1#B
DarkOliveGreen2#B
DarkOliveGreen3#B
DarkOliveGreen4#B
DarkOrange1#B
DarkOrange2#B
DarkOrange3#B
DarkOrange4#B
DarkOrchid1#B
DarkOrchid2#B
DarkOrchid3#B
DarkOrchid4#B
DarkSeaGreen1#B
DarkSeaGreen2#B
DarkSeaGreen3#B
DarkSeaGreen4#B
DarkSlateGray1#B
DarkSlateGray2#B
DarkSlateGray3#B
DarkSlateGray4#B
DeepPink1#B
DeepPink2#B
DeepPink3#B
DeepPink4#B
DeepSkyBlue1#B
DeepSkyBlue2#B
DeepSkyBlue3#B
DeepSkyBlue4#B
DodgerBlue1#B
DodgerBlue2#B
DodgerBlue3#B
DodgerBlue4#B
Firebrick1#B
Firebrick2#B
Firebrick3#B
Firebrick4#B
Gold1#B
Gold2#B
Gold3#B
Gold4#B
Goldenrod1#B
Goldenrod2#B
Goldenrod3#B
Goldenrod4#B
Green1#B
Green2#B
Green3#B
Green4#B
Honeydew1#B
Honeydew2#B
Honeydew3#B
Honeydew4#B
HotPink1#B
HotPink2#B
HotPink3#B
HotPink4#B
IndianRed1#B
IndianRed2#B
IndianRed3#B
IndianRed4#B
Ivory1#B
Ivory2#B
Ivory3#B
Ivory4#B
Khaki1#B
Khaki2#B
Khaki3#B
Khaki4#B
LavenderBlush1#B
LavenderBlush2#B
LavenderBlush3#B
LavenderBlush4#B
LemonChiffon1#B
LemonChiffon2#B
LemonChiffon3#B
LemonChiffon4#B
LightBlue1#B
LightBlue2#B
LightBlue3#B
LightBlue4#B
LightCyan1#B
LightCyan2#B
LightCyan3#B
LightCyan4#B
LightGoldenrod1#B
LightGoldenrod2#B
LightGoldenrod3#B
LightGoldenrod4#B
LightPink1#B
LightPink2#B
LightPink3#B
LightPink4#B
LightSalmon1#B
LightSalmon2#B
LightSalmon3#B
LightSalmon4#B
LightSkyBlue1#B
LightSkyBlue2#B
LightSkyBlue3#B
LightSkyBlue4#B
LightSteelBlue1#B
LightSteelBlue2#B
LightSteelBlue3#B
LightSteelBlue4#B
LightYellow1#B
LightYellow2#B
LightYellow3#B
LightYellow4#B
Magenta1#B
Magenta2#B
Magenta3#B
Magenta4#B
Maroon1#B
Maroon2#B
Maroon3#B
Maroon4#B
MediumOrchid1#B
MediumOrchid2#B
MediumOrchid3#B
MediumOrchid4#B
MediumPurple1#B
MediumPurple2#B
MediumPurple3#B
MediumPurple4#B
MistyRose1#B
MistyRose2#B
MistyRose3#B
MistyRose4#B
NavajoWhite1#B
NavajoWhite2#B
NavajoWhite3#B
NavajoWhite4#B
OliveDrab1#B
OliveDrab2#B
OliveDrab3#B
OliveDrab4#B
Orange1#B
Orange2#B
Orange3#B
Orange4#B
OrangeRed1#B
OrangeRed2#B
OrangeRed3#B
OrangeRed4#B
Orchid1#B
Orchid2#B
Orchid3#B
Orchid4#B
PaleGreen1#B
PaleGreen2#B
PaleGreen3#B
PaleGreen4#B
PaleTurquoise1#B
PaleTurquoise2#B
PaleTurquoise3#B
PaleTurquoise4#B
PaleVioletRed1#B
PaleVioletRed2#B
PaleVioletRed3#B
PaleVioletRed4#B
PeachPuff1#B
PeachPuff2#B
PeachPuff3#B
PeachPuff4#B
Pink1#B
Pink2#B
Pink3#B
Pink4#B
Plum1#B
Plum2#B
Plum3#B
Plum4#B
Purple1#B
Purple2#B
Purple3#B
Purple4#B
Red1#B
Red2#B
Red3#B
Red4#B
RosyBrown1#B
RosyBrown2#B
RosyBrown3#B
RosyBrown4#B
RoyalBlue1#B
RoyalBlue2#B
RoyalBlue3#B
RoyalBlue4#B
Salmon1#B
Salmon2#B
Salmon3#B
Salmon4#B
SeaGreen1#B
SeaGreen2#B
SeaGreen3#B
SeaGreen4#B
Seashell1#B
Seashell2#B
Seashell3#B
Seashell4#B
Sienna1#B
Sienna2#B
Sienna3#B
Sienna4#B
SkyBlue1#B
SkyBlue2#B
SkyBlue3#B
SkyBlue4#B
SlateBlue1#B
SlateBlue2#B
SlateBlue3#B
SlateBlue4#B
SlateGray1#B
SlateGray2#B
SlateGray3#B
SlateGray4#B
Snow1#B
Snow2#B
Snow3#B
Snow4#B
SpringGreen1#B
SpringGreen2#B
SpringGreen3#B
SpringGreen4#B
SteelBlue1#B
SteelBlue2#B
SteelBlue3#B
SteelBlue4#B
Tan1#B
Tan2#B
Tan3#B
Tan4#B
Thistle1#B
Thistle2#B
Thistle3#B
Thistle4#B
Tomato1#B
Tomato2#B
Tomato3#B
Tomato4#B
Turquoise1#B
Turquoise2#B
Turquoise3#B
Turquoise4#B
VioletRed1#B
VioletRed2#B
VioletRed3#B
VioletRed4#B
Wheat1#B
Wheat2#B
Wheat3#B
Wheat4#B
Yellow1#B
Yellow2#B
Yellow3#B
Yellow4#B
Gray0#B
Green0#B
Grey0#B
Maroon0#B
Purple0#B
#endif

# not documented
\AAKqRespBoxMath#S
\AAKqRespBoxTxt#S
\AAKqRespBoxTxtPC#S
\aboveexskip{arg1}#S
\abovepartshook#S
\aboveqskip{space cmd}#S
\abovesqskip{space cmd}#S
\addHiddenTextField{arg1}{arg2}{arg3}#S
\adjDisplayBelowPlus#S
\aebChoiceAltFmt#S
\aebtitleQuiz#S
\afterlabelhskip#S
\aftershortquizskip#S
\allowNoAlertBox#S
\alphaParts#S
\AnsPromptBtnStr#S
\AnswerFieldDefaults#S
\answerkeyfalse#S
\answerkeytrue#S
\any#S
\aPointType#S
\argi#S
\arrowDelimfalse#S
\arrowDelimtrue#S
\autoAFOpts#S
\autotabnewline#S
\autotabnewline[opt]#S
\bcheckboxused#S
\bChoiceLabel#S
\bChoiceNumCols#S
\begin{cq*}#S
\begin{cq}#S
\begin{eqEXt}#S
\begin{eqQt}#S
\begin{eqSavedComment}#S
\begin{eqSQt}#S
\begin{procsoln}#S
\beginGrp#S
\BeginQuizButtonDefaults#S
\belowexskip{arg1}#S
\belowexsolnskip#S
\belowpartshook#S
\belowqHooknSkip{code}#S
\belowqskip#S
\belowsqskip{space cmd}#S
\bHideSolnIn{arg1}#S
\bLeaveVspace#S
\bqlabelFmt#S
\bqlabelISO#S
\buseckbx#S
\bWebCustomize#S
\cabGrpActn#S
\catOfAt#S
\chooseJSsymbol#S
\chooseJSsymboli{arg1}#S
\ckSolnOpt#S
\cntVars{arg1}#S
\cntVarsi{arg1}{arg2}#S
\compareJSfunc#S
\contsolnsErrorMsg#S
\contsolnsInputMsg#S
\corrAnsArray#S
\CorrAnsButtonDefaults#S
\CorrAnsButtonGrpActionHook#S
\CorrAnsButtonGrpDefaults#S
\corrAnsSymb#S
\corrAnsSymbJS#S
\corrAnsSymbJSLoc#S
\corrAnsSymbJSLocDef#S
\CorrBtnActionsJS#S
\CorrectAns#S
\cqCopiedQues#S
\cqFmtPasteQues{arg1}#S
\cqIsActivefalse#S
\cqIsActivetrue#S
\cqQS#S
\cqQSA{arg1}{arg2}#S
\cqqsfalse#S
\cqQStr#S
\cqqstrue#S
\cqQSV#S
\cqSAfalse#S
\cqSAtrue#S
\cqSStr#S
\currhideopt#S
\currQuizStartPage#S
\dclrFncyQzHdrsFmt{arg1}#S
\dclrFncySqHdrsFmt{arg1}#S
\declCopyQues{arg1}#S
\declCQPost{arg}#S
\declCQPre{arg}#S
\declCQQuesStr{arg1}#S
\declCQSolStr{arg1}#S
\decleqterminex{arg}#S
\defaultColorJS#S
\defaultColorJSLoc#S
\defaultColorJSLocDef#S
\DefaultHeightOfWidget#S
\defaultpartsformat#S
\defaultReqFormMsg#S
\defineEachAns{arg1}#S
\defineEachChoice{arg1}#S
\dfltFncyQHdrsFmt#S
\displayworkareafalse#S
\displayworkareaOff#S
\displayworkareaOn#S
\displayworkareatrue#S
\dlLibSpecRespJS#S
\doNotShowAgainMsg#S
\eHideSolnIn{arg1}#S
\end{cq*}#S
\end{cq}#S
\end{eqEXt}#S
\end{eqQt}#S
\end{eqSavedComment}#S
\end{eqSQt}#S
\end{procsoln}#S
\endexerhook#S
\endGrp#S
\endqhook{arg1}#S
\EndQuizButtonDefaults#S
\endsolnexerhook#S
\endsolnexerhookaux#S
\endsqhook{arg1}#S
\eqAddAAFormat#S
\eqAddAAKeystroke#S
\eqAddAAMouseUpMC#S
\eqAddAAMouseUpMS#S
\eqAnd#S
\eqAppAlert#S
\eqarg#S
\eqargii#S
\eqBaseName#S
\eqbmkmrkdepth#S
\eqBraces#S
\eqBrackets#S
\eqButtonDefaults#S
\eqCommonCmd#S
\eqCorrectAnsTeX#S
\eqCQDeclarations#S
\eqeCurrProb#S
\eqemargin#S
\eqequesparsep{length}#S
\eqerrABS#S
\eqerrBadExp#S
\eqerrDelimNotBal#S
\eqerrUnfinishQuiz#S
\eqexerskip#S
\eqExerSolnHeader#S
\eqExerSolnHeaderList#S
\eqExerSolnHeaderSngl#S
\eqExerSolnTrailer#S
\eqexheader#S
\eqexlisttabheader#S
\eqexpdfentry#S
\eqExSolFileName#S
\eqExtArg#S
\eqFilterArg#S
\eqfititin#S
\eqGenButton#S
\eqGradeScaleLoc#S
\eqgrii#S
\eqgriii#S
\eqi#S
\eqIcon{arg1}{arg2}{arg3}{arg4}#S
\eqIconDefaults#S
\eqInitQuizMsg#S
\eqlabelFmt#S
\eqLBr#S
\eqlimselTo#S
\eqMadeChoice#S
\eqMrkCpyArg#S
\eqMrkSoln#S
\eqObjAlert#S
\eqObjAlertIfFalse#S
\eqOutOf#S
\eqParens#S
\eqpartsitemsep#S
\eqPriorVspace#S
\eqptLabel#S
\eqptScore#S
\eqptsLabel#S
\eqQT#S
\eqQuizGradeMsg#S
\eqQuizPercentMsg#S
\eqQuizPointsMsg#S
\eqQuizTotalMsg#S
\eqQzQuesList#S
\eqQzSolnTrailerHook#S
\eqqzsolutionshook#S
\eqRBr#S
\eqretnSymb#S
\eqshowmarkupfalse#S
\eqshowmarkuptrue#S
\eqshowOutOffalse#S
\eqshowOutOftrue#S
\eqSolnExCmds#S
\eqSolnForEqexam{arg1}#S
\eqsolutionshook#S
\eqSP#S
\eqsqrtmsg#S
\eqSqSolnTrailer#S
\eqSqSolnTrailerHook#S
\eqsqwgmsg#S
\eqSubmiti{arg1}#S
\eqSubmitii{arg1}{arg2}#S
\eqSyntaxErrorUndefVar#S
\eqterminex#S
\eqterminexDEF#S
\eqthisenv#S
\eqtmp#S
\eqtmpcnta#S
\eqtmplength#S
\eqTopOfQslPage#S
\eqTopOfSolnPage#S
\eqWriteLine#S
\eQzBtnActns#S
\everyeqButton{eforms params}#S
\everyeqGenButton#S
\everyeqIcon{eforms params}#S
\everyparShape#S
\everyqCheckBox{eforms params}#S
\everyqckCheckBox{eforms params}#S
\everyrbMarkup{eforms params}#S
\everysqCheckBox{eforms params}#S
\eWebCustomize#S
\exclQt{arg1}#S
\exclSQt{arg1}#S
\exerSolnHeader{arg1}{arg2}{arg3}#S
\exersolnheadhook#S
\exerSolnInput#S
\exerSolnsHeadnToc#S
\exerSolnsInExtFile{arg1}{arg2}#S
\exerstar#S
\exlabelformatwp#S
\exlisttabheaderafterhook#S
\exlisttabheaderpriorhook#S
\expdfbookmarktitle#S
\exPrtsep{length}#S
\exqtable#S
\exrtnlabelformatwp#S
\exsllabelformatwp#S
\exSolafterDefault#S
\exsolafterDefault{arg}#S
\exsolnonceonlytophook#S
\ExSolutionsSetfalse#S
\ExSolutionsSettrue#S
\FALSEACTIONii#S
\FALSEACTIONiia#S
\filterFor{arg}#S
\fleqnOff#S
\fleqnOn#S
\FncyHdrsFmtNoTitleQuiz#S
\FncyHdrsFmtQuestion#S
\fncyQHdrsColor#S
\fpAfterSolutionsSkip#S
\frstIsrpl#S
\gExCommonCmd{arg}#S
\GFW#S
\GiiRpli{arg1}#S
\GiiRplii{arg1}#S
\gobbleMacro{arg1}#S
\gobbleToEndEXt{arg1}#S
\gobbleToEndQt{arg1}#S
\gobbleToEndSQt{arg1}#S
\gobbleTxt{arg1}#S
\GradeFieldDefaults#S
\graylettersColor#S
\grpEvalFunction#S
\grpPointValue#S
\grpquestions#S
\grpTotalWeight#S
\halfWidth#S
\Hidesymbol#S
\hidesymbol#S
\highThresholdMsg#S
\ifanswerkey#S
\ifarrowDelim#S
\ifcqIsActive#S
\ifcqqs#S
\ifcqSA#S
\ifdisplayworkarea#S
\ifeqshowmarkup#S
\ifeqshowOutOf#S
\ifExSolutionsSet#S
\ifIsRespBox#S
\ifkeepdeclaredvspacing#S
\ifmakeExSlLocal#S
\ifmakeQzSlLocal#S
\ifnocorrections#S
\ifNoSolutions{arg1}{arg2}#S
\ifOKToWriteExamData#S
\ifoxfordcomma#S
\ifsolutionsafter#S
\ifsolutionsAtEnd#S
\ifsolutionsonly#S
\ifterminexchanged#S
\iftherearequizsolutions#S
\iftherearesolutions#S
\ifthereissolution#S
\ifuseNumForParts#S
\ifusesumrytbls#S
\ifvspacewithsolns#S
\ifwithinMCFI#S
\ifwithinparts#S
\ifwithinqsldoc#S
\ifwithinsoldoc#S
\inclEXtFilter{arg1}{arg2}#S
\inclQtFilter{arg}#S
\inclSQtFilter{arg}#S
\includeexersolutionsi{arg1}#S
\includeexersolutionsii#S
\includequizsolutionsi{arg1}#S
\includequizsolutionsii#S
\indepVars#S
\inittabMark#S
\InputExrSolnsLevel#S
\inputMCFICode#S
\InputQzSolnsLevel#S
\inputRandomizeChoices#S
\inputRBMICode#S
\inputSumryTblCode#S
\insertAnsEndHookHere#S
\insertAnsHookAt#S
\insertAtMsg#S
\intPrt#S
\isAltApprSpec{arg1}#S
\isFrstrpl{arg1}{arg2}#S
\isitleadin#S
\isREFstar#S
\IsRespBoxfalse#S
\IsRespBoxtrue#S
\istabularexer#S
\itsExerParts#S
\itsforleadinitem#S
\jsLB#S
\jsRB#S
\jsRespBox#S
\JST#S
\jsTempArgs#S
\keepdeclaredvspacingfalse#S
\keepdeclaredvspacingtrue#S
\labeleqquestionnoi#S
\labeleqquestionnoii#S
\labeleqquestionnoiii#S
\LangRedefinitions#S
\leadinitem#S
\leavevspace#S
\limitSelectionTo{arg1}#S
\limSelWarningMsg#S
\linkContentFormat#S
\linkContentWrapper#S
\ListOfQuizNames#S
\ListOfSQuizNames#S
\makeExSlLocalfalse#S
\makeExSlLocaltrue#S
\makeQzSlLocalfalse#S
\makeQzSlLocaltrue#S
\makeStringArray{arg1}#S
\marginparafterhook#S
\marginparpriorhook#S
\markupHeight#S
\markupTextSize#S
\markupWidth#S
\minVspacetabs{arg1}#S
\moreRespBoxMathDefaults#S
\moreRespBoxTxtDefaults#S
\mrkForIns{arg}#S
\nC#S
\negpointsallowed#S
\negPointsMarkupAllowed#S
\negpointsmarkupallowed#S
\newsolnspace#S
\nI#S
\nocorrectionsfalse#S
\nocorrectionstrue#S
\nolinkcolor{color}#S
\nopartquestion#S
\noPeekAction{arg1}{arg2}#S
\noPeekMsg#S
\normalCABtnBC#S
\normalSolnWrites#S
\noSolnWrites#S
\NoSpaceToWork#S
\numberParts#S
\numShortCols#S
\nV#S
\OKToWriteExamDatafalse#S
\OKToWriteExamDatatrue#S
\oSolution{arg1}#S
\oxfordcommafalse#S
\oxfordCommaOff#S
\oxfordCommaOn#S
\oxfordcommatrue#S
\partialColorJS#S
\partialColorJSLoc#S
\partialColorJSLocDef#S
\partnoFmt{text}#S
\parts#S
\partsformat{arg}#S
\partshangamount#S
\partsitemsep{arg1}#S
\partsparsep{arg1}#S
\partstabcolsep{length}#S
\partstabrowsep{arg1}#S
\partstabtopsep{length}#S
\partstopsep{arg1}#S
\PBS{arg}#S
\PcFW#S
\pcMarkupColor#S
\PercentFieldDefaults#S
\pnphDflt#S
\PointsFieldDefaults#S
\pointValuesArray#S
\popEnvir#S
\popiiictm#S
\populateHiddenField{arg1}{arg2}#S
\postInitQuiz#S
\postSubmitQuiz#S
\prbPrtsep{length}#S
\priorexlabelheader#S
\priorexsectitle#S
\priorexskip#S
\priorexslinput#S
\priorexsolafterList#S
\priorexsolafterSngl#S
\priorexsolafterTab#S
\priorInitQuiz#S
\priorqhook{code}#S
\priorsqhook{code}#S
\priorsqslinput#S
\priorsqslsectitle#S
\priorSubmitQuiz#S
\processJSfunc#S
\processLabeledAns#S
\PromptAns#S
\PromptButton#S
\PromptButtonActionCode#S
\PromptButtonActionHook#S
\PromptButtonDefaults#S
\promptButtonMsg#S
\proofingsymbolColor{color}#S
\prtsIndntSep#S
\PtFW#S
\ptsValue#S
\ptypeArray#S
\pushEnvir#S
\qChoiceColor{arg1}#S
\qChoiceColorDef#S
\qChoiceSymb{arg1}#S
\qChoiceSymbDef#S
\qCorrAnsButtonActionHook#S
\qhspace#S
\qMark#S
\qPostHeaderHook#S
\qRadionActionsHook#S
\qstar#S
\QT{arg1}#S
\quessolSkip{arg1}#S
\quizpdfbookmarktitle#S
\quizSolnHeader{arg1}{arg2}{arg3}#S
\quizSolnInput#S
\quizSolnsHeadnToc#S
\qzIDFmt#S
\qzPriorSolutionAfterHook#S
\qzSolutionsAfterHook#S
\qzTabPos{arg1}#S
\qztabsep{length}#S
\RadioFieldSize#S
\rbArgs#S
\rbArgstmp#S
\rbFlag#S
\rbmAAKey#S
\rbtAAKey#S
\rbtPCAAKey#S
\rbTxtAlt#S
\RBW#S
\recoverDisplayBelow#S
\removelastparskip#S
\replaceexclaim#S
\requireAlertBox#S
\resetEXsolns#S
\resetGradeScaleLoc#S
\resetQZtsolns#S
\resettabMark#S
\RespBox#S
\RespBoxNT#S
\RespBoxEssayDefaults#S
\RespBoxMathDefaults#S
\RespBoxTxtDefaults#S
\RespBoxTxtNT#S
\RespBoxTxtOnBlur#S
\restoreBeginQuiz#S
\restoreEndQuiz#S
\restorejustify#S
\restoreJustifyOff#S
\restoreJustifyOn#S
\restoreNormalEndQuiz#S
\restoreNormalSolns#S
\RestoreScoreField#S
\ReturnTo{arg1}{arg2}#S
\rexpStr#S
\rghtAnsSymb#S
\rghtAnsSymbJS#S
\rghtAnsSymbJSLoc#S
\rghtAnsSymbJSLocDef#S
\rghtColorJS#S
\rghtColorJSLoc#S
\rghtColorJSLocDef#S
\rlspar#S
\rmFracPrt{arg1}#S
\RorRT#S
\rplSofT{arg1}{arg2}#S
\rtnURL#S
\sameVspace#S
\savedAltFmt{arg1}#S
\ScoreFieldDefaults#S
\setActionKeysi{arg1}#S
\setCoreInitAltAppr#S
\setCorrAnsSymb{arg1}#S
\setCorrAnsSymbLoc{arg1}#S
\setDefQuizLabelName{arg1}#S
\setDefShortQuizLabelName{arg1}#S
\setENum#S
\setMClabelsepDefault{arg1}#S
\setPartsWidth{width}#S
\setPrbSolnAftrIndent{arg1}#S
\setproofingsymbol#S
\setRghtAnsSymb{arg1}#S
\setRghtAnsSymbLoc{arg1}#S
\setTabulrSolnEnv#S
\SETTEMPBOXi#S
\SETTEMPBOXii#S
\setWrngAnsSymb{arg1}#S
\setWrngAnsSymbLoc{arg1}#S
\SFW#S
\ShowApprSAVE#S
\SHOWTEMPBOXi#S
\solnhspace#S
\solnItemMngt#S
\solnsafterSkip{arg1}#S
\solnsafterSkipAmt#S
\solnspace#S
\solution#S
\solutionafterExCmds{arg1}#S
\solutionColor{arg}#S
\solutionColorDef#S
\solutionparshape#S
\solutionsafterfalse#S
\solutionsafterSkip#S
\solutionsaftertrue#S
\solutionsAtEndfalse#S
\solutionsAtEndtrue#S
\solutionsonlyfalse#S
\solutionsonlytrue#S
\SpaceToWork#S
\splChkCA#S
\splChkTU#S
\sqClearButtonDefaults#S
\sqCorrAnsButtonActionHook#S
\sqCorrAnsCode#S
\sqCorrections#S
\sqCorrSolButtonActionHook#S
\sqCorrSolCodeMC#S
\sqCorrSolCodeMS#S
\sqDefaultFmtTitle{arg1}#S
\sqForms#S
\sqhspace#S
\sqLinks#S
\sqNoCorrections#S
\sqPostHeaderHook#S
\sqResetSymbToDef#S
\sqRghtSymbChoice{arg1}#S
\sqRghtSymbChoiceDef#S
\sqRghtSymbColor{arg1}#S
\sqRghtSymbColorDef#S
\sqRightRespJS#S
\sqslsecrunhead#S
\sqsolafter#S
\sqsolafterhspace#S
\sqstar#S
\sqTabPos{arg1}#S
\sqtabsep{length}#S
\sqTallyBoxDefaults#S
\sqTallyTotalDefaults#S
\sqWrngSymbChoice{arg1}#S
\sqWrngSymbChoiceDef#S
\sqWrngSymbColor{arg1}#S
\sqWrngSymbColorDef#S
\sqWrongRespJS#S
\stOutOf#S
\stringArray#S
\tabControlOff#S
\tabControlOn#S
\tableadin#S
\tablrIndent#S
\tallywidth{arg1}#S
\TBW#S
\terminexchangedfalse#S
\terminexchangedtrue#S
\theeqpointvalue#S
\theeqquestionnoi#S
\theeqquestionnoii#S
\theeqquestionnoiii#S
\thegrpquestionno#S
\theHpartno#S
\theHquizno#S
\theqMarkCnt#S
\thequizno#S
\therearequizsolutionsfalse#S
\therearequizsolutionstrue#S
\therearesolutionsfalse#S
\therearesolutionstrue#S
\thereissolutionfalse#S
\thereissolutiontrue#S
\thisQuiz#S
\thisRtnURL#S
\toAltApprCnt#S
\toAltApprCntInc#S
\toAltApprVar#S
\topofpartshook#S
\tqhspace#S
\TRUEACTIONi#S
\TRUEACTIONia#S
\turnProofingOff#S
\turnProofingOn#S
\txtAltList#S
\useCkBxAlertsOff#S
\useCkBxAlertsOn#S
\useEXtFilter#S
\useMCRects#S
\useNumForPartsfalse#S
\useNumForPartstrue#S
\useQtFilter#S
\useSavedAlts#S
\useSavedAltsAns#S
\useSavedAns#S
\useSavedNumAns{arg1}#S
\useSQtFilter#S
\usesumrytblsfalse#S
\usesumrytblstrue#S
\viidna#S
\vspaceFiller{arg1}#S
\vspaceFillerDefault{arg1}#S
\vspaceFmt{arg1}#S
\vspacewithsolnsfalse#S
\vspacewithsolnstrue#S
\webnewpage#S
\webtempboxi#S
\webtempboxii#S
\widthOfParts#S
\widthOfPartsBox#S
\withinMCFIfalse#S
\withinMCFItrue#S
\withinpartsfalse#S
\withinpartstrue#S
\withinqsldocfalse#S
\withinqsldoctrue#S
\withinsoldocfalse#S
\withinsoldoctrue#S
\writecqQSfalse#S
\writeToExSolns#S
\writeTopOfQslPage#S
\writeToQzSolns{arg1}#S
\wrngAnsSymb#S
\wrngAnsSymbJS#S
\wrngAnsSymbJSLoc#S
\wrngAnsSymbJSLocDef#S
\wrngColorJS#S
\wrngColorJSLoc#S
\wrngColorJSLocDef#S
\xReturnTo{arg1}{arg2}#S