# fascicules package
# Matthew Bertucci 2022/05/29 for v1

#include:xcolor
# loads svgnames option of xcolor
#include:beamerarticle
#include:amsthm
#include:keyval
#include:comment
#include:ifthen
#include:enumitem
#include:multicol
#include:calc
#include:tikz
# loads calc tikzlibrary
#include:nameref
#include:tcolorbox
#include:pgfopts
#include:environ
#include:tagging
#include:xcomment
#include:hyperref
#include:cleveref
#include:answers
#include:scrlayer-scrpage

#keyvals:\usepackage/fascicules#c
exercises#true,false
activities#true,false
lesson=#true,false,methods
solutions=#true,false,inside
#endkeyvals

#keyvals:\pagestyle#c,\thispagestyle#c
chapterpage
#endkeyvals

\fasciculestitle
\backgroundimage{imagefile}#g
\listofmethods

\begin{lesson}
\end{lesson}
\begin{activities}
\end{activities}
\begin{exercises}
\end{exercises}
\begin{solutions}
\end{solutions}

\onecolumnexos{text}
\groupexos{title%text}
\begin{exo}
\begin{exo}[options%keyvals]
\end{exo}

#keyvals:\begin{exo}
title=%<text%>
type=#solution,method
#endkeyvals

\begin{sol}
\end{sol}
\begin{sol*}
\end{sol*}

\activity{title%text}
\begin{activity}{title%text}
\end{activity}
\begin{objective}
\end{objective}

\begin{method}{title%text}
\begin{method}[label]{title%text}#l
\end{method}
\begin{theorem}{title%text}
\begin{theorem}[label]{title%text}#l
\end{theorem}
\begin{definition}{title%text}
\begin{definition}[label]{title%text}#l
\end{definition}
\begin{property}{title%text}
\begin{property}[label]{title%text}#l
\end{property}
\begin{formula}{title%text}
\begin{formula}[label]{title%text}#l
\end{formula}
\begin{remark}
\end{remark}

\window{Xmin}{Xmax}{Ymin}{Ymax}
\axeH
\axeH[label]
\axeV
\axeV[label]
\tickX
\tickX[graduation]
\tickY
\tickY[graduation]
\begin{windowsratio}
\begin{windowsratio}[ratio]
\end{windowsratio}

# not documented
\activitiescolor#*
\activitytitleFormat#*
\begin{cours}#*
\begin{cours}[label]#*r
\begin{defi}{title%text}{marker}#*
\begin{form}{title%text}{marker}#*
\begin{meth}{title%text}{marker}#*
\begin{obj}{title%text}{marker}#*
\begin{prop}{title%text}{marker}#*
\begin{Solution}{number}#*
\begin{theo}{title%text}{marker}#*
\coloredbg#*
\end{cours}#*
\end{defi}#*
\end{form}#*
\end{meth}#*
\end{obj}#*
\end{prop}#*
\end{Solution}#*
\end{theo}#*
\exercisescolor#*
\groupexosFormat#*
\headcoloredbg{color}#*
\headcontents{text}#*
\headerFormat#*
\lessoncolor#*
\methodscolor#*
\notez#*
\poslabelX#*
\poslabelY#*
\solutionscolor#*
\thebeamerExo#*
\windowwidth#*
\Xmax#*
\Xmin#*
\Ymax#*
\Ymin#*

# from svgnames option of xcolor
AliceBlue#B
DarkKhaki#B
Green#B
LightSlateGrey#B
AntiqueWhite#B
DarkMagenta#B
GreenYellow#B
LightSteelBlue#B
Aqua#B
DarkOliveGreen#B
Grey#B
LightYellow#B
Aquamarine#B
DarkOrange#B
Honeydew#B
Lime#B
Azure#B
DarkOrchid#B
HotPink#B
LimeGreen#B
Beige#B
DarkRed#B
IndianRed#B
Linen#B
Bisque#B
DarkSalmon#B
Indigo#B
Magenta#B
Black#B
DarkSeaGreen#B
Ivory#B
Maroon#B
BlanchedAlmond#B
DarkSlateBlue#B
Khaki#B
MediumAquamarine#B
Blue#B
DarkSlateGray#B
Lavender#B
MediumBlue#B
BlueViolet#B
DarkSlateGrey#B
LavenderBlush#B
MediumOrchid#B
Brown#B
DarkTurquoise#B
LawnGreen#B
MediumPurple#B
BurlyWood#B
DarkViolet#B
LemonChiffon#B
MediumSeaGreen#B
CadetBlue#B
DeepPink#B
LightBlue#B
MediumSlateBlue#B
Chartreuse#B
DeepSkyBlue#B
LightCoral#B
MediumSpringGreen#B
Chocolate#B
DimGray#B
LightCyan#B
MediumTurquoise#B
Coral#B
DimGrey#B
LightGoldenrod#B
MediumVioletRed#B
CornflowerBlue#B
DodgerBlue#B
LightGoldenrodYellow#B
MidnightBlue#B
Cornsilk#B
FireBrick#B
LightGray#B
MintCream#B
Crimson#B
FloralWhite#B
LightGreen#B
MistyRose#B
Cyan#B
ForestGreen#B
LightGrey#B
Moccasin#B
DarkBlue#B
Fuchsia#B
LightPink#B
NavajoWhite#B
DarkCyan#B
Gainsboro#B
LightSalmon#B
Navy#B
DarkGoldenrod#B
GhostWhite#B
LightSeaGreen#B
NavyBlue#B
DarkGray#B
Gold#B
LightSkyBlue#B
OldLace#B
DarkGreen#B
Goldenrod#B
LightSlateBlue#B
Olive#B
DarkGrey#B
Gray#B
LightSlateGray#B
OliveDrab#B
Orange#B
Plum#B
Sienna#B
Thistle#B
OrangeRed#B
PowderBlue#B
Silver#B
Tomato#B
Orchid#B
Purple#B
SkyBlue#B
Turquoise#B
PaleGoldenrod#B
Red#B
SlateBlue#B
Violet#B
PaleGreen#B
RosyBrown#B
SlateGray#B
VioletRed#B
PaleTurquoise#B
RoyalBlue#B
SlateGrey#B
Wheat#B
PaleVioletRed#B
SaddleBrown#B
Snow#B
White#B
PapayaWhip#B
Salmon#B
SpringGreen#B
WhiteSmoke#B
PeachPuff#B
SandyBrown#B
SteelBlue#B
Yellow#B
Peru#B
SeaGreen#B
Tan#B
YellowGreen#B
Pink#B
Seashell#B
Teal#B
