# hamnosys package
# Matthew Bertucci 1/21/2022 for v1.0.1

#include:iftex
#include:fontspec
#include:ifthen
#include:kvoptions

#keyvals:\usepackage/hamnosys#c
autofont
#endkeyvals

\texthamnosys{text}
\hamnosysfont

\hamnosys{sym1,sym2,...%keyvals}

#keyvals:\hamnosys
## Handshapes ##
hamfist
hamflathand
hamfinger2
hamfinger23
hamfinger23spread
hamfinger2345
hampinch12
hampinchall
hampinch12open
hamcee12
hamceeall
hamceeopen

## Handshape modifiers ##
hamthumboutmod
hamthumbacrossmod
hamthumbopenmod
hamfingerstraightmod
hamfingerbendmod
hamfingerhookmod
hamdoublebent
hamdoublehooked

## Extended finger directions ##
hamextfingeru
hamextfingerur
hamextfingerr
hamextfingerdr
hamextfingerd
hamextfingerdl
hamextfingerl
hamextfingerul
hamextfingerol
hamextfingero
hamextfingeror
hamextfingeril
hamextfingeri
hamextfingerir
hamextfingerui
hamextfingerdi
hamextfingerdo
hamextfingeruo

## Palm orientation ##
hampalmu
hampalmur
hampalmr
hampalmdr
hampalmd
hampalmdl
hampalml
hampalmul

## Location ##
hamhead
hamheadtop
hamforehead
hameyebrows
hameyes
hamnose
hamnostrils
hamear
hamearlobe
hamcheek
hamlips
hamtongue
hamteeth
hamchin
hamunderchin
hamneck
hamshouldertop
hamshoulders
hamchest
hamstomach
hambelowstomach
hamneutralspace
hamupperarm
hamelbow
hamelbowinside
hamlowerarm
hamwristback
hamwristpulse
hamthumbball
hampalm
hamhandback
hamthumbside
hampinkyside
hamthumb
hamindexfinger
hammiddlefinger
hamringfinger
hampinky
hamfingertip
hamfingernail
hamfingerpad
hamfingermidjoint
hamfingerbase
hamfingerside

##  Location modifiers ##
hamlrbeside
hamlrat
hamcoreftag
hamcorefref

## Movement ##
hammoveu
hammoveur
hammover
hammovedr
hammoved
hammovedl
hammovel
hammoveul
hammoveol
hammoveo
hammoveor
hammoveil
hammovei
hammoveir
hammoveui
hammovedi
hammovedo
hammoveuo
hamcircleo
hamcirclei
hamcircled
hamcircleu
hamcirclel
hamcircler
hamcircleul
hamcircledr
hamcircleur
hamcircledl
hamcircleol
hamcircleir
hamcircleor
hamcircleil
hamcircleui
hamcircledo
hamcircleuo
hamcircledi
hamfingerplay
hamnodding
hamswinging
hamtwisting
hamstircw
hamstirccw
hamreplace
hamnomotion
hamclocku
hamclockul
hamclockl
hamclockdl
hamclockd
hamclockdr
hamclockr
hamclockur
hamclockfull
hamarcl
hamarcu
hamarcr
hamarcd
hamwavy
hamzigzag
hamellipseh
hamellipseur
hamellipsev
hamellipseul
hamincreasing
hamdecreasing
hamfast
hamslow
hamtense
hamrest
hamhalt
hamclose
hamtouch
haminterlock
hamcross
hamarmextended
hambehind
hambrushing

## Movement modifiers ##
hamsmallmod
hamlargemod

## Other symbols ##
hamrepeatfromstart
hamrepeatfromstartseveral
hamrepeatcontinue
hamrepeatcontinueseveral
hamrepeatreverse
hamalternatingmotion
hamseqbegin
hamseqend
hamparbegin
hamparend
hamfusionbegin
hamfusionend
hambetween
hamplus
hamsymmpar
hamsymmlr
hamnondominant
hamnonipsi
hametc
hamorirelative
hammime

## Version symbol ##
hamversion40

## Regular Unicode characters ##
hamspace
hamexclaim
hamcomma
hamfullstop
hamquery
hamaltbegin
hammetaalt
hamaltend

## Obsolete spacing symbols ##
hamwristtopulse
hamwristtoback
hamwristtothumb
hamwristtopinky
hammovecross
hammoveX
#endkeyvals

## Handshapes ##
\hamfist
\hamflathand
\hamfingertwo
\hamfingertwothree
\hamfingertwothreespread
\hamfingertwothreefourfive
\hampinchonetwo
\hampinchall
\hampinchonetwoopen
\hamceeonetwo
\hamceeall
\hamceeopen

## Handshape modifiers ##
\hamthumboutmod
\hamthumbacrossmod
\hamthumbopenmod
\hamfingerstraightmod
\hamfingerbendmod
\hamfingerhookmod
\hamdoublebent
\hamdoublehooked

## Extended finger directions ##
\hamextfingeru
\hamextfingerur
\hamextfingerr
\hamextfingerdr
\hamextfingerd
\hamextfingerdl
\hamextfingerl
\hamextfingerul
\hamextfingerol
\hamextfingero
\hamextfingeror
\hamextfingeril
\hamextfingeri
\hamextfingerir
\hamextfingerui
\hamextfingerdi
\hamextfingerdo
\hamextfingeruo

## Palm orientation ##
\hampalmu
\hampalmur
\hampalmr
\hampalmdr
\hampalmd
\hampalmdl
\hampalml
\hampalmul

## Location ##
\hamhead
\hamheadtop
\hamforehead
\hameyebrows
\hameyes
\hamnose
\hamnostrils
\hamear
\hamearlobe
\hamcheek
\hamlips
\hamtongue
\hamteeth
\hamchin
\hamunderchin
\hamneck
\hamshouldertop
\hamshoulders
\hamchest
\hamstomach
\hambelowstomach
\hamneutralspace
\hamupperarm
\hamelbow
\hamelbowinside
\hamlowerarm
\hamwristback
\hamwristpulse
\hamthumbball
\hampalm
\hamhandback
\hamthumbside
\hampinkyside
\hamthumb
\hamindexfinger
\hammiddlefinger
\hamringfinger
\hampinky
\hamfingertip
\hamfingernail
\hamfingerpad
\hamfingermidjoint
\hamfingerbase
\hamfingerside

##  Location modifiers ##
\hamlrbeside
\hamlrat
\hamcoreftag
\hamcorefref

## Movement ##
\hammoveu
\hammoveur
\hammover
\hammovedr
\hammoved
\hammovedl
\hammovel
\hammoveul
\hammoveol
\hammoveo
\hammoveor
\hammoveil
\hammovei
\hammoveir
\hammoveui
\hammovedi
\hammovedo
\hammoveuo
\hamcircleo
\hamcirclei
\hamcircled
\hamcircleu
\hamcirclel
\hamcircler
\hamcircleul
\hamcircledr
\hamcircleur
\hamcircledl
\hamcircleol
\hamcircleir
\hamcircleor
\hamcircleil
\hamcircleui
\hamcircledo
\hamcircleuo
\hamcircledi
\hamfingerplay
\hamnodding
\hamswinging
\hamtwisting
\hamstircw
\hamstirccw
\hamreplace
\hamnomotion
\hamclocku
\hamclockul
\hamclockl
\hamclockdl
\hamclockd
\hamclockdr
\hamclockr
\hamclockur
\hamclockfull
\hamarcl
\hamarcu
\hamarcr
\hamarcd
\hamwavy
\hamzigzag
\hamellipseh
\hamellipseur
\hamellipsev
\hamellipseul
\hamincreasing
\hamdecreasing
\hamfast
\hamslow
\hamtense
\hamrest
\hamhalt
\hamclose
\hamtouch
\haminterlock
\hamcross
\hamarmextended
\hambehind
\hambrushing

## Movement modifiers ##
\hamsmallmod
\hamlargemod

## Other symbols ##
\hamrepeatfromstart
\hamrepeatfromstartseveral
\hamrepeatcontinue
\hamrepeatcontinueseveral
\hamrepeatreverse
\hamalternatingmotion
\hamseqbegin
\hamseqend
\hamparbegin
\hamparend
\hamfusionbegin
\hamfusionend
\hambetween
\hamplus
\hamsymmpar
\hamsymmlr
\hamnondominant
\hamnonipsi
\hametc
\hamorirelative
\hammime

## Version symbol ##
\hamversionfourzero

## Regular Unicode characters ##
\hamspace
\hamexclaim
\hamcomma
\hamfullstop
\hamquery
\hamaltbegin
\hammetaalt
\hamaltend

## Obsolete spacing symbols ##
\hamwristtopulse
\hamwristtoback
\hamwristtothumb
\hamwristtopinky
\hammovecross
\hammoveX