# imsart package
# Matthew Bertucci 2022/06/06 for release 2022/04/06

#include:etoolbox
#include:keyval
#include:ifpdf

#keyvals:\usepackage/imsart#c
printbiddoi
keywordsasfootnote
historyasfootnote
addressasfootnote
addressatend
autosecdot
noautosecdot
noundefthanksref
frontback
amsmath
amsthm
seceqn
natbib
linksfromyear
numbers
nameyear
authoryear
rotating
ba
ps
ss
ejs
aap
aop
aos
aoas
sts
bj
aihp
bjps
doublespacing
singlespacing
noinfoline
infoline
linenumbers
nolinenumbers
showframe
noshowframe
submission
preedit
preprint
#endkeyvals

# fontenc with T1 option loaded by every style
#include:fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n

#ifOption:amsmath
#include:amsmath
#endif

#ifOption:amsthm
#include:amsthm
\begin{proof}[heading%text]
#endif

#ifOption:natbib
#include:natbib
#endif

#ifOption:rotating
#include:rotating
#endif

#ifOption:ba
#include:lmodern
#endif

#ifOption:ps
#include:lmodern
#endif

#ifOption:ss
#include:lmodern
#endif

#ifOption:ejs
#include:lmodern
#endif

#ifOption:aap
#include:times
#include:helvet
#include:textcomp
#include:textcase
#endif

#ifOption:aop
#include:times
#include:helvet
#include:textcomp
#include:textcase
#endif

#ifOption:aos
#include:times
#include:helvet
#include:textcomp
#include:textcase
#endif

#ifOption:aoas
#include:times
#include:helvet
#include:textcomp
#include:textcase
#endif

#ifOption:sts
\savehline#S
\thline#*
#endif

#ifOption:bj
#include:textcomp
#include:helvet
#include:newtxmath
#include:graphicx
#include:letterspace
#include:enumitem
#include:hyperref
#include:amsmath
#include:amssymb
#include:mathrsfs
#include:bm
#include:amsthm
#include:natbib
#include:color
\savehline#S
\thline#*
\setlstracking{value}
\texttracking{value}{text}
#endif

#ifOption:aihp
#include:times
#include:helvet
#include:textcomp
#endif

#ifOption:bjps
#include:times
#include:helvet
#include:textcomp
\savehline#S
\thline#*
#endif

#ifOption:showframe
#include:color
imsgray#B
#endif

\begin{abstract}[language=%<language%>]
\begin{acks}
\begin{acks}[title%text]
\end{acks}
\begin{appendix}
\end{appendix}
\begin{aug}
\end{aug}
\begin{em}#*
\end{em}#*
\begin{frontmatter}
\end{frontmatter}
\begin{funding}
\begin{funding}[title%text]
\end{funding}
\begin{keyword}
\begin{keyword}[class=%<class%>]
\end{keyword}
\begin{longlist}
\begin{longlist}[widest label]
\end{longlist}
\begin{supplement}
\begin{supplement}[id=%<id%>]
\end{supplement}
\begin{tabnotes}
\end{tabnotes}

\accepted{date}#*
\acknowledgementsname#*
\address[id]{address%text}
\address{address%text}
\AND#S
\articletitle#S
\arxiv{arxiv}
\atltitle{text}#*
\author[id]{name}
\baddress#S
\banumber#S
\barticle#S
\bauthor#S
\bbook#S
\bbooklet#S
\bchapter#S
\bdoi{DOI}#S
\bedition#S
\beditor#S
\betal#S
\bfnm#S
\bhowpublished#S
\bid{keyvals}#*
\binbook#S
\bincollection#S
\binits#S
\binproceedings#S
\binstitution#S
\bisbn#S
\blocation#S
\bmanual#S
\bmastersthesis#S
\bmisc#S
\bmrnumber#S
\bnote#S
\bnumber#S
\borganization#S
\bpages#S
\bparticle#S
\bphdthesis#S
\bproceedings#S
\bptok{arg}#S
\bpublisher#S
\bschool#S
\bsnm#S
\bsuffix#S
\btechreport#S
\btype#S
\bunpublished#S
\byear#S
\citefix#*
\contributor{name}{university}#*
\copyrightowner{text}#*
\correctionnote{text}#*
\corref{id}#S
\dedicated{text}#*
\degs{text}#*
\dochead{arg}#S
\doi{DOI}
\doublespacing#*
\ead[options%keyvals]{email%URL}#U
\ead{email%URL}#U
\endlocaldefs
\firstpage{number}
\fnms{first name}
\fundingname#*
\getitemvalue{list name}{index}#*
\getpkgattr{type}{name}#*
\inits{initials}
\issue{number}
\journalurl{URL}#*U
\kwd[pre text%text]{keyword%text}
\kwd{keyword%text}
\labellonglist#*
\lastpage{number}
\legend{text}#*
\loadhyperrefoptions#S
\MR{number}
\MRfixed{arg}#S
\newpseudoenvironment{name}{begdef}{enddef}#*
\nocontentsline#*
\nohyphen#*
\normaltext#*
\orcid{ORCID}
\paperno{number}#*
\paperurl{URL}#*U
\pdfauthor{name}#*
\pdfkeywords{text}#*
\pdfsubject{text}#*
\pdftitle{text}#*
\printaddresses#*
\printaddressnum{arg}#*
\printead[options%keyvals]{label1,label2,...}
\printead{label1,label2,...}
\printorcid#*
\pubonline{date}#*
\pubyear{year}
\qq{text}#*
\received{date}#*
\relateddoi[opt]{arg}{DOI}#*
\relateddoi{arg}{DOI}#*
\relateddois[mark]{id}{DOI}#*
\relateddois{id}{DOI}#*
\restorethankscounter#*
\revised{date}#*
\roles{text}#*
\runauthor{names}
\runtitle{text}
\safelabel{label}#*l
\saferef{label}#*r
\sdatatype{.ext}
\sday{day}#*
\sdescription{text}
\sep#S
\setpkgattr{type}{name}{code}#*
\setvaluelist{name}{item1,item2,...}#*
\sfilename{file}
\singlespacing#*
\slink[options%keyvals]{URL}#U
\slink{URL}#U
\smonth{month}#*
\sname{text}
\snm{surname}
\specialsection*{title}#*L2
\specialsection[short title]{title}#*L2
\specialsection{title}#*L2
\startlocaldefs
\stitle{text}
\stitlepost{text}#*
\support{text}
\syear{year}#*
\tablewidth#*
\tabnoteref{id}
\tabnotestoks#*
\tabnotetext[options%keyvals]{text}
\tabnotetext{text}
\thankslabel[mark]{id}#*
\thankslabel{id}#*
\thanksmark[mark]{id}#*
\thanksmark{id}#*
\thanksnewlabel#*
\thanksref[mark]{id}
\thanksref{id}
\thankstext[mark]{id}{text}
\thankstext{id}{text}
\theaddress#*
\theaddressref#*
\theauthor#*
\theemailref#*
\thefirstpage#*
\thelastpage#*
\thelonglist#*
\thesuppdoi{id}
\thetabnote#*
\thethanks#*
\usethankscounter{counter}#*
\volume{number}
\volumetitle{text}#*
\woMR{arg}#S

#keyvals:\ead
email
url
label=%<label%>
text=%<text%>
nopdflink
#endkeyvals

#keyvals:\printead
text=%<text%>
presep=%<separator%>
#endkeyvals

#keyvals:\slink
text=%<text%>
doi
url
#endkeyvals

#keyvals:\tabnotetext
id=%<id%>
mark=%<mark%>
#endkeyvals