# kpfonts package
# Matthew Bertucci 1/19/2022 for v3.33

#include:amsmath
#include:textcomp

#ifOption:easyscsl
#include:ifthen
#endif

#keyvals:\usepackage/kpfonts#c
nomath
notext
nosf
nott
onlyrm
uprightgreeks
slantedGreeks
uprightRoman
upright
frenchstyle
nomathscript
mathcalasscript
classicReIm
oldstylenums
oldstyle
oldstylemath
oldstylenumsmath
fulloldstylenums
fulloldstyle
veryoldstyle
veryoldstylemath
fullveryoldstyle
light
lighttext
lightmath
rmx
nowarning
noamsmath
notextcomp
narrowiints
partialup
largesmallcaps
easyscsl
noDcommand
nofligatures
widermath
sfmath
sfmathbb
rmmathbb
intlimits
fullintlimits
nointlimits
sumlimits
fullsumlimits
nosumlimits
namelimits
nonamelimits
leqno
reqno
centertags
tbtags
#endkeyvals

\classicstylenums{text}
\textscsl{text}
\scslshape
\textothersc{text}
\otherscshape
\textotherscsl{text}
\otherscslshape
\othertailQ
\othertailscq
\othertailscslq

\mathbb{text%plain}#m
\mathscr{text%plain}#m
\mathfrak{text%plain}#m
\mathupright{text%plain}#*m
\mathup{text%plain}#m

\approxeq#m
\backepsilon#m
\backprime#m
\backsim#m
\backsimeq#m
\barwedge#m
\Bbbk#m
\because#m
\beth#m
\between#m
\bigcapop#*m
\bigcupop#*m
\bignplus#m
\bignplusop#*m
\bignplusop#*m
\bigodotop#*m
\bigoplusop#*m
\bigotimesop#*m
\bigsqcap#m
\bigsqcapop#*m
\bigsqcapplus#m
\bigsqcapplusop#*m
\bigsqcupop#*m
\bigsqcupplus#m
\bigsqcupplusop#*m
\bigstar#m
\biguplusop#*m
\bigveeop#*m
\bigwedgeop#*m
\blacklozenge#m
\blacksquare#m
\blacktriangle#m
\blacktriangledown#m
\blacktriangleleft#m
\blacktriangleright#m
\Bot#m
\Box#m
\boxast#m
\boxbar#m
\boxbslash#m
\boxdot#m
\boxdotleft#m
\boxdotLeft#m
\boxdotright#m
\boxdotRight#m
\boxleft#m
\boxLeft#m
\boxminus#m
\boxplus#m
\boxright#m
\boxRight#m
\boxslash#m
\boxtimes#m
\bumpeq#m
\Bumpeq#m
\Cap#m
\centerdot#m
\circeq#m
\circlearrowleft#m
\circlearrowright#m
\circledast#m
\circledbar#m
\circledbslash#m
\circledcirc#m
\circleddash#m
\circleddot#m
\circleddotleft#m
\circleddotright#m
\circledgtr#m
\circledless#m
\circledminus#m
\circledotleft#m
\circledotright#m
\circledplus#m
\circledS#m
\circledslash#m
\circledtimes#m
\circledvee#m
\circledwedge#m
\circleleft#m
\circleright#m
\colonapprox#m
\Colonapprox#m
\coloneq#m
\Coloneq#m
\coloneqq#m
\Coloneqq#m
\colonsim#m
\Colonsim#m
\complement#m
\coprodop#*m
\Cup#m
\curlyeqprec#m
\curlyeqsucc#m
\curlyvee#m
\curlywedge#m
\curvearrowleft#m
\curvearrowright#m
\D#m
\daleth#m
\dasharrow#m
\dashleftarrow#m
\dashleftrightarrow#m
\dashrightarrow#m
\diagdown#m
\diagup#m
\Diamond#m
\Diamondblack#m
\Diamonddot#m
\Diamonddotleft#m
\DiamonddotLeft#m
\Diamonddotright#m
\DiamonddotRight#m
\Diamondleft#m
\DiamondLeft#m
\Diamondright#m
\DiamondRight#m
\digamma#m
\divideontimes#m
\Doteq#m
\doteqdot#m
\dotplus#m
\doublebarwedge#m
\doublecap#m
\doublecup#m
\downdownarrows#m
\downharpoonleft#m
\downharpoonright#m
\eqcirc#m
\eqcolon#m
\Eqcolon#m
\eqqcolon#m
\Eqqcolon#m
\eqsim#m
\eqslantgtr#m
\eqslantless#m
\eth#m
\fallingdotseq#m
\fint#m
\fintop#*m
\Finv#m
\Game#m
\geqq#m
\geqslant#m
\ggg#m
\gggtr#m
\gimel#m
\gnapprox#m
\gneq#m
\gneqq#m
\gnsim#m
\gtrapprox#m
\gtrdot#m
\gtreqless#m
\gtreqqless#m
\gtrless#m
\gtrsim#m
\gvertneqq#m
\hslash#m
\idotsintop#*m
\iiiintop#*m
\iiintop#*m
\iintop#*m
\intercal#m
\invamp#m
\Join#m
\lambdabar#m
\lambdaslash#m
\lbag#m
\Lbag#m
\leadsto#m
\leadstoext#m
\leftarrowtail#m
\leftleftarrows#m
\leftrightarrows#m
\leftrightharpoons#m
\leftrightsquigarrow#m
\leftsquigarrow#m
\leftthreetimes#m
\leqq#m
\leqslant#m
\lessapprox#m
\lessdot#m
\lesseqgtr#m
\lesseqqgtr#m
\lessgtr#m
\lesssim#m
\lhd#m
\lJoin#m
\llbracket#m
\Lleftarrow#m
\lll#m
\llless#m
\lnapprox#m
\lneq#m
\lneqq#m
\lnsim#m
\longmappedfrom#m
\Longmappedfrom#m
\Longmapsto#m
\longmmappedfrom#m
\Longmmappedfrom#m
\longmmapsto#m
\Longmmapsto#m
\looparrowleft#m
\looparrowright#m
\lozenge#m
\lrJoin#m
\lrtimes#m
\Lsh#m
\ltimes#m
\lvertneqq#m
\mappedfrom#m
\Mappedfrom#m
\mappedfromchar#*m
\Mappedfromchar#*m
\Mapsto#m
\Mapstochar#*m
\measuredangle#m
\medbullet#m
\medcirc#m
\mho#m
\mmappedfrom#m
\Mmappedfrom#m
\mmappedfromchar#*m
\Mmappedfromchar#*m
\mmapsto#m
\Mmapsto#m
\mmapstochar#*m
\Mmapstochar#*m
\multimap#m
\multimapboth#m
\multimapbothvert#m
\multimapdot#m
\multimapdotboth#m
\multimapdotbothA#m
\multimapdotbothAvert#m
\multimapdotbothAvert#m
\multimapdotbothB#m
\multimapdotbothBvert#m
\multimapdotbothvert#m
\multimapdotinv#m
\multimapinv#m
\napprox#m
\napproxeq#m
\nasymp#m
\nbacksim#m
\nbacksimeq#m
\nbumpeq#m
\nBumpeq#m
\ncong#m
\Nearrow#m
\nequiv#m
\nexists#m
\ngeq#m
\ngeqq#m
\ngeqslant#m
\ngg#m
\ngtr#m
\ngtrapprox#m
\ngtrless#m
\ngtrsim#m
\nleftarrow#m
\nLeftarrow#m
\nLeftrightarrow#m
\nleftrightarrow#m
\nleq#m
\nleqq#m
\nleqslant#m
\nless#m
\nlessapprox#m
\nlessgtr#m
\nlesssim#m
\nll#m
\nmid#m
\notni#m
\notowns#m
\nparallel#m
\nplus#m
\nprec#m
\nprecapprox#m
\npreccurlyeq#m
\npreceq#m
\npreceqq#m
\nprecsim#m
\nrightarrow#m
\nRightarrow#m
\nshortmid#m
\nshortparallel#m
\nsim#m
\nsim#m
\nsimeq#m
\nsqsubset#m
\nsqsubseteq#m
\nsqsupset#m
\nsqsupseteq#m
\nsubset#m
\nSubset#m
\nsubseteq#m
\nsubseteqq#m
\nsucc#m
\nsuccapprox#m
\nsucccurlyeq#m
\nsucceq#m
\nsucceqq#m
\nsuccsim#m
\nsupset#m
\nSupset#m
\nsupseteq#m
\nsupseteqq#m
\nthickapprox#m
\ntriangleleft#m
\ntrianglelefteq#m
\ntriangleright#m
\ntrianglerighteq#m
\ntwoheadleftarrow#m
\ntwoheadrightarrow#m
\nvarparallel#m
\nvarparallelinv#m
\nvdash#m
\nVdash#m
\nvDash#m
\nVDash#m
\Nwarrow#m
\oiiint#m
\oiiintclockwise#m
\oiiintclockwiseop#*m
\oiiintctrclockwise#m
\oiiintctrclockwiseop#*m
\oiiintop#*m
\oiint#m
\oiintclockwise#m
\oiintclockwiseop#*m
\oiintctrclockwise#m
\oiintctrclockwiseop#*m
\oiintop#*m
\oiintop#*m
\ointclockwise#m
\ointclockwiseop#*m
\ointctrclockwise#m
\ointctrclockwiseop#*m
\openJoin#m
\opentimes#m
\partialsl#*m
\partialup#*m
\Perp#m
\pitchfork#m
\precapprox#m
\preccurlyeq#m
\preceqq#m
\precnapprox#m
\precneqq#m
\precnsim#m
\precsim#m
\prodop#*m
\rbag#m
\Rbag#m
\restriction#m
\rhd#m
\rightarrowtail#m
\rightleftarrows#m
\rightrightarrows#m
\rightsquigarrow#m
\rightthreetimes#m
\risingdotseq#m
\rJoin#m
\rrbracket#m
\Rrightarrow#m
\Rsh#m
\rtimes#m
\Searrow#m
\shortmid#m
\shortparallel#m
\smallfrown#m
\smallsetminus#m
\smallsmile#m
\sphericalangle#m
\sqcapplus#m
\sqcupplus#m
\sqiiint#m
\sqiiintop#*m
\sqiint#m
\sqiintop#*m
\sqint#m
\sqintop#*m
\sqsubset#m
\sqsupset#m
\square#m
\strictfi#m
\strictif#m
\strictiff#m
\Subset#m
\subseteqq#m
\subsetneq#m
\subsetneqq#m
\succapprox#m
\succcurlyeq#m
\succeqq#m
\succnapprox#m
\succneqq#m
\succnsim#m
\succsim#m
\sumop#*m
\Supset#m
\supseteqq#m
\supsetneq#m
\supsetneqq#m
\Swarrow#m
\therefore#m
\thickapprox#m
\thicksim#m
\Top#m
\triangledown#m
\trianglelefteq#m
\triangleq#m
\trianglerighteq#m
\twoheadleftarrow#m
\twoheadrightarrow#m
\unlhd#m
\unrhd#m
\upharpoonleft#m
\upharpoonright#m
\upuparrows#m
\varclubsuit#m
\vardiamondsuit#m
\varemptyset#m
\varheartsuit#m
\varidotsint#m
\varidotsintop#*m
\variiiint#m
\variiiintop#*m
\variiint#m
\variiintop#*m
\variint#m
\variintop#*m
\varint#m
\varintop#*m
\varkappa#m
\varnothing#m
\varoiiintclockwise#m
\varoiiintclockwiseop#*m
\varoiiintctrclockwise#m
\varoiiintctrclockwiseop#*m
\varoiintclockwise#m
\varoiintclockwiseop#*m
\varoiintctrclockwise#m
\varoiintctrclockwiseop#*m
\varointclockwise#m
\varointclockwiseop#*m
\varointctrclockwise#m
\varointctrclockwiseop#*m
\varparallel#m
\varparallelinv#m
\varprod#m
\varpropto#m
\varspadesuit#m
\varsubsetneq#m
\varsubsetneqq#m
\varsupsetneq#m
\varsupsetneqq#m
\vartriangle#m
\vartriangleleft#m
\vartriangleright#m
\Vdash#m
\vDash#m
\VDash#m
\veebar#m
\Vvdash#m
\VvDash#m
\widearc{arg}
\widearcarrow{arg}
\wideOarc{arg}
\wideparen{arg}
\widering{arg}#m
\Wr#m

\alphaup#*m
\betaup#*m
\gammaup#*m
\deltaup#*m
\epsilonup#*m
\varepsilonup#*m
\zetaup#*m
\etaup#*m
\thetaup#*m
\varthetaup#*m
\iotaup#*m
\kappaup#*m
\varkappaup#*m
\lambdaup#*m
\muup#*m
\nuup#*m
\xiup#*m
\piup#*m
\varpiup#*m
\rhoup#*m
\varrhoup#*m
\sigmaup#*m
\varsigmaup#*m
\tauup#*m
\upsilonup#*m
\phiup#*m
\varphiup#*m
\chiup#*m
\psiup#*m
\omegaup#*m

\alphasl#*m
\betasl#*m
\gammasl#*m
\deltasl#*m
\epsilonsl#*m
\varepsilonsl#*m
\zetasl#*m
\etasl#*m
\thetasl#*m
\varthetasl#*m
\iotasl#*m
\kappasl#*m
\varkappasl#*m
\lambdasl#*m
\musl#*m
\nusl#*m
\xisl#*m
\pisl#*m
\varpisl#*m
\rhosl#*m
\varrhosl#*m
\sigmasl#*m
\varsigmasl#*m
\tausl#*m
\upsilonsl#*m
\phisl#*m
\varphisl#*m
\chisl#*m
\psisl#*m
\omegasl#*m

\otheralpha#*m
\otherbeta#*m
\othergamma#*m
\otherdelta#*m
\otherepsilon#*m
\othervarepsilon#*m
\otherzeta#*m
\othereta#*m
\othertheta#*m
\othervartheta#*m
\otheriota#*m
\otherkappa#*m
\othervarkappa#*m
\otherlambda#*m
\othermu#*m
\othernu#*m
\otherxi#*m
\otherpi#*m
\othervarpi#*m
\otherrho#*m
\othervarrho#*m
\othersigma#*m
\othervarsigma#*m
\othertau#*m
\otherupsilon#*m
\otherphi#*m
\othervarphi#*m
\otherchi#*m
\otherpsi#*m
\otheromega#*m

\Gammaup#*m
\Deltaup#*m
\Thetaup#*m
\Lambdaup#*m
\Xiup#*m
\Piup#*m
\Sigmaup#*m
\Upsilonup#*m
\Phiup#*m
\Psiup#*m
\Omegaup#*m

\Gammasl#*m
\Deltasl#*m
\Thetasl#*m
\Lambdasl#*m
\Xisl#*m
\Pisl#*m
\Sigmasl#*m
\Upsilonsl#*m
\Phisl#*m
\Psisl#*m
\Omegasl#*m

\otherGamma#*m
\otherDelta#*m
\otherTheta#*m
\otherLambda#*m
\otherXi#*m
\otherPi#*m
\otherSigma#*m
\otherUpsilon#*m
\otherPhi#*m
\otherPsi#*m
\otherOmega#*m
