# lhelp package
# Matthew Bertucci 2022/06/01 for v2.1

#keyvals:\usepackage/lhelp#c
unitxspace
unitbasic
unitBasic
unittemp
unitelec
units
page
emptypage
draftmark
draftmarkps
draftmarkpsonly
epsdraft
epspdf
refshortcuts
printnotes
ddmonthyyyy
yyyymmdd
hh:mm
morefontsizes
verbose
shorttoc
countryselect
#endkeyvals

#ifOption:unitbasic
\g
\kg
\mm
\mum
\cm
\m
\ml
\mL
\ns
\mus
\ms
\s
\h
#endif

#ifOption:unittemp
\degree
\Degree
\celsius
\fahren
#endif

#ifOption:unitelec
\muA
\muH
\muV
\muW
\ohm
\kohm
\Mohm
\ac
\dc
\rms
\Vac
\Vdc
\VLL
\kVLL
#endif

#ifOption:units
# loads unitbasic, unitBasic, unittemp, and unitelec options
# from unitbasic option
\g
\kg
\mm
\mum
\cm
\m
\ml
\mL
\ns
\mus
\ms
\s
\h
# from unittemp option
\degree
\Degree
\celsius
\fahren
# from unitelec option
\muA
\muH
\muV
\muW
\ohm
\kohm
\Mohm
\ac
\dc
\rms
\Vac
\Vdc
\VLL
\kVLL
#endif

#ifOption:draftmarkps
#include:color
#include:graphics
#endif

#ifOption:draftmarkpsonly
#include:color
#include:graphics
#endif

#ifOption:refshortcuts
\cref{label}#r
\Cref{label}#r
\sref{label}#r
\Sref{label}#r
\aref{label}#r
\Aref{label}#r
\fref{label}#r
\Fref{label}#r
\tref{label}#r
\Tref{label}#r
\pgref{label}#r
\Pgref{label}#r
\phref{label}#r
\Phref{label}#r
#endif

#ifOption:ddmonthyyyy
\ddmonthyyyy
#endif

#ifOption:morefontsizes
\HUGE
\veryhuge
\veryHuge
\veryHUGE
#endif

#ifOption:countryselect
\selectD
\selectNZ
\selectUK
\selectUSA
#endif

\lhelpxspace#*
\draftname#*
\draftfont#*
\putdraftmarkps#*
\ifprintnotes
\printnotestrue#*
\printnotesfalse#*
\yyyymmdd
\hour#*
\minute#*
\timehhmm#*
\todayaddtime#*
\ul{text}
\ulbf{text}
\lineout{text}
\larr
\rarr
\bs
\PP
\MM
\PM
\about
\eg
\ie
\etc
\ca
\resp
\Discuss
\Edit
\Mark
\diameter
\careof
\fparbox{text}
\fparbox([pos]){text}
\fparbox([pos][height]){text}
\fparbox([pos][height][inner-pos]){text}
\fparbox[width]{text}
\fparbox[width]([pos]){text}
\fparbox[width]([pos][height]){text}
\fparbox[width]([pos][height][inner-pos]){text}
\xyfparbox{width}{height}{text}
\xyfparbox[pos]{width}{height}{text}
\lrlap{text}
\tlap{text}
\blap{text}
\tblap{text}
\rtlap{text}
\rblap{text}
\vnull
\vnul
\hrulenull
\notes{text}
\nnotes{text}
\bnotemark#*
\enotemark#*
\notesfont#*
\includelower{level}{yes}{no}
\ifinclude{level}
\theexcludelevel#*
\EPSfileext#*
\placeEPS{width}{height}{imagefile}#g
\placeEPS[options%keyvals]{width}{height}{imagefile}#g
\EPSopt#*
\addEPSopt{options%keyvals}
#keyvals:\placeEPS,\addEPSopt
alt={%<alt text%>}
bb=%<llx lly urx ury%>
bbllx=
bblly=
bburx=
bbury=
natwidth=
natheight=
hiresbb#true,false
pagebox=#mediabox,cropbox,bleedbox,trimbox,artbox
viewport=%<llx lly urx ury%>
trim=%<llx lly urx ury%>
angle=%<degrees%>
origin=
width=##L
height=##L
totalheight=##L
keepaspectratio#true,false
scale=%<factor%>
clip#true,false
draft#true,false
type=%<file type%>
ext=%<file extension%>
read=%<read-file extension%>
command=
quiet
page=%<page number%>
interpolate#true,false
decodearray={%<color array%>}
#endkeyvals
\listlabelleft{indent}{width}{sep}{rmargin}
\listlabelleftindent{width}
\listshort
\begin{Eenumerate}{formatting}
\end{Eenumerate}
\begin{Eitemize}{formatting}
\end{Eitemize}
\begin{enumerateshort}
\end{enumerateshort}
\begin{itemizeshort}
\end{itemizeshort}
\clearoddpage
\clearevenpage
\clearthispage
\newoddpage
\newoddpage*
\newevenpage
\newevenpage*
\ensureonecolumn
\ensuretwocolumn
\ensurecolumnend
\minlinelen#*
\absval{number}
\hanghere
\labelhangindent{label}
\gobble{arg}
\gobbletwo{arg1}{arg2}
\begin{narrowpars}{indentation}
\end{narrowpars}
\thinthinspace
\setTBstruts
\T
\B
\placepos{right}{down}{text}
\PSadjust#*