# libertinust1math package
# Matthew Bertucci 1/10/2022 for v2.0.1

#include:xkeyval
#include:etoolbox
#include:amsmath

#ifOption:amsthm
#include:amsthm
#endif

#keyvals:\usepackage/libertinust1math#c
subscriptcorrectionfile=%<file%>
nosubscriptcorrection
subscriptcorrection
lcgreekalpha
upint
frenchmath
slantedGreek
uprightGreek
ISO
nosans
sansmath
reuseMathAlphabets
mathsfit
scale=%<factor%>
scaled=%<factor%>
amsthm
#endkeyvals

\adots#m
\alphait#*m
\alphaup#*m
\Angstrom#m
\annuity{arg}#m
\approxeq#m
\approxident#m
\arceq#m
\assert#m
\asteraccent{arg}#m
\backcong#m
\backdprime#m
\backepsilon#m
\backprime#m
\backsim#m
\backsimeq#m
\backtrprime#m
\because#m
\betait#*m
\betaup#*m
\beth#m
\between#m
\bigblacktriangledown#m
\bigblacktriangleup#m
\bigcapop#*m
\bigcupdot#m
\bigcupdotop#*m
\bigcupop#*m
\bigodotop#*m
\bigoplusop#*m
\bigotimesop#*m
\bigsqcap#m
\bigsqcapop#*m
\bigsqcupop#*m
\biguplusop#*m
\bigveeop#*m
\bigwedgeop#*m
\blacksquare#m
\blacktriangledown#m
\blacktriangleleft#m
\blacktriangleright#m
\Box#m
\boxdot#m
\boxminus#m
\boxplus#m
\boxtimes#m
\braceex#*m
\bracemd#*m
\bracemu#*m
\bracketex#*m
\bracketld#*m
\bracketlu#*m
\bracketrd#*m
\bracketru#*m
\bullseye#m
\Bumpeq#m
\bumpeq#m
\candra{arg}#m
\caretinsert#*m
\centerdot#m
\checkmark
\checkmarkmath#*m
\checkmarkmath#m
\chiit#*m
\chiup#*m
\circeq#m
\circledast#m
\circledcirc#m
\circleddash#m
\circledequal#m
\closure#*m
\Colon#m
\coloneq#m
\complement#m
\coprodop#*m
\cupdot#m
\cupleftarrow#m
\curlyeqprec#m
\curlyeqsucc#m
\curlyvee#m
\curlywedge#m
\daleth#m
\dashcolon#m
\degree#m
\Deltait#*m
\deltait#*m
\Deltaup#*m
\deltaup#*m
\diameter#m
\Diamond#m
\digamma#m
\dlb#m
\Doteq#m
\doteqdot#m
\dotminus#m
\dotplus#m
\dotsminusdots#m
\downparenfill#*
\dprime#m
\drb#m
\droang{arg}#m
\dsol#m
\enclosecircle#*m
\enclosesquare#*m
\enclosetriangle#*m
\enleadertwodots#m
\epsilonit#*m
\epsilonup#*m
\eqcirc#m
\eqcolon#m
\eqdef#m
\eqgtr#m
\eqless#m
\eqsim#m
\Equiv#m
\etait#*m
\etaup#*m
\Eulerconst#m
\Exclam#m
\fallingdotseq#m
\Finv#m
\fisheye#m
\fracslash#m
\Game#m
\Gammait#*m
\gammait#*m
\Gammaup#*m
\gammaup#*m
\geqq#m
\ggg#m
\gggtr#m
\gimel#m
\gneqq#m
\gnsim#m
\gtrdot#m
\gtreqless#m
\gtrless#m
\gtrsim#m
\Hfraktur#m
\house#m
\hslash#m
\hyphenbullet#m
\iiiintop#*m
\iiiintslop#*m
\iiiintupop#*m
\iiintop#*m
\iiintslop#*m
\iiintupop#*m
\iintop#*m
\iintslop#*m
\iintupop#*m
\increment#m
\intop#*m
\intslop#*m
\intupop#*m
\invlazys#m
\invnot#m
\iotait#*m
\iotaup#*m
\italpha#*m
\itbeta#*m
\itchi#*m
\itDelta#*m
\itdelta#*m
\itepsilon#*m
\iteta#*m
\itGamma#*m
\itGamma#*m
\itgamma#*m
\itiota#*m
\itkappa#*m
\itLambda#*m
\itlambda#*m
\itmu#*m
\itnu#*m
\itOmega#*m
\itomega#*m
\itPhi#*m
\itphi#*m
\itPi#*m
\itpi#*m
\itPsi#*m
\itpsi#*m
\itrho#*m
\itSigma#*m
\itsigma#*m
\ittau#*m
\itTheta#*m
\ittheta#*m
\itUpsilon#*m
\itupsilon#*m
\itvarepsilon#*m
\itvarkappa#*m
\itvarphi#*m
\itvarpi#*m
\itvarrho#*m
\itvarsigma#*m
\itvartheta#*m
\itXi#*m
\itxi#*m
\itzeta#*m
\kappait#*m
\kappaup#*m
\kernelcontraction#m
\Lambdait#*m
\lambdait#*m
\Lambdaup#*m
\lambdaup#*m
\lBrack#m
\leftarrowaccent{arg}#m
\leftharpoonaccent{arg}#m
\leftrightarrowaccent{arg}#m
\leftrightharpoons#m
\leqq#m
\lessdot#m
\lesseqgtr#m
\lessgtr#m
\lesssim#m
\lhd#m
\lhook#*m
\lll#m
\llless#m
\lneqq#m
\lnsim#m
\longmapsfrom#m
\Longmapsfrom#m
\Longmapsto#m
\lozenge#m
\ltimes#m
\Mapsfrom#m
\mapsfrom#m
\Mapsto#m
\mathbb{letter}#m
\mathbcal{letter}#m
\mathbfit{text%plain}#m
\mathboldsans{text%plain}#m
\mathdollar#m
\mathparagraph#m
\mathsection#m
\mathsfbf{text%plain}#m
\mathsfbfit{text%plain}#m
\mathvisiblespace#m
\mdlgblkcircle#*m
\mdlgblkdiamond#*m
\mdlgblksquare#m
\mdlgwhtcircle#m
\mdlgwhtdiamond#*m
\mdlgwhtlozenge#*m
\mdlgwhtsquare#m
\measeq#m
\measuredangle#m
\mho#m
\muit#*m
\musicalnote#m
\muup#*m
\napprox#m
\nasymp#m
\ncong#m
\Nearrow#m
\nequiv#m
\nexists#m
\nge#m
\ngeq#m
\ngeq#m
\ngets#m
\ngtr#m
\ngtr#m
\ngtrless#m
\ngtrsim#m
\nle#m
\nleftarrow#m
\nLeftarrow#m
\nleftarrow#m
\nleftrightarrow#m
\nLeftrightarrow#m
\nleq#m
\nleq#m
\nless#m
\nless#m
\nlessgtr#m
\nlesssim#m
\nmid#m
\nni#m
\notchar#*m
\nparallel#m
\nPerp#m
\nprec#m
\npreccurlyeq#m
\nrightarrow#m
\nRightarrow#m
\nsim#m
\nsime#m
\nsimeq#m
\nsqsubseteq#m
\nsqsupseteq#m
\nsubset#m
\nsubseteq#m
\nsucc#m
\nsucccurlyeq#m
\nsupset#m
\nsupseteq#m
\ntrianglelefteq#m
\ntrianglerighteq#m
\nuit#*m
\nuup#*m
\nvartriangleleft#m
\nvartriangleright#m
\nvdash#m
\nvDash#m
\nVdash#m
\nVDash#m
\Nwarrow#m
\ocommatopright{arg}#m
\oiint#m
\oiintop#*m
\oiintslop#*m
\oiintupop#*m
\ointop#*m
\ointslop#*m
\ointupop#*m
\Omegait#*m
\omegait#*m
\Omegaup#*m
\omegaup#*m
\origof#m
\oturnedcomma{arg}#m
\overbracket{arg}#m
\overparen{arg}#m
\ovhook{arg}#m
\parenex#*m
\parenld#*m
\parenlu#*m
\parenrd#*m
\parenru#*m
\Perp#m
\Phiit#*m
\phiit#*m
\Phiup#*m
\phiup#*m
\Piit#*m
\piit#*m
\Piup#*m
\piup#*m
\preccurlyeq#m
\preceqq#m
\precneq#m
\precneqq#m
\precnsim#m
\precsim#m
\prodop#*m
\prurel#*m
\Psiit#*m
\psiit#*m
\Psiup#*m
\psiup#*m
\QED#m
\qprime#m
\questeq#m
\Question#m
\rBrack#m
\rhd#m
\rhoit#*m
\rhook#*m
\rhoup#*m
\rightangle#m
\rightarrowaccent{arg}#*m
\rightharpoonaccent{arg}#m
\risingdotseq#m
\rsolbar#m
\rtimes#m
\sansLmirrored#m
\sansLturned#m
\Searrow#m
\Sigmait#*m
\sigmait#*m
\Sigmaup#*m
\sigmaup#*m
\simneqq#m
\sinewave#m
\smallcoprod#m
\smalliiiint#m
\smalliiiintsl#*m
\smalliiiintup#*m
\smalliiint#m
\smalliiintsl#*m
\smalliiintup#*m
\smalliint#m
\smalliintsl#*m
\smalliintup#*m
\smallin#m
\smallintsl#*m
\smallintup#*m
\smallni#m
\smalloiint#m
\smalloiintsl#*m
\smalloiintup#*m
\smalloint#m
\smallointsl#*m
\smallointup#*m
\smallprod#m
\smallsetminus#m
\smallsum#m
\smblkcircle#m
\smwhtcircle#*m
\smwhtdiamond#*m
\sphericalangle#m
\sqsubset#m
\sqsubsetneq#m
\sqsupset#m
\sqsupsetneq#m
\square#m
\stareq#m
\subsetneq#m
\succcurlyeq#m
\succeqq#m
\succneq#m
\succneqq#m
\succnsim#m
\succsim#m
\sumop#*m
\supsetneq#m
\Swarrow#m
\tauit#*m
\tauup#*m
\therefore#m
\Thetait#*m
\thetait#*m
\Thetaup#*m
\thetaup#*m
\thickapprox#m
\thicksim#m
\triangledown#m
\trianglelefteq#m
\triangleq#m
\trianglerighteq#m
\trprime#m
\turnediota#m
\underbracket{arg}#m
\underparen{arg}#m
\unicodecdots#m
\unicodeellipsis#m
\unlhd#m
\unrhd#m
\upalpha#m
\upand#m
\upbackepsilon#m
\upbeta#m
\upchi#m
\upDelta#m
\updelta#m
\upepsilon#m
\upeta#m
\upGamma#m
\upgamma#m
\upiota#m
\upkappa#m
\upLambda#m
\uplambda#m
\upmu#m
\upnu#m
\upOmega#m
\upomega#m
\upparenfill#*
\uppartial#m
\uppartial#m
\upPhi#m
\upphi#m
\upPi#m
\uppi#m
\upPsi#m
\uppsi#m
\uprho#m
\upSigma#m
\upsigma#m
\Upsilonit#m
\upsilonit#m
\Upsilonup#m
\upsilonup#m
\uptau#m
\upTheta#m
\uptheta#m
\upUpsilon#m
\upupsilon#m
\upvarepsilon#m
\upvarkappa#m
\upvarphi#m
\upvarpi#m
\upvarrho#m
\upvarsigma#m
\upvartheta#m
\upXi#m
\upxi#m
\upzeta#m
\varepsilonit#*m
\varepsilonup#*m
\varkappa#m
\varkappait#*m
\varkappaup#*m
\varnothing#m
\varphiit#*m
\varphiup#*m
\varpiit#*m
\varpiup#*m
\varrhoit#*m
\varrhoup#*m
\varsigmait#*m
\varsigmaup#*m
\varthetait#*m
\varthetaup#*m
\vartriangleleft#m
\vartriangleright#m
\VDash#m
\vDash#m
\Vdash#m
\vdotsmath#m
\veeeq#m
\vertoverlay#m
\vv{arg}#m
\Vvdash#m
\Vvert#m
\vysmblkcircle#*m
\vysmwhtcircle#*m
\wedgeq#m
\widebar{arg}#m
\widebridgeabove{arg}#m
\widecheck{arg}#m
\xbsol#m
\xbsolop#*m
\Xiit#m
\xiit#m
\Xiup#*m
\xiup#*m
\xsol#m
\xsolop#*m
\Yup#m
\Zbar#m
\zetait#*m
\zetaup#*m

#ifOption:mathsfit
\mathsfit{text%plain}#m
#endif

#ifOption:ISO
\mathbold{text%plain}#m
\vectorsym{arg}#m
\matrixsym{arg}#m
\tensorsym{arg}#m
#endif

\ShowMathFonts#*
\loadsubfile{file}#*
\readsufile{file}#*
