# mdsymbol package
# Matthew Bertucci 2022/05/09 for v0.5

#include:xkeyval
#include:amsmath
#include:textcomp
#include:etoolbox
#include:fltpoint
#include:calc

#keyvals:\usepackage/mdsymbol#c
largedelims#true,false
retainmissing#true,false
scale=%<factor%>
onlysansmath#true,false
normalweight=#light,regular,autolight,autoregular
boldweight=#semibold,bold,autosemibold
#endkeyvals

# text- or math- mode commands
\circledR
\circledS
\dagger
\ddagger
\ddagger
\mathdollar
\mathparagraph
\mathsection
\mathsterling
\yen

# math-mode only commands
\acwcirclearrowdown#m
\acwcirclearrowleft#m
\acwcirclearrowright#m
\acwcirclearrowup#m
\acwgapcirclearrow#m
\acwleftarcarrow#m
\acwnearcarrow#m
\acwnwarcarrow#m
\acwopencirclearrow#m
\acwoverarcarrow#m
\acwrightarcarrow#m
\acwsearcarrow#m
\acwswarcarrow#m
\acwunderarcarrow#m
\adots#m
\approxeq#m
\approxident#m
\arceq#m
\Assert#m
\assert#m
\awint#m
\backcong#m
\backneg#m
\backprime#m
\backpropto#m
\backsim#m
\backsimeq#m
\backsimneqq#m
\barV#m
\Barv#m
\barwedge#m
\bdleftarcarrow#m
\bdnearcarrow#m
\bdnwarcarrow#m
\bdoverarcarrow#m
\bdrightarcarrow#m
\bdsearcarrow#m
\bdswarcarrow#m
\bdunderarcarrow#m
\because#m
\beth#m
\between#m
\bigcapdot#m
\bigcapplus#m
\bigcupdot#m
\bigcupplus#m
\bigcurlyvee#m
\bigcurlywedge#m
\bigdoublevee#m
\bigdoublewedge#m
\bigoast#m
\bigplus#m
\bigsqcap#m
\bigsqcapdot#m
\bigsqcapplus#m
\bigsqcupdot#m
\bigsqcupplus#m
\bigstar#m
\bigtimes#m
\bigveedot#m
\bigwedgedot#m
\blackdiamond#m
\blacklozenge#m
\blacktriangle#m
\blacktriangledown#m
\blacktriangleleft#m
\blacktriangleright#m
\blackwhitespoon#m
\Box#m
\boxbackslash#m
\boxbar#m
\boxbox#m
\boxbslash#m
\boxdiag#m
\boxdot#m
\boxminus#m
\boxplus#m
\boxslash#m
\boxtimes#m
\boxvert#m
\bracemd#*m
\bracemid#*m
\bracemu#*m
\btimes#m
\bumpeq#m
\Bumpeq#m
\bumpeqq#m
\Cap#m
\capdot#m
\capplus#m
\centerdot#m
\checkmark#m
\circeq#m
\circlearrowleft#m
\circlearrowright#m
\circledast#m
\circledcirc#m
\circleddash#m
\circledequal#m
\circledvert#m
\cirmid#m
\closure#m
\Colon#m
\coloneq#m
\coloneqq#m
\complement#m
\conjquant#m
\coprodi#m
\crossing#m
\Cup#m
\cupdot#m
\cupplus#m
\curlyeqprec#m
\curlyeqsucc#m
\curlyvee#m
\curlywedge#m
\curvearrowleft#m
\curvearrowright#m
\cwcirclearrowdown#m
\cwcirclearrowleft#m
\cwcirclearrowright#m
\cwcirclearrowup#m
\cwgapcirclearrow#m
\cwleftarcarrow#m
\cwnearcarrow#m
\cwnwarcarrow#m
\cwopencirclearrow#m
\cwoverarcarrow#m
\cwrightarcarrow#m
\cwsearcarrow#m
\cwswarcarrow#m
\cwunderarcarrow#m
\daleth#m
\dasharrow#m
\dashleftarrow#m
\dashrightarrow#m
\Dashv#m
\dashV#m
\DashV#m
\dashVv#m
\dawint#*m
\dbigcap#*m
\dbigcapdot#*m
\dbigcapplus#*m
\dbigcup#*m
\dbigcupdot#*m
\dbigcupplus#*m
\dbigcurlyvee#*m
\dbigcurlywedge#*m
\dbigdoublevee#*m
\dbigdoublewedge#*m
\dbigoast#*m
\dbigodot#*m
\dbigoplus#*m
\dbigotimes#*m
\dbigplus#*m
\dbigsqcap#*m
\dbigsqcapdot#*m
\dbigsqcapplus#*m
\dbigsqcup#*m
\dbigsqcupdot#*m
\dbigsqcupplus#*m
\dbigtimes#*m
\dbiguplus#*m
\dbigvee#*m
\dbigveedot#*m
\dbigwedge#*m
\dbigwedgedot#*m
\dconjquant#*m
\dcoprod#*m
\dcoprodi#*m
\Ddashv#m
\ddisjquant#*m
\ddotdot#m
\ddotsint#*m
\Ddownarrow#m
\dfint#*m
\diameter#m
\Diamond#m
\diamondbackslash#m
\diamondbslash#m
\diamondcdot#m
\diamonddiamond#m
\diamonddot#m
\diamondminus#m
\diamondplus#m
\diamondslash#m
\diamondtimes#m
\diamondvert#m
\didotsint#*m
\diiiint#*m
\diiint#*m
\diint#*m
\dint#*m
\dintbar#*m
\dintBar#*m
\dintclockwise#*m
\dintctrclockwise#*m
\disjquant#m
\divideontimes#m
\divides#m
\divslash#m
\dlanddownint#*m
\dlandupint#*m
\dlcircleleftint#*m
\dlcirclerightint#*m
\dmodtwosum#*m
\doiiint#*m
\doiint#*m
\doint#*m
\dointclockwise#*m
\dointctrclockwise#*m
\dosum#*m
\dotcong#m
\Doteq#m
\doteqdot#*m
\dotminus#m
\dotplus#m
\dotsint#m
\dotsminusdots#m
\dottimes#m
\doublebarwedge#m
\doublecap#m
\doublecup#m
\doublesqcap#m
\doublesqcup#m
\doublevee#m
\doublewedge#m
\downarrowtail#m
\downassert#m
\downAssert#m
\downbkarrow#m
\downblackspoon#m
\downdownarrows#m
\downharpoonleft#m
\downharpoonright#m
\downlcurvearrow#*m
\downleftcurvedarrow#m
\downlsquigarrow#*m
\downmapsto#m
\Downmapsto#m
\downmodels#m
\downpitchfork#m
\downrcurvearrow#*m
\downrightcurvedarrow#m
\downrsquigarrow#*m
\downspoon#m
\downtherefore#m
\downuparrows#m
\downupcurvearrow#*m
\downupharpoons#m
\downupharpoonsleftright#m
\downupsquigarrow#*m
\downvdash#m
\downvDash#m
\downVdash#m
\downVDash#m
\downwavearrow#m
\downY#m
\downzigzagarrow#m
\dprod#*m
\dprodi#*m
\drcircleleftint#*m
\drcirclerightint#*m
\dsum#*m
\dsumint#*m
\dtimes#m
\dualmap#m
\dvarointclockwise#*m
\dvarointctrclockwise#*m
\eqcirc#m
\eqcolon#m
\eqdot#m
\eqqcolon#m
\eqsim#m
\eqslantgtr#m
\eqslantless#m
\equal#m
\fallingdotseq#m
\fint#m
\Finv#m
\frowneq#m
\frownsmile#m
\Game#m
\geqclosed#m
\geqdot#m
\geqq#m
\geqslant#m
\geqslantdot#m
\geqslcc#m
\gescc#m
\gesdot#m
\gesl#m
\ggg#m
\gggtr#m
\gimel#m
\gnapprox#m
\gneq#m
\gneqq#m
\gnsim#m
\gtcc#m
\gtlpar#m
\gtr#m
\gtrapprox#m
\gtrcc#m
\gtrclosed#m
\gtrdot#m
\gtreqless#m
\gtreqlessslant#*m
\gtreqqless#m
\gtreqslantless#m
\gtrless#m
\gtrsim#m
\gvertneqq#m
\hateq#m
\hdotdot#m
\hdots#m
\hknearrow#m
\hknwarrow#m
\hksearrow#m
\hkswarrow#m
\hookdownarrow#m
\hookdownminus#*m
\hooknearrow#m
\hooknwarrow#m
\hooksearrow#m
\hookswarrow#m
\hookuparrow#m
\hookupminus#*m
\hourglass#m
\hslash#m
\imageof#m
\intbar#m
\intBar#m
\intclockwise#m
\intctrclockwise#m
\intercal#m
\intprod#m
\intprodr#m
\invneg#m
\invnot#m
\Join#m
\lambdabar#m
\lambdaslash#m
\landdownint#m
\landupint#m
\lAngle#m
\langledot#m
\largeblackcircle#m
\largeblacksquare#m
\largeblackstar#m
\largecircle#m
\largesquare#m
\largetriangledown#m
\largetriangleup#m
\largewhitestar#m
\lBrack#m
\lcircleleftint#m
\lcirclerightint#m
\Ldsh#m
\leadsto#m
\leftarrowtail#m
\leftassert#m
\leftAssert#m
\leftbkarrow#m
\leftblackspoon#m
\leftcurvedarrow#m
\leftdowncurvedarrow#m
\leftfootline#m
\leftlcurvearrow#*m
\leftleftarrows#m
\leftlsquigarrow#*m
\leftmapsto#m
\Leftmapsto#m
\leftmodels#m
\leftpitchfork#m
\leftrcurvearrow#*m
\leftrightarrows#m
\leftrightblackspoon#m
\leftrightcurvearrow#*m
\leftrightharpoondownup#m
\leftrightharpoons#m
\leftrightharpoonupdown#m
\leftrightspoon#m
\leftrightsquigarrow#m
\leftrightwavearrow#m
\leftrsquigarrow#*m
\leftspoon#m
\leftsquigarrow#m
\lefttherefore#m
\leftthreetimes#m
\leftupcurvedarrow#m
\leftvdash#m
\leftvDash#m
\leftVdash#m
\leftVDash#m
\leftwavearrow#m
\leftY#m
\leqclosed#m
\leqdot#m
\leqq#m
\leqslant#m
\leqslantdot#m
\leqslcc#m
\lescc#m
\lesdot#m
\lesg#m
\less#m
\lessapprox#m
\lesscc#m
\lessclosed#m
\lessdot#m
\lesseqgtr#m
\lesseqgtrslant#*m
\lesseqqgtr#m
\lesseqslantgtr#m
\lessgtr#m
\lesssim#m
\lgblkcircle#*m
\lgblksquare#m
\lgwhtcircle#m
\lgwhtsquare#m
\lhd#m
\lhookdownarrow#*m
\lhookleftarrow#*m
\lhooknearrow#*m
\lhooknwarrow#*m
\lhookrightarrow#*m
\lhooksearrow#*m
\lhookswarrow#*m
\lhookuparrow#*m
\lightning#m
\lJoin#m
\llcorner#m
\Lleftarrow#m
\lll#m
\llless#m
\lnapprox#m
\lneq#m
\lneqq#m
\lnsim#m
\longdashv#m
\longleadsto#m
\longleftfootline#m
\longleftsquigarrow#m
\longleftwavearrow#m
\longmapsfrom#m
\Longmapsfrom#m
\Longmapsto#m
\longrightfootline#m
\longrightsquigarrow#m
\longrightwavearrow#m
\looparrowleft#m
\looparrowright#m
\lozenge#m
\lozengeminus#m
\lparen#m
\lrcorner#m
\lrtimes#m
\lsem#m
\Lsh#m
\ltcc#m
\ltimes#m
\lvertneqq#m
\lVvert#m
\maltese#m
\mapsdown#m
\Mapsdown#m
\mapsfrom#m
\Mapsfrom#m
\Mapsto#m
\mapsup#m
\Mapsup#m
\mathcolon#m
\mathratio#m
\mathslash#m
\mdblkdiamond#m
\mdblklozenge#m
\mdblksquare#m
\mdlgblkcircle#m
\mdlgblkdiamond#m
\mdlgblklozenge#m
\mdlgblksquare#m
\mdlgwhtcircle#m
\mdlgwhtdiamond#m
\mdlgwhtlozenge#m
\mdlgwhtsquare#m
\mdwhtdiamond#m
\mdwhtlozenge#m
\mdwhtsquare#m
\measuredangle#m
\measuredangleleft#m
\measuredrightangle#m
\measuredrightangledot#m
\medbackslash#m
\medblackcircle#m
\medblackdiamond#m
\medblacklozenge#m
\medblacksquare#m
\medblackstar#m
\medblacktriangledown#m
\medblacktriangleleft#m
\medblacktriangleright#m
\medblacktriangleup#m
\medcircle#m
\meddiamond#m
\medlozenge#m
\medslash#m
\medsquare#m
\medstar#m
\medtriangledown#m
\medtriangleleft#m
\medtriangleright#m
\medtriangleup#m
\medwhitestar#m
\midcir#m
\middlebar{arg}#m
\middleslash{arg}#m
\minus#m
\minusdot#m
\minusfdots#m
\minushookdown#*m
\minushookup#*m
\minusrdots#m
\modtwosum#m
\multimap#m
\multimapinv#m
\nacwcirclearrowdown#m
\nacwcirclearrowleft#m
\nacwcirclearrowright#m
\nacwcirclearrowup#m
\nacwgapcirclearrow#m
\nacwleftarcarrow#m
\nacwnearcarrow#m
\nacwnwarcarrow#m
\nacwopencirclearrow#m
\nacwoverarcarrow#m
\nacwrightarcarrow#m
\nacwsearcarrow#m
\nacwswarcarrow#m
\nacwunderarcarrow#m
\napprox#m
\napproxeq#m
\napproxident#m
\narceq#m
\nassert#m
\nAssert#m
\nasymp#m
\nbackcong#m
\nbacksim#m
\nbacksimeq#m
\nbarV#m
\nBarv#m
\nbdleftarcarrow#m
\nbdnearcarrow#m
\nbdnwarcarrow#m
\nbdoverarcarrow#m
\nbdrightarcarrow#m
\nbdsearcarrow#m
\nbdswarcarrow#m
\nbdunderarcarrow#m
\nblackwhitespoon#m
\nbumpeq#m
\nBumpeq#m
\nbumpeqq#m
\ncirceq#m
\ncirclearrowleft#m
\ncirclearrowright#m
\ncirmid#m
\nclosure#m
\ncong#m
\ncurlyeqprec#m
\ncurlyeqsucc#m
\ncurvearrowleft#m
\ncurvearrowright#m
\ncwcirclearrowdown#m
\ncwcirclearrowleft#m
\ncwcirclearrowright#m
\ncwcirclearrowup#m
\ncwgapcirclearrow#m
\ncwleftarcarrow#m
\ncwnearcarrow#m
\ncwnwarcarrow#m
\ncwopencirclearrow#m
\ncwoverarcarrow#m
\ncwrightarcarrow#m
\ncwsearcarrow#m
\ncwswarcarrow#m
\ncwunderarcarrow#m
\ndasharrow#m
\ndashleftarrow#m
\ndashrightarrow#m
\ndashv#m
\nDashv#m
\ndashV#m
\nDashV#m
\ndashVv#m
\nDdashv#m
\nDdownarrow#m
\ndivides#m
\ndoteq#m
\nDoteq#m
\ndownarrow#m
\nDownarrow#m
\ndownarrowtail#m
\ndownassert#m
\ndownAssert#m
\ndownbkarrow#m
\ndownblackspoon#m
\ndowndownarrows#m
\ndownharpoonleft#m
\ndownharpoonright#m
\ndownlcurvearrow#*m
\ndownleftcurvedarrow#m
\ndownlsquigarrow#*m
\ndownmapsto#m
\nDownmapsto#m
\ndownmodels#m
\ndownpitchfork#m
\ndownrcurvearrow#*m
\ndownrightcurvedarrow#m
\ndownrsquigarrow#*m
\ndownspoon#m
\ndownuparrows#m
\ndownupcurvearrow#*m
\ndownupharpoons#m
\ndownupharpoonsleftright#m
\ndownupsquigarrow#*m
\ndownvdash#m
\ndownvDash#m
\ndownVdash#m
\ndownVDash#m
\ndownwavearrow#m
\ndualmap#m
\Nearrow#m
\nearrowtail#m
\nebkarrow#m
\neharpoonnw#m
\neharpoonse#m
\nelcurvearrow#*m
\nenearrows#m
\neqcirc#m
\neqdot#m
\neqsim#m
\neqslantgtr#m
\neqslantless#m
\nequal#m
\nequiv#m
\nercurvearrow#*m
\neswarrow#m
\Neswarrow#m
\neswarrows#m
\neswcurvearrow#*m
\neswharpoonnwse#m
\neswharpoons#m
\neswharpoonsenw#m
\nexists#m
\nfallingdotseq#m
\nfrown#m
\nfrowneq#m
\nfrownsmile#m
\ngeq#m
\ngeqclosed#m
\ngeqdot#m
\ngeqq#m
\ngeqslant#m
\ngeqslantdot#m
\ngeqslcc#m
\ngescc#m
\ngesdot#m
\ngesl#m
\ngets#m
\ngg#m
\nggg#m
\ngtcc#m
\ngtr#m
\ngtrapprox#m
\ngtrcc#m
\ngtrclosed#m
\ngtrdot#m
\ngtreqless#m
\ngtreqlessslant#*m
\ngtreqqless#m
\ngtreqslantless#m
\ngtrless#m
\ngtrsim#m
\nhateq#m
\nhknearrow#m
\nhknwarrow#m
\nhksearrow#m
\nhkswarrow#m
\nhookdownarrow#m
\nhookleftarrow#m
\nhooknearrow#m
\nhooknwarrow#m
\nhookrightarrow#m
\nhooksearrow#m
\nhookswarrow#m
\nhookuparrow#m
\nimageof#m
\nin#m
\nleadsto#m
\nleftarrow#m
\nLeftarrow#m
\nleftarrowtail#m
\nleftassert#m
\nleftAssert#m
\nleftbkarrow#m
\nleftblackspoon#m
\nleftcurvedarrow#m
\nleftdowncurvedarrow#m
\nleftfootline#m
\nleftharpoondown#m
\nleftharpoonup#m
\nleftlcurvearrow#*m
\nleftleftarrows#m
\nleftlsquigarrow#*m
\nleftmapsto#m
\nLeftmapsto#m
\nleftmodels#m
\nleftpitchfork#m
\nleftrcurvearrow#*m
\nleftrightarrow#m
\nLeftrightarrow#m
\nleftrightarrows#m
\nleftrightblackspoon#m
\nleftrightcurvearrow#*m
\nleftrightharpoondownup#m
\nleftrightharpoons#m
\nleftrightharpoonupdown#m
\nleftrightspoon#m
\nleftrightsquigarrow#m
\nleftrightwavearrow#m
\nleftrsquigarrow#*m
\nleftspoon#m
\nleftsquigarrow#m
\nleftupcurvedarrow#m
\nleftvdash#m
\nleftvDash#m
\nleftVdash#m
\nleftVDash#m
\nleftwavearrow#m
\nleq#m
\nleqclosed#m
\nleqdot#m
\nleqq#m
\nleqslant#m
\nleqslantdot#m
\nleqslcc#m
\nlescc#m
\nlesdot#m
\nlesg#m
\nless#m
\nlessapprox#m
\nlesscc#m
\nlessclosed#m
\nlessdot#m
\nlesseqgtr#m
\nlesseqgtrslant#*m
\nlesseqqgtr#m
\nlesseqslantgtr#m
\nlessgtr#m
\nlesssim#m
\nll#m
\nLleftarrow#m
\nlll#m
\nlongdashv#m
\nlongleadsto#m
\nlongleftarrow#m
\nLongleftarrow#m
\nlongleftfootline#m
\nlongleftrightarrow#m
\nLongleftrightarrow#m
\nlongleftsquigarrow#m
\nlongleftwavearrow#m
\nlongmapsfrom#m
\nLongmapsfrom#m
\nlongmapsto#m
\nLongmapsto#m
\nlongrightarrow#m
\nLongrightarrow#m
\nlongrightfootline#m
\nlongrightsquigarrow#m
\nlongrightwavearrow#m
\nltcc#m
\nmapsdown#m
\nMapsdown#m
\nmapsfrom#m
\nMapsfrom#m
\nmapsto#m
\nMapsto#m
\nmapsup#m
\nMapsup#m
\nmid#m
\nmidcir#m
\nmodels#m
\nmultimap#m
\nmultimapinv#m
\nnearrow#m
\nNearrow#m
\nnearrowtail#m
\nnebkarrow#m
\nneharpoonnw#m
\nneharpoonse#m
\nnelcurvearrow#*m
\nnenearrows#m
\nnercurvearrow#*m
\nneswarrow#m
\nNeswarrow#m
\nneswarrows#m
\nneswcurvearrow#*m
\nneswharpoonnwse#m
\nneswharpoons#m
\nneswharpoonsenw#m
\nni#m
\nnwarrow#m
\nNwarrow#m
\nnwarrowtail#m
\nnwbkarrow#m
\nnwharpoonne#m
\nnwharpoonsw#m
\nnwlcurvearrow#*m
\nnwnwarrows#m
\nnwrcurvearrow#*m
\nnwsearrow#m
\nNwsearrow#m
\nnwsearrows#m
\nnwsecurvearrow#*m
\nnwseharpoonnesw#m
\nnwseharpoons#m
\nnwseharpoonswne#m
\norigof#m
\nowns#m
\nparallel#m
\nperp#m
\npitchfork#m
\nprec#m
\nprecapprox#m
\npreccurlyeq#m
\npreceq#m
\npreceqq#m
\nprecsim#m
\nrestriction#m
\nrightarrow#m
\nRightarrow#m
\nrightarrowtail#m
\nrightassert#m
\nrightAssert#m
\nrightbkarrow#m
\nrightblackspoon#m
\nrightcurvedarrow#m
\nrightdowncurvedarrow#m
\nrightfootline#m
\nrightharpoondown#m
\nrightharpoonup#m
\nrightlcurvearrow#*m
\nrightleftarrows#m
\nrightleftcurvearrow#*m
\nrightleftharpoons#m
\nrightleftsquigarrow#*m
\nrightlsquigarrow#*m
\nrightmapsto#m
\nRightmapsto#m
\nrightmodels#m
\nrightpitchfork#m
\nrightrcurvearrow#*m
\nrightrightarrows#m
\nrightrsquigarrow#*m
\nrightspoon#m
\nrightsquigarrow#m
\nrightupcurvedarrow#m
\nrightvdash#m
\nrightvDash#m
\nrightVdash#m
\nrightVDash#m
\nrightwavearrow#m
\nrisingdotseq#m
\nRrightarrow#m
\nsearrow#m
\nSearrow#m
\nsearrowtail#m
\nsebkarrow#m
\nseharpoonne#m
\nseharpoonsw#m
\nselcurvearrow#*m
\nsenwarrows#m
\nsenwcurvearrow#*m
\nsenwharpoons#m
\nsercurvearrow#*m
\nsesearrows#m
\nshortdowntack#m
\nshortlefttack#m
\nshortmid#m
\nshortparallel#m
\nshortrighttack#m
\nshortuptack#m
\nsim#m
\nsime#m
\nsimeq#m
\nsmile#m
\nsmileeq#m
\nsmilefrown#m
\nsqsubset#m
\nSqsubset#m
\nsqsubseteq#m
\nsqsubseteqq#m
\nsqsupset#m
\nSqsupset#m
\nsqsupseteq#m
\nsqsupseteqq#m
\nstareq#m
\nsubset#m
\nSubset#m
\nsubseteq#m
\nsubseteqq#m
\nsucc#m
\nsuccapprox#m
\nsucccurlyeq#m
\nsucceq#m
\nsucceqq#m
\nsuccsim#m
\nsupset#m
\nSupset#m
\nsupseteq#m
\nsupseteqq#m
\nswarrow#m
\nSwarrow#m
\nswarrowtail#m
\nswbkarrow#m
\nswharpoonnw#m
\nswharpoonse#m
\nswlcurvearrow#*m
\nswnearrows#m
\nswnecurvearrow#*m
\nswneharpoons#m
\nswrcurvearrow#*m
\nswswarrows#m
\nto#m
\ntriangleeq#m
\ntriangleleft#m
\ntrianglelefteq#m
\ntriangleright#m
\ntrianglerighteq#m
\ntriplesim#m
\ntwoheaddownarrow#m
\ntwoheadleftarrow#m
\ntwoheadnearrow#m
\ntwoheadnwarrow#m
\ntwoheadrightarrow#m
\ntwoheadsearrow#m
\ntwoheadswarrow#m
\ntwoheaduparrow#m
\nuparrow#m
\nUparrow#m
\nuparrowtail#m
\nupassert#m
\nupAssert#m
\nupbkarrow#m
\nupblackspoon#m
\nupdownarrow#m
\nUpdownarrow#m
\nupdownarrows#m
\nupdowncurvearrow#*m
\nupdownharpoonleftright#m
\nupdownharpoonrightleft#m
\nupdownharpoons#m
\nupdownharpoonsleftright#m
\nupdownsquigarrow#*m
\nupdownwavearrow#m
\nupharpoonleft#m
\nupharpoonright#m
\nuplcurvearrow#*m
\nupleftcurvedarrow#m
\nuplsquigarrow#*m
\nupmapsto#m
\nUpmapsto#m
\nupmodels#m
\nuppitchfork#m
\nuprcurvearrow#*m
\nuprightcurvearrow#m
\nuprsquigarrow#*m
\nupspoon#m
\nupuparrows#m
\nupvdash#m
\nupvDash#m
\nupVdash#m
\nupVDash#m
\nupwavearrow#m
\nUuparrow#m
\nvardownwavearrow#m
\nvarhookdownarrow#m
\nvarhookleftarrow#m
\nvarhooknearrow#m
\nvarhooknwarrow#m
\nvarhookrightarrow#m
\nvarhooksearrow#m
\nvarhookswarrow#m
\nvarhookuparrow#m
\nvarleftrightwavearrow#m
\nvarleftwavearrow#m
\nvarrightwavearrow#m
\nvarupdownwavearrow#m
\nvarupwavearrow#m
\nVbar#m
\nvBar#m
\nvdash#m
\nvDash#m
\nVdash#m
\nVDash#m
\nvDdash#m
\nveeeq#m
\nvlongdash#m
\nVvdash#m
\Nwarrow#m
\nwarrowtail#m
\nwbkarrow#m
\nwedgeq#m
\nwharpoonne#m
\nwharpoonsw#m
\nwhiteblackspoon#m
\nwlcurvearrow#*m
\nwnwarrows#m
\nwrcurvearrow#*m
\nwsearrow#m
\Nwsearrow#m
\nwsearrows#m
\nwsecurvearrow#*m
\nwseharpoonnesw#m
\nwseharpoons#m
\nwseharpoonswne#m
\oast#m
\obackslash#m
\obslash#m
\ocirc#m
\odash#m
\oequal#m
\oiiint#m
\oiint#m
\ointclockwise#m
\ointctrclockwise#m
\origof#m
\osum#m
\overgroup{arg}#m
\overleftharpoon{arg}#m
\overlinesegment{arg}#m
\overlining{arg}#m
\overrightharpoon{arg}#m
\overt#m
\pitchfork#m
\plusdot#m
\precapprox#m
\preccurlyeq#m
\preceqq#m
\precnapprox#m
\precneq#m
\precneqq#m
\precnsim#m
\precsim#m
\prodi#m
\propfrom#m
\pullback#m
\pushout#m
\rAngle#m
\rangledot#m
\rBrack#m
\rcircleleftint#m
\rcirclerightint#m
\Rdsh#m
\restriction#m
\revangle#m
\revemptyset#m
\revmeasuredangle#m
\revsphericalangle#m
\rhd#m
\rhookdownarrow#*m
\rhookleftarrow#*m
\rhooknearrow#*m
\rhooknwarrow#*m
\rhookrightarrow#*m
\rhooksearrow#*m
\rhookswarrow#*m
\rhookuparrow#*m
\rightangle#m
\rightanglemdot#m
\rightanglesqr#m
\rightanglesquare#m
\rightarrowtail#m
\rightassert#m
\rightAssert#m
\rightbkarrow#m
\rightblackspoon#m
\rightcurvedarrow#m
\rightdowncurvedarrow#m
\rightfootline#m
\rightlcurvearrow#*m
\rightleftarrows#m
\rightleftcurvearrow#*m
\rightleftsquigarrow#*m
\rightlsquigarrow#*m
\rightmapsto#m
\Rightmapsto#m
\rightmodels#m
\rightpitchfork#m
\rightrcurvearrow#*m
\rightrightarrows#m
\rightrsquigarrow#*m
\rightspoon#m
\rightsquigarrow#m
\righttherefore#m
\rightthreetimes#m
\rightupcurvedarrow#m
\rightvdash#m
\rightvDash#m
\rightVdash#m
\rightVDash#m
\rightwavearrow#m
\rightY#m
\risingdotseq#m
\rJoin#m
\rparen#m
\Rrightarrow#m
\rsem#m
\Rsh#m
\rtimes#m
\rVvert#m
\Searrow#m
\searrowtail#m
\sebkarrow#m
\sector#m
\seharpoonne#m
\seharpoonsw#m
\selcurvearrow#*m
\senwarrows#m
\senwcurvearrow#*m
\senwharpoons#m
\sercurvearrow#*m
\sesearrows#m
\shortdowntack#m
\shortlefttack#m
\shortmid#m
\shortparallel#m
\shortrighttack#m
\shortuptack#m
\simneqq#m
\smallblackcircle#m
\smallblackdiamond#m
\smallblacklozenge#m
\smallblacksquare#m
\smallblackstar#m
\smallblacktriangledown#m
\smallblacktriangleleft#m
\smallblacktriangleright#m
\smallblacktriangleup#m
\smallcircle#m
\smallcoprod#m
\smallcoprodi#m
\smalldiamond#m
\smalldivslash#m
\smallfrown#m
\smalllozenge#m
\smallprod#m
\smallprodi#m
\smallsetminus#m
\smallsmile#m
\smallsquare#m
\smalltriangledown#m
\smalltriangleleft#m
\smalltriangleright#m
\smalltriangleup#m
\smallwhitestar#m
\smblkcircle#m
\smblkdiamond#m
\smblklozenge#m
\smblksquare#m
\smileeq#m
\smilefrown#m
\smwhitestar#m
\smwhtcircle#m
\smwhtdiamond#m
\smwhtlozenge#m
\smwhtsquare#m
\sphericalangle#m
\sphericalangledown#m
\sphericalangleleft#m
\sphericalangleup#m
\Sqcap#m
\sqcapdot#m
\sqcapplus#m
\Sqcup#m
\sqcupdot#m
\sqcupplus#m
\sqsubset#m
\Sqsubset#m
\sqsubseteqq#m
\sqsubsetneq#m
\sqsubsetneqq#m
\sqsupset#m
\Sqsupset#m
\sqsupseteqq#m
\sqsupsetneq#m
\sqsupsetneqq#m
\square#m
\squaredots#m
\stareq#m
\starofdavid#m
\strokethrough{arg}#m
\Subset#m
\subseteqq#m
\subsetneq#m
\subsetneqq#m
\succapprox#m
\succcurlyeq#m
\succeqq#m
\succnapprox#m
\succneq#m
\succneqq#m
\succnsim#m
\succsim#m
\sumint#m
\Supset#m
\supseteqq#m
\supsetneq#m
\supsetneqq#m
\Swarrow#m
\swarrowtail#m
\swbkarrow#m
\swharpoonnw#m
\swharpoonse#m
\swlcurvearrow#*m
\swnearrows#m
\swnecurvearrow#*m
\swneharpoons#m
\swrcurvearrow#*m
\swswarrows#m
\tawint#*m
\tbigcap#*m
\tbigcapdot#*m
\tbigcapplus#*m
\tbigcup#*m
\tbigcupdot#*m
\tbigcupplus#*m
\tbigcurlyvee#*m
\tbigcurlywedge#*m
\tbigdoublevee#*m
\tbigdoublewedge#*m
\tbigoast#*m
\tbigodot#*m
\tbigoplus#*m
\tbigotimes#*m
\tbigplus#*m
\tbigsqcap#*m
\tbigsqcapdot#*m
\tbigsqcapplus#*m
\tbigsqcup#*m
\tbigsqcupdot#*m
\tbigsqcupplus#*m
\tbigtimes#*m
\tbiguplus#*m
\tbigvee#*m
\tbigveedot#*m
\tbigwedge#*m
\tbigwedgedot#*m
\tconjquant#*m
\tcoprod#*m
\tcoprodi#*m
\tdisjquant#*m
\tdotsint#*m
\tfint#*m
\therefore#m
\thickapprox#m
\thicksim#m
\tidotsint#*m
\tiiiint#*m
\tiiint#*m
\tiint#*m
\timesbar#m
\tint#*m
\tintbar#*m
\tintBar#*m
\tintclockwise#*m
\tintctrclockwise#*m
\tlanddownint#*m
\tlandupint#*m
\tlcircleleftint#*m
\tlcirclerightint#*m
\tmodtwosum#*m
\toiiint#*m
\toiint#*m
\toint#*m
\tointclockwise#*m
\tointctrclockwise#*m
\tosum#*m
\tprod#*m
\tprodi#*m
\trcircleleftint#*m
\trcirclerightint#*m
\triangledown#m
\triangleeq#m
\trianglelefteq#m
\triangleq#m
\trianglerighteq#m
\triplesim#m
\tsum#*m
\tsumint#*m
\ttimes#m
\turnedbackneg#m
\turnedneg#m
\turnednot#m
\tvarointclockwise#*m
\tvarointctrclockwise#*m
\twoheaddownarrow#m
\twoheadleftarrow#m
\twoheadnearrow#m
\twoheadnwarrow#m
\twoheadrightarrow#m
\twoheadsearrow#m
\twoheadswarrow#m
\twoheaduparrow#m
\udotdot#m
\udots#m
\ulcorner#m
\ullcorner#m
\ulrcorner#m
\undergroup{arg}#m
\underlinesegment{arg}#m
\unlhd#m
\unrhd#m
\uparrowtail#m
\upassert#m
\upAssert#m
\upbkarrow#m
\upblackspoon#m
\upbowtie#m
\updownarrows#m
\updowncurvearrow#*m
\updownharpoonleftright#m
\updownharpoonrightleft#m
\updownharpoons#m
\updownharpoonsleftright#m
\updownsquigarrow#*m
\updownwavearrow#m
\upharpoonleft#m
\upharpoonright#m
\uplcurvearrow#*m
\upleftcurvedarrow#m
\uplsquigarrow#*m
\upmapsto#m
\Upmapsto#m
\upmodels#m
\uppitchfork#m
\uprcurvearrow#*m
\uprightcurvearrow#m
\uprsquigarrow#*m
\upspoon#m
\uptherefore#m
\upuparrows#m
\upvdash#m
\upvDash#m
\upVdash#m
\upVDash#m
\upwavearrow#m
\upY#m
\urcorner#m
\utimes#m
\Uuparrow#m
\vardiamondsuit#m
\vardownwavearrow#m
\varheartsuit#m
\varhookdownarrow#m
\varhookleftarrow#m
\varhooknearrow#m
\varhooknwarrow#m
\varhookrightarrow#m
\varhooksearrow#m
\varhookswarrow#m
\varhookuparrow#m
\varleftrightwavearrow#m
\varleftwavearrow#m
\varnothing#m
\varointclockwise#m
\varointctrclockwise#m
\varpropto#m
\varrightwavearrow#m
\varsubsetneq#m
\varsubsetneqq#m
\varsupsetneq#m
\varsupsetneqq#m
\vartriangle#m
\vartriangleleft#m
\vartriangleright#m
\varupdownwavearrow#m
\varupwavearrow#m
\Vbar#m
\vBar#m
\vDash#m
\Vdash#m
\VDash#m
\vDdash#m
\vdotdot#m
\veebar#m
\veedot#m
\veedoublebar#m
\veeeq#m
\veeonvee#m
\vlongdash#m
\Vvdash#m
\Vvert#m
\Vvert#m
\wedgedot#m
\wedgeonwedge#m
\wedgeq#m
\whiteblackspoon#m
\wideparen{arg}#m
\wreath#m

\ifmathversionsans#*
\overliningbox#*

#keyvals:\mathversion#c
sans
sansbold
sanstabular
sansboldtabular
#endkeyvals
