# skak package
# Matthew Bertucci 2022/05/21 for v1.5.3

#include:chessfss
#include:lambda
#include:ifthen
#include:calc
#include:textcomp

#keyvals:\usepackage/skak#c
tiny
small
normal
large
notation
mover
moveroff
notationoff
ps
psoff
english
styleA
styleB
styleC
#endkeyvals

#ifOption:ps
#include:pstricks
#include:pst-node
#endif

\newgame
\mainline{moves}
\variation{moves}
\showboard
\hidemoves{moves}
\storegame{name}
\restoregame{name}
\savegame{name}
\loadgame{name}
\notationon
\notationoff
\notationOn#S
\notationOff#S
\showinverseboard
\wmove{move}
\bmove{move}
\lastmove{move}
\showonlywhite
\showonlyblack
\showonly{piece1,piece2,...}
\showallbut{piece1,piece2,...}
\fenboard{instructions}
\styleA
\styleB
\styleC
\variationstyle
\mainlinestyle
\longmoves
\shortmoves
\newskaklanguage{language}{pieces}
\skaklanguage[language]
\boardasfen
\EnPassantSquare#*
\variationcurrent#*
\continuevariation#*
\continuevariationcurrent#*
\tinyboard
\smallboard
\normalboard
\largeboard
\movecomment{moves}
\showall
\showonlypawns
\showmoveron
\showmoveroff
\showmoverOn#S
\showmoverOff#S
\printarrow{from}{to}
\highlight{square list}
\highlight[marker]{square list}
\printknightmove{from}{to}

# not documented
\afterblack#S
\AfterBlack#S
\aftergrouplength#S
\afterwhite#S
\AfterWhite#S
\Apply{arg1}{arg2}#S
\arga#S
\argb#S
\BackwardDirection{arg1}#S
\beforeblack#S
\beforenumber#S
\beforewhite#S
\BlackCastling#S
\BlackKingSquare#S
\blackopen#S
\BlackPiece{arg1}#S
\BlackSquarePiece{arg1}#S
\BoolToString{arg1}#S
\Capture#S
\CastleDone{arg1}#S
\CastleKingFile{arg1}#S
\CastleRookFromFile{arg1}#S
\CastleRookToFile{arg1}#S
\Castling#S
\CheckTest#S
\closecommands#S
\currentlanguage#S
\currentstyle#S
\DoTheMove{arg1}#S
\DoTheMoveList{arg1}#S
\EatNumber{arg1}#S
\EatNumberA(arg1)#S
\EmptyBoard#S
\EqPiece{arg1}{arg2}#S
\EqSquare{arg1}{arg2}#S
\EqStr{arg1}{arg2}#S
\ExecuteCastling#S
\ExecuteKingMove#S
\ExecuteMoves#S
\ExecutePawnMove#S
\ExecutePieceMove#S
\ExpectedColour#S
\Explode{arg1}#S
\ExplodeA{arg1}{arg2}#S
\ExtractBlackCastling{arg1}#S
\ExtractBlackCastlingA(arg1)#S
\ExtractWhiteCastling{arg1}#S
\ExtractWhiteCastlingA(arg1)#S
\FenBoard#S
\FenConvert{arg1}#S
\FF{arg1}{arg2}#S
\File{arg1}#S
\FileDiscriminator#S
\FileNames#S
\FileOf(arg)#S
\FilterShowOnly{arg1}#S
\FindPieceSquares{arg1}{arg2}#S
\FirstChar(arg1)#S
\FirstRank{arg1}#S
\ForwardDirection{arg1}#S
\FromRank#S
\Get{arg1}#S
\GetBool{arg1}#S
\GetNeighbour{arg1}{arg2}#S
\Glue{arg1}{arg2}#S
\HandleMove(arg1)#S
\InitBoard(arg1)#S
\InitialRank#S
\InitRank{arg1}{arg2}{arg3}{arg4}{arg5}{arg6}{arg7}{arg8}{arg9}#S
\IsBishopQueen{arg1}{arg2}#S
\IsCapture{arg1}#S
\IsDash{arg1}#S
\IsFile{arg1}#S
\IsNil{arg1}#S
\IsO{arg1}#S
\IsPieceName{arg1}#S
\IsPromotion{arg1}#S
\IsRank{arg1}#S
\IsRightPiece{arg1}{arg2}#S
\IsRookQueen{arg1}{arg2}#S
\KingSquare{arg1}#S
\KnightSquares{arg1}#S
\LambdaAnd#S
\LastCharWasCastle#S
\LastMoveString#S
\leavestylec#S
\LeftDirection{arg1}#S
\LegalMove{arg1}#S
\LongCastling#S
\LookFor{arg1}{arg2}{arg3}#S
\LookForA{arg1}{arg2}{arg3}#S
\LookForMove(arg1)#S
\Mainline(arg1)#S
\MakeMove{arg1}#S
\MakeMoveMainline{arg1}#S
\MakeMoveMainline{arg1}#S
\MateTest#S
\Member{arg1}{arg2}{arg3}#S
\MemberA{arg1}{arg2}{arg3}{arg4}#S
\MoveFrom#S
\movehyphen#S
\MoveRest#S
\MoveTo#S
\MoveToFile#S
\MoveToRank#S
\movewhite#S
\MyEqual{arg1}{arg2}#S
\MyEqualB{arg1}{arg2}{arg3}{arg4}#S
\MyFirst(arg)#S
\myrestore{arg}#S
\myrightfile{arg1}{arg2}#S
\MySecond(arg)#S
\mystore{arg}#S
\next#S
\NoEnemiesFound#S
\normalstyles#S
\NotMember{arg1}{arg2}#S
\NumberNext#S
\oldpiece#S
\opencommands#S
\pap#S
\ParseCastling(arg1)#S
\ParseCastlingA(arg1)#S
\ParseCoordinates(arg1)#S
\ParseFenRank{arg1}#S
\ParseFenRankA(arg1)#S
\ParseMove{arg1}#S
\ParseMoveA(arg1)#S
\ParseMoveInit#S
\PawnFrom#S
\PieceNames#S
\PieceNameToMove#S
\PieceNameToPiece{arg1}{arg2}#S
\PieceToFen{arg1}#S
\PieceToMove#S
\PrintCastling#S
\printfileangle{arg1}{arg2}#S
\printmove#S
\PrintMoves#S
\printrankangle{arg1}{arg2}#S
\Promotion#S
\PromotionPieceName#S
\Rank{arg1}#S
\RankDiscriminator#S
\ranklift#S
\RankNames#S
\RankOf(arg)#S
\RemoveLongCastling#S
\RemoveShortCastling#S
\RestChars(arg1)#S
\RightDirection{arg1}#S
\RightFile(arg1)#S
\RightRank(arg1)#S
\runmoves{arg1}#S
\ScanDirections{arg1}{arg2}{arg3}#S
\Set{arg1}{arg2}#S
\SetCheckKing{arg1}{arg2}#S
\SetDownLeftNeighbour{arg1}{arg2}{arg3}#S
\SetDownNeighbour{arg1}{arg2}{arg3}#S
\SetDownRightNeighbour{arg1}{arg2}{arg3}#S
\SetKingSquare{arg1}{arg2}#S
\SetKnightSquares{arg1}{arg2}#S
\SetLeftNeighbour{arg1}{arg2}{arg3}#S
\SetNeighbour{arg1}{arg2}{arg3}#S
\SetRank{arg1}{arg2}#S
\SetRightNeighbour{arg1}{arg2}{arg3}#S
\setupboard{arg1}{arg2}#S
\SetUpLeftNeighbour{arg1}{arg2}{arg3}#S
\SetUpNeighbour{arg1}{arg2}{arg3}#S
\SetUpRightNeighbour{arg1}{arg2}{arg3}#S
\Showchar{arg1}#S
\Showfile{arg1}#S
\Showfiles#S
\ShowMover#S
\ShowMoverBlackInverse#S
\ShowMoverBlackNormal#S
\ShowMoverWhiteInverse#S
\ShowMoverWhiteNormal#S
\ShowOnlyList#S
\ShowParseInfo#S
\Showrank{arg1}#S
\ShowrankInverse{arg1}#S
\ShowrankInverseWithNumber{arg1}#S
\ShowrankNumber{arg1}#S
\ShowrankWithNumber{arg1}#S
\showskaklanguage#S
\Sideeffect{arg1}{arg2}{arg3}#S
\skakstore#S
\squarelength#S
\squarelength#S
\StoreBool{arg1}{arg2}#S
\StoreLastMove#S
\StringToTokens{arg1}#S
\StripMove(arg1)#S
\StrToTokens(arg1)#S
\tempCastling#S
\TeXifx{arg1}{arg2}{arg3}#S
\thefileFrom#S
\thefileTo#S
\thehalfmove#S
\thehelpgobble#S
\thehelpnumber#S
\thehelpnumberMove#S
\themove#S
\therankFrom#S
\therankTo#S
\tmpCastling#S
\ToggleWhiteSquare#S
\trimhelp#S
\TrimMoveList{arg1}#S
\TypeSetAfterBlack#S
\TypeSetAfterWhite#S
\TypeSetColour#S
\TypeSetNumberNext#S
\UndoMove{arg1}#S
\UniqueMove#S
\UpdateCastling#S
\WhiteCastling#S
\WhiteKingSquare#S
\whiteopen#S
\WhiteSquare#S
\WhiteSquarePiece#S
\WhiteToMove{arg1}{arg2}#S
