# stex package
# Matthew Bertucci 2022/07/30 for v3.1.0

#include:expl3
#include:l3keys2e
#include:ltxcmds
#include:standalone
#include:stex-logo
#include:babel
#include:stex-tikzinput

#keyvals:\usepackage/stex#c
lang=%<language%>
mathhub=%<directory%>
writesms#true,false
usems#true,false
image#true,false
debug=%<log-prefix%>
#endkeyvals

\mhinput{file}#i
\mhinput[archive]{file}#i
\inputref{file}#i
\inputref[archive]{file}#i
\ifinputref
\inputreftrue#S
\inputreffalse#S
\addmhbibresource{bib file}
\addmhbibresource[archive]{bib file}
\libinput{file}#i
\libusepackage{package}#u
\libusepackage[options]{package}#u

\begin{smodule}{module}
\begin{smodule}[options%keyvals]{module}
\end{smodule}

#keyvals:\begin{smodule}
title={%<text%>}
type=%<string%>
deprecate=%<module%>
id=%<string%>
ns=%<URI%>
lang=%<language%>
sig=%<language%>
creators=%<names%>
contributors=%<names%>
srccite=%<source citation%>
#endkeyvals

\stexpatchmodule{begin-code}{end-code}
\stexpatchmodule[type]{begin-code}{end-code}
\symdecl{name}
\symdecl{name}[options]
\symdecl*{name}
\symdecl*{name}[options]
\notation{name}{definition}
\notation{name}[options]{definition}
\comp{component}
\symdef{name}{definition}
\symdef{name}[options]{definition}
\setnotation{name}{id}
\textsymdecl{name}{definition}
\textsymdecl{name}[options]{definition}
\infprec
\neginfprec
\svar{TeX-code}
\svar[name]{TeX-code}
\vardef{name}{definition}
\vardef{name}[options]{definition}
\varseq{name}{start-index}{end-index}{definition}
\varseq{name}[options]{start-index}{end-index}{definition}

\importmodule{module}
\importmodule[archive]{module}
\usemodule{module}
\usemodule[archive]{module}
\STEXexport{code}
\begin{mathstructure}{name}
\end{mathstructure}
\instantiate{name}{mathstructure}{definition}
\instantiate{name}{mathstructure}{definition}[options]
\varinstantiate{name}{mathstructure}{definition}
\varinstantiate{name}{mathstructure}{definition}[options]
\begin{copymodule}{arg1}{arg2}
\end{copymodule}
\begin{interpretmodule}{arg1}{arg2}
\end{interpretmodule}
\assign{arg1}{arg2}

\symref{name}{code}
\symname{name}
\symname[options%keyvals]{name}
\Symname{name}
\Symname[options%keyvals]{name}

#keyvals:\symname,\Symname
pre=
post=
#endkeyvals

\arg{code}
\arg[i]{code}
\arg*{code}
\arg*[i]{code}

\begin{sdefinition}
\begin{sdefinition}[options]
\end{sdefinition}
\begin{sassertion}
\begin{sassertion}[options]
\end{sassertion}
\begin{sexample}
\begin{sexample}[options]
\end{sexample}
\begin{sparagraph}
\begin{sparagraph}[options]
\end{sparagraph}
\definiendum{name}{code}
\definame{name}
\definame[options]{name}
\Definame{name}
\Definame[options]{name}
\definiens{code}
\definiens[name]{code}

\begin{sproof}
\begin{sproof}[options]
\end{sproof}
\spfidea{text}
\spfidea[options]{text}
\spfsketch{text}
\spfsketch[options]{text}
\begin{spfstep}
\begin{spfstep}[options]
\end{spfstep}
\spfjust{text}
\spfjust[options]{text}
\premise{text}
\justarg{text}
\justarg[options]{text}
\begin{subproof}{text}
\begin{subproof}[options]{text}
\end{subproof}
\begin{spfcases}{text}
\begin{spfcases}[options]{text}
\end{spfcases}
\begin{spfcase}{text}
\begin{spfcase}[options]{text}
\end{spfcase}
\spfcasesketch{text1}{text2}
\spfcasesketch[options]{text1}{text2}
\begin{spfcomment}
\begin{spfcomment}[options]
\end{spfcomment}
\sproofend

\stexpatchdefinition{begin-code}{end-code}
\stexpatchdefinition[type]{begin-code}{end-code}
\stexpatchassertion{begin-code}{end-code}
\stexpatchassertion[type]{begin-code}{end-code}
\stexpatchexample{begin-code}{end-code}
\stexpatchexample[type]{begin-code}{end-code}
\stexpatchparagraph{begin-code}{end-code}
\stexpatchparagraph[type]{begin-code}{end-code}
\stexpatchproof{begin-code}{end-code}
\stexpatchproof[type]{begin-code}{end-code}

\compemph{text}#*
\varemph{text}#*
\symrefemph{text}#*
\defemph{text}#*

\ellipses

# not documented
\MMTinclude{arg1}#S
\MMTrule{arg1}{arg2}#S
\MSC{arg1}#S
\STEXInternalCurrentSymbolStr#S
\STEXModule{arg1}#S
\STEXreftitle{arg1}#S
\STEXsymbol{arg1}#S
\STEXtitle#S
\begin{realization}[optarg1]{arg2}#S
\begin{realization}{arg1}#S
\end{realization}#S
\begin{spfeq}#S
\end{spfeq}#S
\clstinputmhlisting{arg1}{arg2}#S
\cmhgraphics{arg1}{arg2}#S
\conclusion{arg1}#S
\copynotation{arg1}{arg2}#S
\donotcopy{arg1}#S
\ignorespacesandpars#S
\inlineass[optarg1]{arg2}#S
\inlineass{arg1}#S
\inlinedef[optarg1]{arg2}#S
\inlinedef{arg1}#S
\inlineex[optarg1]{arg2}#S
\inlineex{arg1}#S
\inlinepara[optarg1]{arg2}#S
\inlinepara{arg1}#S
\livar#S
\lstinputmhlisting{arg1}{arg2}#S
\maybephline#S
\mhgraphics{arg1}{arg2}#S
\mhpath{arg1}{arg2}#S
\nappli{arg1}{arg2}{arg3}{arg4}#S
\nappui{arg1}{arg2}{arg3}{arg4}#S
\naseqli{arg1}{arg2}{arg3}#S
\nasequi{arg1}{arg2}{arg3}#S
\parraycell{arg1}#S
\parraylineh{arg1}{arg2}#S
\parrayline{arg1}{arg2}#S
\parray{arg1}{arg2}#S
\pmrow{arg1}#S
\prmatrix{arg1}#S
\renamedecl[optarg1]{arg2}{arg3}#S
\renamedecl{arg1}{arg2}#S
\sref[optarg1]{arg2}#S
\srefsym[optarg1]{arg2}#S
\srefsym{arg1}#S
\sref{arg1}#S
\stexauxadddocref{arg1}{arg2}#S
\stexpatchspfeq{arg1}{arg2}{arg3}#S
\synonym[optarg1]{arg2}{arg3}#S
\synonym{arg1}{arg2}#S
\titleemph{arg1}#S
\uivar#S
\varbindforall{arg1}#S