# tikz-uml package
# Matthew Bertucci 2022/08/03 for v1.0

#include:ifthen
#include:tikz
# loads backgrounds, arrows, shapes, fit, shadows, and decorations.markings tikzlibraries
#include:xstring
#include:calc
#include:pgfopts

### << Class diagrams >> ###

## Packages, classes, attributes and operations ##
\begin{umlpackage}{package-name}
\begin{umlpackage}[options%keyvals]{package-name}
\end{umlpackage}
\umlemptypackage{package-name}
\umlemptypackage[options%keyvals]{package-name}
\umlclass{class-name}{attributes}{operations}
\umlclass[options%keyvals]{class-name}{attributes}{operations}
\umlstatic{text%plain}
\umlvirt{text%plain}
\umlemptyclass{class-name}
\umlemptyclass[options%keyvals]{class-name}
\umlsimpleclass{class-name}
\umlsimpleclass[options%keyvals]{class-name}
\umlabstract{class-name}{attributes}{operations}
\umlabstract[options%keyvals]{class-name}{attributes}{operations}
\umltypedef{class-name}{attributes}{operations}
\umltypedef[options%keyvals]{class-name}{attributes}{operations}
\umlenum{class-name}{attributes}{operations}
\umlenum[options%keyvals]{class-name}{attributes}{operations}
\umlinterface{class-name}{attributes}{operations}
\umlinterface[options%keyvals]{class-name}{attributes}{operations}
\umlsimpleinterface{interface-name}
\umlsimpleinterface[options%keyvals]{interface-name}

## To define a relation between classes ##
\umldep{source-class}{target-class}
\umldep[options%keyvals]{source-class}{target-class}
\umlassoc{source-class}{target-class}
\umlassoc[options%keyvals]{source-class}{target-class}
\umluniassoc{source-class}{target-class}
\umluniassoc[options%keyvals]{source-class}{target-class}
\umlbiassoc{source-class}{target-class}
\umlbiassoc[options%keyvals]{source-class}{target-class}
\umlaggreg{source-class}{target-class}
\umlaggreg[options%keyvals]{source-class}{target-class}
\umluniaggreg{source-class}{target-class}
\umluniaggreg[options%keyvals]{source-class}{target-class}
\umlcompo{source-class}{target-class}
\umlcompo[options%keyvals]{source-class}{target-class}
\umlunicompo{source-class}{target-class}
\umlunicompo[options%keyvals]{source-class}{target-class}
\umlimport{source-class}{target-class}
\umlimport[options%keyvals]{source-class}{target-class}
\umlinherit{source-class}{target-class}
\umlinherit[options%keyvals]{source-class}{target-class}
\umlimpl{source-class}{target-class}
\umlimpl[options%keyvals]{source-class}{target-class}
\umlnest{source-class}{target-class}
\umlnest[options%keyvals]{source-class}{target-class}
\umlreal{source-class}{target-class}
\umlreal[options%keyvals]{source-class}{target-class}
\umlHVinherit{source-class}{target-class}
\umlHVinherit[options%keyvals]{source-class}{target-class}
\umlHVimpl{source-class}{target-class}
\umlHVimpl[options%keyvals]{source-class}{target-class}
\umlHVreal{source-class}{target-class}
\umlHVreal[options%keyvals]{source-class}{target-class}
\umlHVassoc{source-class}{target-class}
\umlHVassoc[options%keyvals]{source-class}{target-class}
\umlHVuniassoc{source-class}{target-class}
\umlHVuniassoc[options%keyvals]{source-class}{target-class}
\umlHVaggreg{source-class}{target-class}
\umlHVaggreg[options%keyvals]{source-class}{target-class}
\umlHVuniaggreg{source-class}{target-class}
\umlHVuniaggreg[options%keyvals]{source-class}{target-class}
\umlHVcompo{source-class}{target-class}
\umlHVcompo[options%keyvals]{source-class}{target-class}
\umlHVunicompo{source-class}{target-class}
\umlHVunicompo[options%keyvals]{source-class}{target-class}
\umlHVimport{source-class}{target-class}
\umlHVimport[options%keyvals]{source-class}{target-class}
\umlHVnest{source-class}{target-class}
\umlHVnest[options%keyvals]{source-class}{target-class}
\umlHVdep{source-class}{target-class}
\umlHVdep[options%keyvals]{source-class}{target-class}
\umlVHinherit{source-class}{target-class}
\umlVHinherit[options%keyvals]{source-class}{target-class}
\umlVHimpl{source-class}{target-class}
\umlVHimpl[options%keyvals]{source-class}{target-class}
\umlVHreal{source-class}{target-class}
\umlVHreal[options%keyvals]{source-class}{target-class}
\umlVHassoc{source-class}{target-class}
\umlVHassoc[options%keyvals]{source-class}{target-class}
\umlVHuniassoc{source-class}{target-class}
\umlVHuniassoc[options%keyvals]{source-class}{target-class}
\umlVHaggreg{source-class}{target-class}
\umlVHaggreg[options%keyvals]{source-class}{target-class}
\umlVHuniaggreg{source-class}{target-class}
\umlVHuniaggreg[options%keyvals]{source-class}{target-class}
\umlVHcompo{source-class}{target-class}
\umlVHcompo[options%keyvals]{source-class}{target-class}
\umlVHunicompo{source-class}{target-class}
\umlVHunicompo[options%keyvals]{source-class}{target-class}
\umlVHimport{source-class}{target-class}
\umlVHimport[options%keyvals]{source-class}{target-class}
\umlVHnest{source-class}{target-class}
\umlVHnest[options%keyvals]{source-class}{target-class}
\umlVHdep{source-class}{target-class}
\umlVHdep[options%keyvals]{source-class}{target-class}
\umlHVHinherit{source-class}{target-class}
\umlHVHinherit[options%keyvals]{source-class}{target-class}
\umlHVHimpl{source-class}{target-class}
\umlHVHimpl[options%keyvals]{source-class}{target-class}
\umlHVHreal{source-class}{target-class}
\umlHVHreal[options%keyvals]{source-class}{target-class}
\umlHVHassoc{source-class}{target-class}
\umlHVHassoc[options%keyvals]{source-class}{target-class}
\umlHVHuniassoc{source-class}{target-class}
\umlHVHuniassoc[options%keyvals]{source-class}{target-class}
\umlHVHaggreg{source-class}{target-class}
\umlHVHaggreg[options%keyvals]{source-class}{target-class}
\umlHVHuniaggreg{source-class}{target-class}
\umlHVHuniaggreg[options%keyvals]{source-class}{target-class}
\umlHVHcompo{source-class}{target-class}
\umlHVHcompo[options%keyvals]{source-class}{target-class}
\umlHVHunicompo{source-class}{target-class}
\umlHVHunicompo[options%keyvals]{source-class}{target-class}
\umlHVHimport{source-class}{target-class}
\umlHVHimport[options%keyvals]{source-class}{target-class}
\umlHVHnest{source-class}{target-class}
\umlHVHnest[options%keyvals]{source-class}{target-class}
\umlHVHdep{source-class}{target-class}
\umlHVHdep[options%keyvals]{source-class}{target-class}
\umlVHVinherit{source-class}{target-class}
\umlVHVinherit[options%keyvals]{source-class}{target-class}
\umlVHVimpl{source-class}{target-class}
\umlVHVimpl[options%keyvals]{source-class}{target-class}
\umlVHVreal{source-class}{target-class}
\umlVHVreal[options%keyvals]{source-class}{target-class}
\umlVHVassoc{source-class}{target-class}
\umlVHVassoc[options%keyvals]{source-class}{target-class}
\umlVHVuniassoc{source-class}{target-class}
\umlVHVuniassoc[options%keyvals]{source-class}{target-class}
\umlVHVaggreg{source-class}{target-class}
\umlVHVaggreg[options%keyvals]{source-class}{target-class}
\umlVHVuniaggreg{source-class}{target-class}
\umlVHVuniaggreg[options%keyvals]{source-class}{target-class}
\umlVHVcompo{source-class}{target-class}
\umlVHVcompo[options%keyvals]{source-class}{target-class}
\umlVHVunicompo{source-class}{target-class}
\umlVHVunicompo[options%keyvals]{source-class}{target-class}
\umlVHVimport{source-class}{target-class}
\umlVHVimport[options%keyvals]{source-class}{target-class}
\umlVHVnest{source-class}{target-class}
\umlVHVnest[options%keyvals]{source-class}{target-class}
\umlVHVdep{source-class}{target-class}
\umlVHVdep[options%keyvals]{source-class}{target-class}
\umlrelation{source-class}{target-class}
\umlrelation[options%keyvals]{source-class}{target-class}
\umlHVrelation{source-class}{target-class}
\umlHVrelation[options%keyvals]{source-class}{target-class}
\umlVHrelation{source-class}{target-class}
\umlVHrelation[options%keyvals]{source-class}{target-class}
\umlHVHrelation{source-class}{target-class}
\umlHVHrelation[options%keyvals]{source-class}{target-class}
\umlVHVrelation{source-class}{target-class}
\umlVHVrelation[options%keyvals]{source-class}{target-class}
\umlCNrelation{source-class}{control-node}{target-class}
\umlCNrelation[options%keyvals]{source-class}{control-node}{target-class}
\umlCNinherit{source-class}{control-node}{target-class}
\umlCNinherit[options%keyvals]{source-class}{control-node}{target-class}
\umlCNimpl{source-class}{control-node}{target-class}
\umlCNimpl[options%keyvals]{source-class}{control-node}{target-class}
\umlCNreal{source-class}{control-node}{target-class}
\umlCNreal[options%keyvals]{source-class}{control-node}{target-class}
\umlCNassoc{source-class}{control-node}{target-class}
\umlCNassoc[options%keyvals]{source-class}{control-node}{target-class}
\umlCNuniassoc{source-class}{control-node}{target-class}
\umlCNuniassoc[options%keyvals]{source-class}{control-node}{target-class}
\umlCNaggreg{source-class}{control-node}{target-class}
\umlCNaggreg[options%keyvals]{source-class}{control-node}{target-class}
\umlCNuniaggreg{source-class}{control-node}{target-class}
\umlCNuniaggreg[options%keyvals]{source-class}{control-node}{target-class}
\umlCNcompo{source-class}{control-node}{target-class}
\umlCNcompo[options%keyvals]{source-class}{control-node}{target-class}
\umlCNunicompo{source-class}{control-node}{target-class}
\umlCNunicompo[options%keyvals]{source-class}{control-node}{target-class}
\umlCNimport{source-class}{control-node}{target-class}
\umlCNimport[options%keyvals]{source-class}{control-node}{target-class}
\umlCNnest{source-class}{control-node}{target-class}
\umlCNnest[options%keyvals]{source-class}{control-node}{target-class}
\umlCNdep{source-class}{control-node}{target-class}
\umlCNdep[options%keyvals]{source-class}{control-node}{target-class}
\umlpoint{node}
\umlNarynode{label-text}
\umlNarynode[options%keyvals]{label-text}

## Comments / constraints note ##
\umlnote{node-name}{note%text}
\umlnote[options%keyvals]{node-name}{note%text}
\umlHVHnote{node-name}{note%text}
\umlHVHnote[options%keyvals]{node-name}{note%text}
\umlHVnote{node-name}{note%text}
\umlHVnote[options%keyvals]{node-name}{note%text}
\umlVHVnote{node-name}{note%text}
\umlVHVnote[options%keyvals]{node-name}{note%text}
\umlVHnote{node-name}{note%text}
\umlVHnote[options%keyvals]{node-name}{note%text}

## Association class ##
\umlassocclass{class-name}{attributes}{operations}{}
\umlassocclass[options%keyvals]{class-name}{attributes}{operations}{}

## To change preferences ##
\tikzumlset{options%keyvals}

### << Use case diagrams >> ###

## To define a system ##
\begin{umlsystem}{system-name}
\begin{umlsystem}[options%keyvals]{system-name}
\end{umlsystem}

## To define an actor ##
\umlactor{actor-name}
\umlactor[options%keyvals]{actor-name}

## To define a use case ##
\umlusecase{label-text}
\umlusecase[options%keyvals]{label-text}

## To define a relation ##
\umlinclude{source-case}{target-case}
\umlinclude[options%keyvals]{source-case}{target-case}
\umlHVinclude{source-case}{target-case}
\umlHVinclude[options%keyvals]{source-case}{target-case}
\umlVHinclude{source-case}{target-case}
\umlVHinclude[options%keyvals]{source-case}{target-case}
\umlHVHinclude{source-case}{target-case}
\umlHVHinclude[options%keyvals]{source-case}{target-case}
\umlVHVinclude{source-case}{target-case}
\umlVHVinclude[options%keyvals]{source-case}{target-case}
\umlCNinclude{source-case}{control-node}{target-case}
\umlCNinclude[options%keyvals]{source-case}{control-node}{target-case}
\umlextend{source-case}{target-case}
\umlextend[options%keyvals]{source-case}{target-case}
\umlHVextend{source-case}{target-case}
\umlHVextend[options%keyvals]{source-case}{target-case}
\umlVHextend{source-case}{target-case}
\umlVHextend[options%keyvals]{source-case}{target-case}
\umlHVHextend{source-case}{target-case}
\umlHVHextend[options%keyvals]{source-case}{target-case}
\umlVHVextend{source-case}{target-case}
\umlVHVextend[options%keyvals]{source-case}{target-case}
\umlCNextend{source-case}{control-node}{target-case}
\umlCNextend[options%keyvals]{source-case}{control-node}{target-case}

### << State-transitions diagrams >> ###

## To define a state ##
\begin{umlstate}{state-name}
\begin{umlstate}[options%keyvals]{state-name}
\end{umlstate}
\umlbasicstate{state-name}
\umlbasicstate[options%keyvals]{state-name}
\umlstateinitial
\umlstateinitial[options%keyvals]
\umlstatefinal
\umlstatefinal[options%keyvals]
\umlstatejoin
\umlstatejoin[options%keyvals]
\umlstatedecision
\umlstatedecision[options%keyvals]
\umlstateenter
\umlstateenter[options%keyvals]
\umlstateexit
\umlstateexit[options%keyvals]
\umlstateend
\umlstateend[options%keyvals]
\umlstatehistory
\umlstatehistory[options%keyvals]
\umlstatedeephistory
\umlstatedeephistory[options%keyvals]

## To define a transition ##
\umltrans{source-state}{target-state}
\umltrans[options%keyvals]{source-state}{target-state}
\umlHVtrans{source-state}{target-state}
\umlHVtrans[options%keyvals]{source-state}{target-state}
\umlVHtrans{source-state}{target-state}
\umlVHtrans[options%keyvals]{source-state}{target-state}
\umlVHVtrans{source-state}{target-state}
\umlVHVtrans[options%keyvals]{source-state}{target-state}
\umlHVHtrans{source-state}{target-state}
\umlHVHtrans[options%keyvals]{source-state}{target-state}
\umlCNtrans{source-state}{control-node}{target-state}
\umlCNtrans[options%keyvals]{source-state}{control-node}{target-state}

### << Sequence diagrams >> ##

## To define a sequence diagram ##
\begin{umlseqdiag}
\end{umlseqdiag}

## To define an object ##
\umlobject{object-name}
\umlobject[options%keyvals]{object-name}
\umlbasicobject{object-name}
\umlbasicobject[options%keyvals]{object-name}
\umldatabase{database-name}
\umldatabase[options%keyvals]{database-name}
\umlmulti{object-name}
\umlmulti[options%keyvals]{object-name}
\umlentity{entity-name}
\umlentity[options%keyvals]{entity-name}
\umlboundary{boundary-name}
\umlboundary[options%keyvals]{boundary-name}
\umlcontrol{control-name}
\umlcontrol[options%keyvals]{control-name}


## To define a function call ##
\begin{umlcall}{source-object}{target-object}
\begin{umlcall}[options%keyvals]{source-object}{target-object}
\end{umlcall}
\begin{umlcallself}{object}
\begin{umlcallself}[options%keyvals]{object}
\end{umlcallself}
\umlcreatecall{call-sender}{object-name}
\umlcreatecall[options%keyvals]{call-sender}{object-name}

## To define a combined fragment ##
\begin{umlfragment}
\begin{umlfragment}[options%keyvals]
\end{umlfragment}
\umlfpart
\umlfpart[label-text]

### << Component diagrams >> ###

## To define a component ##
\begin{umlcomponent}{component-name}
\begin{umlcomponent}[options%keyvals]{component-name}
\end{umlcomponent}
\umlbasiccomponent{component-name}
\umlbasiccomponent[options%keyvals]{component-name}

## To define a provided/required interface ##
\umlprovidedinterface{interface-name}
\umlprovidedinterface[options%keyvals]{interface-name}
\umlrequiredinterface{interface-name}
\umlrequiredinterface[options%keyvals]{interface-name}

## To define an assembly connector ##
\umlassemblyconnector{component1}{component2}
\umlassemblyconnector[options%keyvals]{component1}{component2}
\umlHVassemblyconnector{component1}{component2}
\umlHVassemblyconnector[options%keyvals]{component1}{component2}
\umlVHassemblyconnector{component1}{component2}
\umlVHassemblyconnector[options%keyvals]{component1}{component2}
\umlHVHassemblyconnector{component1}{component2}
\umlHVHassemblyconnector[options%keyvals]{component1}{component2}
\umlVHVassemblyconnector{component1}{component2}
\umlVHVassemblyconnector[options%keyvals]{component1}{component2}

## To define a delegate connector ##
\umldelegateconnector{sub-component}{parent-component}
\umldelegateconnector[options%keyvals]{sub-component}{parent-component}
\umlHVdelegateconnector{sub-component}{parent-component}
\umlHVdelegateconnector[options%keyvals]{sub-component}{parent-component}
\umlVHdelegateconnector{sub-component}{parent-component}
\umlVHdelegateconnector[options%keyvals]{sub-component}{parent-component}
\umlHVHdelegateconnector{sub-component}{parent-component}
\umlHVHdelegateconnector[options%keyvals]{sub-component}{parent-component}
\umlVHVdelegateconnector{sub-component}{parent-component}
\umlVHVdelegateconnector[options%keyvals]{sub-component}{parent-component}

## To define a port on a component ##
\umlport{component-name}{anchor}
\umlport[options%keyvals]{component-name}{anchor}

# not documented
\umlCNfriend{source-class}{target-class}#*
\umlCNfriend[options%keyvals]{source-class}{target-class}#*
\umlHVHfriend{source-class}{target-class}#*
\umlHVHfriend[options%keyvals]{source-class}{target-class}#*
\umlHVfriend{source-class}{target-class}#*
\umlHVfriend[options%keyvals]{source-class}{target-class}#*
\umlVHVfriend{source-class}{target-class}#*
\umlVHVfriend[options%keyvals]{source-class}{target-class}#*
\umlVHfriend{source-class}{target-class}#*
\umlVHfriend[options%keyvals]{source-class}{target-class}#*
\umlfriend{source-class}{target-class}#*
\umlfriend[options%keyvals]{source-class}{target-class}#*
\umlassemblyconnectorsymbol{start-name}{end-name}#*
\umlnode{arg1}{arg2}#*
\umlsdnode{node}#*
\umlsdnode[options%keyvals]{node}#*
\umlstatetext{text}#*

\arcNum#S
\arcNumT#S
\attrAlign#S
\attrAlignT#S
\iftikzumlactorWithoutCoords#S
\iftikzumlassocclassWithoutCoords#S
\iftikzumlclassCircleShape#S
\iftikzumlclassSimpleStyle#S
\iftikzumlclassWithoutCoords#S
\iftikzumlcomponentWithoutCoords#S
\iftikzumlcreatecallNoDDots#S
\iftikzumlnoteWithoutCoords#S
\iftikzumlobjectNoDDots#S
\iftikzumlpackageSimpleStyle#S
\iftikzumlpackageWithoutCoords#S
\iftikzumlstatedecisionWithoutCoords#S
\iftikzumlstatedeephistoryWithoutCoords#S
\iftikzumlstateendWithoutCoords#S
\iftikzumlstateenterWithoutCoords#S
\iftikzumlstateexitWithoutCoords#S
\iftikzumlstatefinalWithoutCoords#S
\iftikzumlstatehistoryWithoutCoords#S
\iftikzumlstateinitialWithoutCoords#S
\iftikzumlstatejoinWithoutCoords#S
\iftikzumlstateWithoutCoords#S
\iftikzumlusecaseWithoutCoords#S
\keyname#S
\keyvalue#S
\multAlign#S
\multAlignT#S
\numArcs#S
\orientationT#S
\pgfsetlayersArg#S
\picturedactor{arg1}#S
\picturedboundary{arg1}#S
\picturedcomponent{arg1}#S
\picturedcontrol{arg1}#S
\pictureddatabase{arg1}#S
\pictureddeephistory{arg1}#S
\picturedentity{arg1}#S
\picturedhistory{arg1}#S
\posAttrName#S
\posAttrNameT#S
\posMultiplicity#S
\posMultiplicityT#S
\stereotype#S
\thepos#S
\theposStereo#S
\theposT#S
\thetikzumlActorNum#S
\thetikzumlCallEndFragmentNum#S
\thetikzumlCallLevel#S
\thetikzumlCallNum#S
\thetikzumlCallStartFragmentNum#S
\thetikzumlComponentLayers#S
\thetikzumlComponentLevel#S
\thetikzumlComponentSubComponentNum#S
\thetikzumlConnectorNum#S
\thetikzumlFragmentLayers#S
\thetikzumlFragmentLevel#S
\thetikzumlFragmentLevelNum#S
\thetikzumlFragmentNum#S
\thetikzumlFragmentPartNum#S
\thetikzumlNoteNum#S
\thetikzumlObjectNum#S
\thetikzumlPackageClassNum#S
\thetikzumlPackageLayers#S
\thetikzumlPackageLevel#S
\thetikzumlPackageSubPackageNum#S
\thetikzumlRelationNum#S
\thetikzumlSDNodeNum#S
\thetikzumlStateDecisionNum#S
\thetikzumlStateDeepHistoryNum#S
\thetikzumlStateEndNum#S
\thetikzumlStateEnterNum#S
\thetikzumlStateExitNum#S
\thetikzumlStateFinalNum#S
\thetikzumlStateHistoryNum#S
\thetikzumlStateInitialNum#S
\thetikzumlStateJoinNum#S
\thetikzumlStateLayers#S
\thetikzumlStateLevel#S
\thetikzumlStateSubStateNum#S
\thetikzumlStateText#S
\thetikzumlSystemLevel#S
\thetikzumlSystemUseCaseNum#S
\thetikzumlUseCaseNum#S
\tikzumlActorBelow#S
\tikzumlActorDefaultBelow#S
\tikzumlActorDrawColor#S
\tikzumlActorName#S
\tikzumlActorNodeName#S
\tikzumlActorPos#S
\tikzumlActorScale#S
\tikzumlActorTextColor#S
\tikzumlactorWithoutCoordsfalse#S
\tikzumlactorWithoutCoordstrue#S
\tikzumlActorX#S
\tikzumlActorY#S
\tikzumlAssemblyConnectorDefaultFillColor#S
\tikzumlAssemblyConnectorDrawColor#S
\tikzumlAssemblyConnectorEndAnchor#S
\tikzumlAssemblyConnectorEndAnchorTmp#S
\tikzumlAssemblyConnectorEndArm#S
\tikzumlAssemblyConnectorFillColor#S
\tikzumlAssemblyConnectorFirstArm#S
\tikzumlAssemblyConnectorGeometry#S
\tikzumlAssemblyConnectorLabel#S
\tikzumlAssemblyConnectorLastArm#S
\tikzumlAssemblyConnectorMiddleArm#S
\tikzumlAssemblyConnectorName#S
\tikzumlAssemblyConnectorPortFillColor#S
\tikzumlAssemblyConnectorSecondArm#S
\tikzumlAssemblyConnectorStartAnchor#S
\tikzumlAssemblyConnectorStartAnchorTmp#S
\tikzumlAssemblyConnectorStartArm#S
\tikzumlAssemblyConnectorSymbolName#S
\tikzumlAssemblyConnectorWidth#S
\tikzumlAssemblyConnectorWithPort#S
\tikzumlAssocClassArm#S
\tikzumlAssocClassAttributes#S
\tikzumlAssocClassDestAnchor#S
\tikzumlAssocClassDestAnchorold#S
\tikzumlAssocClassDrawColor#S
\tikzumlAssocClassFillColor#S
\tikzumlAssocClassGeometry#S
\tikzumlAssocClassHPadding#S
\tikzumlAssocClassMinimumWidth#S
\tikzumlAssocClassName#S
\tikzumlAssocClassNameOld#S
\tikzumlAssocClassNodeName#S
\tikzumlAssocClassOperations#S
\tikzumlassocclasspath#S
\tikzumlAssocClassPos#S
\tikzumlAssocClassRelationName#S
\tikzumlAssocClassRelationNodeName#S
\tikzumlAssocClassSrcAnchor#S
\tikzumlAssocClassSrcAnchorold#S
\tikzumlAssocClassTemplateFillColor#S
\tikzumlAssocClassTemplateParam#S
\tikzumlAssocClassTextColor#S
\tikzumlAssocClassType#S
\tikzumlAssocClassTypeTmp#S
\tikzumlAssocClassVPadding#S
\tikzumlAssocClassWeight#S
\tikzumlassocclassWithoutCoordsfalse#S
\tikzumlassocclassWithoutCoordstrue#S
\tikzumlAssocClassX#S
\tikzumlAssocClassY#S
\tikzumlBoundaryScale#S
\tikzumlCallBottom#S
\tikzumlCallBottomSrc#S
\tikzumlCallDefaultDT#S
\tikzumlCallDefaultFillColor#S
\tikzumlCallDefaultPadding#S
\tikzumlCallDefaultType#S
\tikzumlCallDrawColor#S
\tikzumlCallDT#S
\tikzumlCallDTold#S
\tikzumlCallEndNodeName#S
\tikzumlCallEndNodeNameold#S
\tikzumlCallFillColor#S
\tikzumlcallheight#S
\tikzumlcallheightold#S
\tikzumlCallName#S
\tikzumlCallOp#S
\tikzumlCallPadding#S
\tikzumlCallReturn#S
\tikzumlcallSrc#S
\tikzumlCallStartNodeName#S
\tikzumlCallStartNodeNameold#S
\tikzumlcallstyle#S
\tikzumlCallTextColor#S
\tikzumlCallType#S
\tikzumlCallWithReturn#S
\tikzumlClassAttributes#S
\tikzumlclassCircleShapefalse#S
\tikzumlclassCircleShapetrue#S
\tikzumlClassDefaultFillColor#S
\tikzumlClassDefaultType#S
\tikzumlClassDefaultWidth#S
\tikzumlClassDrawColor#S
\tikzumlClassFillColor#S
\tikzumlClassHPadding#S
\tikzumlClassMinimumWidth#S
\tikzumlClassName#S
\tikzumlClassNameOld#S
\tikzumlClassNodeName#S
\tikzumlClassOperations#S
\tikzumlClassPos#S
\tikzumlclassSimpleStylefalse#S
\tikzumlclassSimpleStyletrue#S
\tikzumlClassTags#S
\tikzumlClassTagsTmp#S
\tikzumlClassTemplateFillColor#S
\tikzumlClassTemplateFillColorDefaultFillColor#S
\tikzumlClassTemplateFillColorParam#S
\tikzumlClassTextColor#S
\tikzumlClassType#S
\tikzumlClassTypeTmp#S
\tikzumlClassVPadding#S
\tikzumlclassWithoutCoordsfalse#S
\tikzumlclassWithoutCoordstrue#S
\tikzumlClassX#S
\tikzumlClassY#S
\tikzumlCNRelationAlign#S
\tikzumlCNRelationAlignT#S
\tikzumlCNRelationAlignTO#S
\tikzumlCNRelationAlignTT#S
\tikzumlCNRelationAttrName#S
\tikzumlCNRelationAttrNameT#S
\tikzumlCNRelationAttrNameTO#S
\tikzumlCNRelationAttrNameTT#S
\tikzumlCNRelationDestAnchor#S
\tikzumlCNRelationDestAnchorold#S
\tikzumlCNRelationMultiplicity#S
\tikzumlCNRelationMultiplicityT#S
\tikzumlCNRelationMultiplicityTO#S
\tikzumlCNRelationMultiplicityTT#S
\tikzumlCNRelationName#S
\tikzumlCNRelationPositionT#S
\tikzumlCNRelationPositionTO#S
\tikzumlCNRelationPositionTT#S
\tikzumlCNRelationSrcAnchor#S
\tikzumlCNRelationSrcAnchorold#S
\tikzumlCNRelationStereoType#S
\tikzumlCNRelationStyle#S
\tikzumlComponentDefaultFillColor#S
\tikzumlComponentDefaultWidth#S
\tikzumlComponentDrawColor#S
\tikzumlComponentFillColor#S
\tikzumlComponentFitTmp#S
\tikzumlComponentLayersNum#S
\tikzumlComponentMinimumWidth#S
\tikzumlComponentName#S
\tikzumlComponentScale#S
\tikzumlComponentTextColor#S
\tikzumlcomponentWithoutCoordsfalse#S
\tikzumlcomponentWithoutCoordstrue#S
\tikzumlComponentXShift#S
\tikzumlComponentYShift#S
\tikzumlControlScale#S
\tikzumlCreateCallClass#S
\tikzumlCreateCallDefaultDT#S
\tikzumlCreateCallDrawColor#S
\tikzumlCreateCallDT#S
\tikzumlCreateCallDTold#S
\tikzumlCreateCallFillColor#S
\tikzumlCreateCallName#S
\tikzumlcreatecallNoDDotsfalse#S
\tikzumlcreatecallNoDDotstrue#S
\tikzumlCreateCallObjectDrawColor#S
\tikzumlCreateCallObjectFillColor#S
\tikzumlCreateCallObjectSrc#S
\tikzumlCreateCallObjectTextColor#S
\tikzumlCreateCallStereo#S
\tikzumlCreateCallTextColor#S
\tikzumlCreateCallX#S
\tikzumlDatabaseScale#S
\tikzumlDefaultDrawColor#S
\tikzumlDefaultFont#S
\tikzumlDefaultTextColor#S
\tikzumlDefaultX#S
\tikzumlDefaultY#S
\tikzumlDelegateConnectorWithEndPort#S
\tikzumlDelegateConnectorWithStartPort#S
\tikzumlDestClassName#S
\tikzumlDestClassNodeName#S
\tikzumldrawcall#S
\tikzumlEntityScale#S
\tikzumlfillcall#S
\tikzumlFirstArc#S
\tikzumlFragmentDefaultFillColor#S
\tikzumlFragmentDefaultType#S
\tikzumlFragmentDefaultXSep#S
\tikzumlFragmentDefaultYSep#S
\tikzumlFragmentDrawColor#S
\tikzumlFragmentFillColor#S
\tikzumlFragmentFitOld#S
\tikzumlFragmentLabel#S
\tikzumlFragmentLabelold#S
\tikzumlFragmentLayersNum#S
\tikzumlFragmentName#S
\tikzumlFragmentTextColor#S
\tikzumlFragmentType#S
\tikzumlFragmentXSep#S
\tikzumlFragmentXSep#S
\tikzumlFragmentYSep#S
\tikzumlFragmentYSep#S
\tikzumlIdList#S
\tikzumlIdListOld#S
\tikzumlInCreateCall#S
\tikzumlInterfaceWithPort#S
\tikzumlLastArc#S
\tikzumlMidOneArc#S
\tikzumlMidTwoArc#S
\tikzumlNaryName#S
\tikzumlNaryNodeAnchor#S
\tikzumlNaryNodeDefaultWidth#S
\tikzumlNaryNodeDrawColor#S
\tikzumlNaryNodeFillColor#S
\tikzumlNaryNodeLabelPos#S
\tikzumlNaryNodeMinimumWidth#S
\tikzumlNaryNodeName#S
\tikzumlNarynodePos#S
\tikzumlNaryNodeTextColor#S
\tikzumlNaryNodeWidth#S
\tikzumlNaryNodeX#S
\tikzumlNaryNodeY#S
\tikzumlNestingSymbolSize#S
\tikzumlNoteArm#S
\tikzumlNoteDefaultFillColor#S
\tikzumlNoteDefaultWidth#S
\tikzumlNoteDestAnchor#S
\tikzumlNoteDestAnchorold#S
\tikzumlNoteDrawColor#S
\tikzumlNoteFillColor#S
\tikzumlNoteGeometry#S
\tikzumlnotepath#S
\tikzumlNoteSrcAnchor#S
\tikzumlNoteSrcAnchorold#S
\tikzumlNoteTextColor#S
\tikzumlNoteTextWidth#S
\tikzumlNoteWeight#S
\tikzumlnoteWithoutCoordsfalse#S
\tikzumlnoteWithoutCoordstrue#S
\tikzumlNoteX#S
\tikzumlNoteY#S
\tikzumlObjectClass#S
\tikzumlObjectDefaultFillColor#S
\tikzumlObjectDefaultStereo#S
\tikzumlObjectDrawColor#S
\tikzumlObjectFillColor#S
\tikzumlObjectName#S
\tikzumlobjectNoDDotsfalse#S
\tikzumlobjectNoDDotstrue#S
\tikzumlObjectScale#S
\tikzumlObjectStereo#S
\tikzumlObjectTextColor#S
\tikzumlObjectY#S
\tikzumlPackageDefaultFillColor#S
\tikzumlPackageDefaultType#S
\tikzumlPackageDrawColor#S
\tikzumlPackageFillColor#S
\tikzumlPackageFitOld#S
\tikzumlPackageFitTmp#S
\tikzumlPackageLayersNum#S
\tikzumlPackageName#S
\tikzumlpackageSimpleStylefalse#S
\tikzumlpackageSimpleStyletrue#S
\tikzumlPackageTextColor#S
\tikzumlPackageType#S
\tikzumlPackageTypeTmp#S
\tikzumlpackageWithoutCoordsfalse#S
\tikzumlpackageWithoutCoordstrue#S
\tikzumlPackageXShift#S
\tikzumlPackageYShift#S
\tikzumlPath#S
\tikzumlPicturedActorScale#S
\tikzumlPortDefaultFillColor#S
\tikzumlPortDefaultWidth#S
\tikzumlPortDrawColor#S
\tikzumlPortFillColor#S
\tikzumlPortWidth#S
\tikzumlProvidedInterfaceDefaultDistance#S
\tikzumlProvidedInterfaceDefaultPadding#S
\tikzumlProvidedInterfaceDefaultWidth#S
\tikzumlProvidedInterfaceDistance#S
\tikzumlProvidedInterfaceDrawColor#S
\tikzumlProvidedInterfaceFillColor#S
\tikzumlProvidedInterfaceLabel#S
\tikzumlProvidedInterfaceName#S
\tikzumlProvidedInterfacePadding#S
\tikzumlProvidedInterfaceWidth#S
\tikzumlRelationAlign#S
\tikzumlRelationAlignT#S
\tikzumlRelationAlignTO#S
\tikzumlRelationAlignTT#S
\tikzumlRelationArmO#S
\tikzumlRelationArmT#S
\tikzumlRelationAttrName#S
\tikzumlRelationAttrNameT#S
\tikzumlRelationAttrNameTO#S
\tikzumlRelationAttrNameTT#S
\tikzumlRelationDefaultAngleO#S
\tikzumlRelationDefaultAngleT#S
\tikzumlRelationDefaultGeometry#S
\tikzumlRelationDefaultLoopSize#S
\tikzumlRelationDefaultPosO#S
\tikzumlRelationDefaultPosStereo#S
\tikzumlRelationDefaultPosT#S
\tikzumlRelationDefaultWeight#S
\tikzumlRelationDestAnchor#S
\tikzumlRelationDestAnchorold#S
\tikzumlRelationEndAngle#S
\tikzumlRelationGeometry#S
\tikzumlRelationLoopSize#S
\tikzumlRelationMultiplicity#S
\tikzumlRelationMultiplicityT#S
\tikzumlRelationMultiplicityTO#S
\tikzumlRelationMultiplicityTT#S
\tikzumlRelationName#S
\tikzumlRelationPositionT#S
\tikzumlRelationPositionTO#S
\tikzumlRelationPositionTT#S
\tikzumlRelationRecursiveDirectionEnd#S
\tikzumlRelationRecursiveDirectionStart#S
\tikzumlRelationRecursiveMode#S
\tikzumlRelationSrcAnchor#S
\tikzumlRelationSrcAnchorold#S
\tikzumlRelationStartAngle#S
\tikzumlRelationStereoType#S
\tikzumlRelationStyle#S
\tikzumlRelationWeight#S
\tikzumlRequiredInterfaceDefaultDistance#S
\tikzumlRequiredInterfaceDefaultPadding#S
\tikzumlRequiredInterfaceDefaultWidth#S
\tikzumlRequiredInterfaceDistance#S
\tikzumlRequiredInterfaceDrawColor#S
\tikzumlRequiredInterfaceFillColor#S
\tikzumlRequiredInterfaceLabel#S
\tikzumlRequiredInterfaceName#S
\tikzumlRequiredInterfacePadding#S
\tikzumlRequiredInterfaceWidth#S
\tikzumlSDNodeDT#S
\tikzumlSDNodeName#S
\tikzumlSimpleInterfaceDefaultWidth#S
\tikzumlskipescape[opt]{arg1}{arg2}#S
\tikzumlskipescape{arg1}{arg2}#S
\tikzumlSrcClassName#S
\tikzumlSrcClassNodeName#S
\tikzumlstatebodyinnerysep#S
\tikzumlStateDecisionColor#S
\tikzumlStateDecisionDefaultWidth#S
\tikzumlStateDecisionMinimumWidth#S
\tikzumlStateDecisionName#S
\tikzumlStateDecisionPos#S
\tikzumlstatedecisionWithoutCoordsfalse#S
\tikzumlstatedecisionWithoutCoordstrue#S
\tikzumlStateDecisionX#S
\tikzumlStateDecisionY#S
\tikzumlStateDeepHistoryColor#S
\tikzumlStateDeepHistoryDefaultWidth#S
\tikzumlStateDeepHistoryMinimumWidth#S
\tikzumlStateDeepHistoryName#S
\tikzumlStateDeepHistoryPos#S
\tikzumlstatedeephistoryWithoutCoordsfalse#S
\tikzumlstatedeephistoryWithoutCoordstrue#S
\tikzumlStateDeepHistoryX#S
\tikzumlStateDeepHistoryY#S
\tikzumlStateDefaultFillColor#S
\tikzumlStateDefaultWidth#S
\tikzumlStateDo#S
\tikzumlStateDrawColor#S
\tikzumlStateEndColor#S
\tikzumlStateEndDefaultWidth#S
\tikzumlStateEndMinimumWidth#S
\tikzumlStateEndName#S
\tikzumlStateEndPos#S
\tikzumlstateendWithoutCoordsfalse#S
\tikzumlstateendWithoutCoordstrue#S
\tikzumlStateEndX#S
\tikzumlStateEndY#S
\tikzumlStateEnterColor#S
\tikzumlStateEnterDefaultWidth#S
\tikzumlStateEnterMinimumWidth#S
\tikzumlStateEnterName#S
\tikzumlStateEnterPos#S
\tikzumlstateenterWithoutCoordsfalse#S
\tikzumlstateenterWithoutCoordstrue#S
\tikzumlStateEnterX#S
\tikzumlStateEnterY#S
\tikzumlStateEntry#S
\tikzumlStateExit#S
\tikzumlStateExitColor#S
\tikzumlStateExitDefaultWidth#S
\tikzumlStateExitMinimumWidth#S
\tikzumlStateExitName#S
\tikzumlStateExitPos#S
\tikzumlstateexitWithoutCoordsfalse#S
\tikzumlstateexitWithoutCoordstrue#S
\tikzumlStateExitX#S
\tikzumlStateExitY#S
\tikzumlStateFillColor#S
\tikzumlStateFinalColor#S
\tikzumlStateFinalDefaultWidth#S
\tikzumlStateFinalMinimumWidth#S
\tikzumlStateFinalName#S
\tikzumlStateFinalPos#S
\tikzumlstatefinalWithoutCoordsfalse#S
\tikzumlstatefinalWithoutCoordstrue#S
\tikzumlStateFinalX#S
\tikzumlStateFinalY#S
\tikzumlStateFitOld#S
\tikzumlStateFitTmp#S
\tikzumlStateHistoryColor#S
\tikzumlStateHistoryDefaultWidth#S
\tikzumlStateHistoryMinimumWidth#S
\tikzumlStateHistoryName#S
\tikzumlStateHistoryPos#S
\tikzumlstatehistoryWithoutCoordsfalse#S
\tikzumlstatehistoryWithoutCoordstrue#S
\tikzumlStateHistoryX#S
\tikzumlStateHistoryY#S
\tikzumlStateInitialColor#S
\tikzumlStateInitialDefaultWidth#S
\tikzumlStateInitialMinimumWidth#S
\tikzumlStateInitialName#S
\tikzumlStateInitialPos#S
\tikzumlstateinitialWithoutCoordsfalse#S
\tikzumlstateinitialWithoutCoordstrue#S
\tikzumlStateInitialX#S
\tikzumlStateInitialY#S
\tikzumlStateJoinColor#S
\tikzumlStateJoinDefaultWidth#S
\tikzumlStateJoinMinimumWidth#S
\tikzumlStateJoinName#S
\tikzumlStateJoinPos#S
\tikzumlstatejoinWithoutCoordsfalse#S
\tikzumlstatejoinWithoutCoordstrue#S
\tikzumlStateJoinX#S
\tikzumlStateJoinY#S
\tikzumlStateLayersNum#S
\tikzumlStateMinimumWidth#S
\tikzumlStateName#S
\tikzumlstaterootinnerysep#S
\tikzumlstaterootlabel#S
\tikzumlStateText#S
\tikzumlStateTextColor#S
\tikzumlStateTextOld#S
\tikzumlstateWithoutCoordsfalse#S
\tikzumlstateWithoutCoordstrue#S
\tikzumlStateXShift#S
\tikzumlStateYShift#S
\tikzumlSystemDefaultFillColor#S
\tikzumlSystemDrawColor#S
\tikzumlSystemFillColor#S
\tikzumlSystemFit#S
\tikzumlSystemFitOld#S
\tikzumlSystemName#S
\tikzumlSystemTextColor#S
\tikzumlSystemXShift#S
\tikzumlSystemYShift#S
\tikzumltextcall#S
\tikzumltypecall#S
\tikzumlUseCaseDefaultFillColor#S
\tikzumlUseCaseDrawColor#S
\tikzumlUseCaseFillColor#S
\tikzumlUseCaseName#S
\tikzumlUseCasePos#S
\tikzumlUseCaseText#S
\tikzumlUseCaseTextColor#S
\tikzumlUseCaseTextWidth#S
\tikzumlusecaseWithoutCoordsfalse#S
\tikzumlusecaseWithoutCoordstrue#S
\tikzumlUseCaseX#S
\tikzumlUseCaseY#S