# unicode-alphabets package
# Matthew Bertucci 1/24/2022

#include:pgfkeys
#include:pgfopts
#include:etoolbox
#include:xparse
#include:stringstrings
#include:csvsimple

#keyvals:\usepackage/unicode-alphabets#c
AGL
CYFI
LINCUA
MUFI
SIL
TITUS
UCSUR
UNZ
fonts={%<set1=\fontcmd1,...%>}
#endkeyvals

#ifOption:AGL
\agl{char name or code}
\agl*{char name or code}
\entity#*
\dotlessj#*
\LL#*
\ll#*
\commaaccent#*
\Acute#*
\Caron#*
\Dieresis#*
\DieresisAcute#*
\DieresisGrave#*
\Grave#*
\Hungarumlaut#*
\Macron#*
\cyrBreve#*
\cyrFlex#*
\dblGrave#*
\cyrbreve#*
\cyrflex#*
\dblgrave#*
\dieresisacute#*
\dieresisgrave#*
\copyrightserif#*
\registerserif#*
\trademarkserif#*
\onefitted#*
\rupiah#*
\threequartersemdash#*
\centinferior#*
\centsuperior#*
\commainferior#*
\commasuperior#*
\dollarinferior#*
\dollarsuperior#*
\hypheninferior#*
\hyphensuperior#*
\periodinferior#*
\periodsuperior#*
\asuperior#*
\bsuperior#*
\dsuperior#*
\esuperior#*
\isuperior#*
\lsuperior#*
\msuperior#*
\osuperior#*
\rsuperior#*
\ssuperior#*
\tsuperior#*
\Brevesmall#*
\Caronsmall#*
\Circumflexsmall#*
\Dotaccentsmall#*
\Hungarumlautsmall#*
\Lslashsmall#*
\OEsmall#*
\Ogoneksmall#*
\Ringsmall#*
\Scaronsmall#*
\Tildesmall#*
\Zcaronsmall#*
\exclamsmall#*
\dollaroldstyle#*
\ampersandsmall#*
\zerooldstyle#*
\oneoldstyle#*
\twooldstyle#*
\threeoldstyle#*
\fouroldstyle#*
\fiveoldstyle#*
\sixoldstyle#*
\sevenoldstyle#*
\eightoldstyle#*
\nineoldstyle#*
\questionsmall#*
\Gravesmall#*
\Asmall#*
\Bsmall#*
\Csmall#*
\Dsmall#*
\Esmall#*
\Fsmall#*
\Gsmall#*
\Hsmall#*
\Ismall#*
\Jsmall#*
\Ksmall#*
\Lsmall#*
\Msmall#*
\Nsmall#*
\Osmall#*
\Psmall#*
\Qsmall#*
\Rsmall#*
\Ssmall#*
\Tsmall#*
\Usmall#*
\Vsmall#*
\Wsmall#*
\Xsmall#*
\Ysmall#*
\Zsmall#*
\exclamdownsmall#*
\centoldstyle#*
\Dieresissmall#*
\Macronsmall#*
\Acutesmall#*
\Cedillasmall#*
\questiondownsmall#*
\Agravesmall#*
\Aacutesmall#*
\Acircumflexsmall#*
\Atildesmall#*
\Adieresissmall#*
\Aringsmall#*
\AEsmall#*
\Ccedillasmall#*
\Egravesmall#*
\Eacutesmall#*
\Ecircumflexsmall#*
\Edieresissmall#*
\Igravesmall#*
\Iacutesmall#*
\Icircumflexsmall#*
\Idieresissmall#*
\Ethsmall#*
\Ntildesmall#*
\Ogravesmall#*
\Oacutesmall#*
\Ocircumflexsmall#*
\Otildesmall#*
\Odieresissmall#*
\Oslashsmall#*
\Ugravesmall#*
\Uacutesmall#*
\Ucircumflexsmall#*
\Udieresissmall#*
\Yacutesmall#*
\Thornsmall#*
\Ydieresissmall#*
\maihanakatleftthai#*
\saraileftthai#*
\saraiileftthai#*
\saraueleftthai#*
\saraueeleftthai#*
\maitaikhuleftthai#*
\maiekupperleftthai#*
\maieklowrightthai#*
\maieklowleftthai#*
\maithoupperleftthai#*
\maitholowrightthai#*
\maitholowleftthai#*
\maitriupperleftthai#*
\maitrilowrightthai#*
\maitrilowleftthai#*
\maichattawaupperleftthai#*
\maichattawalowrightthai#*
\maichattawalowleftthai#*
\thanthakhatupperleftthai#*
\thanthakhatlowrightthai#*
\thanthakhatlowleftthai#*
\nikhahitleftthai#*
\radicalex#*
\arrowvertex#*
\arrowhorizex#*
\registersans#*
\copyrightsans#*
\trademarksans#*
\parenlefttp#*
\parenleftex#*
\parenleftbt#*
\bracketlefttp#*
\bracketleftex#*
\bracketleftbt#*
\bracelefttp#*
\braceleftmid#*
\braceleftbt#*
\braceex#*
\integralex#*
\parenrighttp#*
\parenrightex#*
\parenrightbt#*
\bracketrighttp#*
\bracketrightex#*
\bracketrightbt#*
\bracerighttp#*
\bracerightmid#*
\bracerightbt#*
\apple#*
#endif

#ifOption:CYFI
\cyfi{char name or code}
\cyfi*{char name or code}
#endif

# LINCUA loads CYFI, MUFI, and TITUS options
#ifOption:LINCUA
\cyfi{char name or code}
\cyfi*{char name or code}
\mufi{char name or code}
\mufi*{char name or code}
\titus{char name or code}
\titus*{char name or code}
# from CYFI
\entity#*
\dotlessj#*
\LL#*
\ll#*
\commaaccent#*
\Acute#*
\Caron#*
\Dieresis#*
\DieresisAcute#*
\DieresisGrave#*
\Grave#*
\Hungarumlaut#*
\Macron#*
\cyrBreve#*
\cyrFlex#*
\dblGrave#*
\cyrbreve#*
\cyrflex#*
\dblgrave#*
\dieresisacute#*
\dieresisgrave#*
\copyrightserif#*
\registerserif#*
\trademarkserif#*
\onefitted#*
\rupiah#*
\threequartersemdash#*
\centinferior#*
\centsuperior#*
\commainferior#*
\commasuperior#*
\dollarinferior#*
\dollarsuperior#*
\hypheninferior#*
\hyphensuperior#*
\periodinferior#*
\periodsuperior#*
\asuperior#*
\bsuperior#*
\dsuperior#*
\esuperior#*
\isuperior#*
\lsuperior#*
\msuperior#*
\osuperior#*
\rsuperior#*
\ssuperior#*
\tsuperior#*
\Brevesmall#*
\Caronsmall#*
\Circumflexsmall#*
\Dotaccentsmall#*
\Hungarumlautsmall#*
\Lslashsmall#*
\OEsmall#*
\Ogoneksmall#*
\Ringsmall#*
\Scaronsmall#*
\Tildesmall#*
\Zcaronsmall#*
\exclamsmall#*
\dollaroldstyle#*
\ampersandsmall#*
\zerooldstyle#*
\oneoldstyle#*
\twooldstyle#*
\threeoldstyle#*
\fouroldstyle#*
\fiveoldstyle#*
\sixoldstyle#*
\sevenoldstyle#*
\eightoldstyle#*
\nineoldstyle#*
\questionsmall#*
\Gravesmall#*
\Asmall#*
\Bsmall#*
\Csmall#*
\Dsmall#*
\Esmall#*
\Fsmall#*
\Gsmall#*
\Hsmall#*
\Ismall#*
\Jsmall#*
\Ksmall#*
\Lsmall#*
\Msmall#*
\Nsmall#*
\Osmall#*
\Psmall#*
\Qsmall#*
\Rsmall#*
\Ssmall#*
\Tsmall#*
\Usmall#*
\Vsmall#*
\Wsmall#*
\Xsmall#*
\Ysmall#*
\Zsmall#*
\exclamdownsmall#*
\centoldstyle#*
\Dieresissmall#*
\Macronsmall#*
\Acutesmall#*
\Cedillasmall#*
\questiondownsmall#*
\Agravesmall#*
\Aacutesmall#*
\Acircumflexsmall#*
\Atildesmall#*
\Adieresissmall#*
\Aringsmall#*
\AEsmall#*
\Ccedillasmall#*
\Egravesmall#*
\Eacutesmall#*
\Ecircumflexsmall#*
\Edieresissmall#*
\Igravesmall#*
\Iacutesmall#*
\Icircumflexsmall#*
\Idieresissmall#*
\Ethsmall#*
\Ntildesmall#*
\Ogravesmall#*
\Oacutesmall#*
\Ocircumflexsmall#*
\Otildesmall#*
\Odieresissmall#*
\Oslashsmall#*
\Ugravesmall#*
\Uacutesmall#*
\Ucircumflexsmall#*
\Udieresissmall#*
\Yacutesmall#*
\Thornsmall#*
\Ydieresissmall#*
\maihanakatleftthai#*
\saraileftthai#*
\saraiileftthai#*
\saraueleftthai#*
\saraueeleftthai#*
\maitaikhuleftthai#*
\maiekupperleftthai#*
\maieklowrightthai#*
\maieklowleftthai#*
\maithoupperleftthai#*
\maitholowrightthai#*
\maitholowleftthai#*
\maitriupperleftthai#*
\maitrilowrightthai#*
\maitrilowleftthai#*
\maichattawaupperleftthai#*
\maichattawalowrightthai#*
\maichattawalowleftthai#*
\thanthakhatupperleftthai#*
\thanthakhatlowrightthai#*
\thanthakhatlowleftthai#*
\nikhahitleftthai#*
\radicalex#*
\arrowvertex#*
\arrowhorizex#*
\registersans#*
\copyrightsans#*
\trademarksans#*
\parenlefttp#*
\parenleftex#*
\parenleftbt#*
\bracketlefttp#*
\bracketleftex#*
\bracketleftbt#*
\bracelefttp#*
\braceleftmid#*
\braceleftbt#*
\braceex#*
\integralex#*
\parenrighttp#*
\parenrightex#*
\parenrightbt#*
\bracketrighttp#*
\bracketrightex#*
\bracketrightbt#*
\bracerighttp#*
\bracerightmid#*
\bracerightbt#*
\apple#*
# from MUFI
\OEligogon#*
\Pdblac#*
\Vvertline#*
\oeligogon#*
\pdblac#*
\vvertline#*
\idblstrok#*
\jdblstrok#*
\autem#*
\vslashura#*
\vslashuradbl#*
\thornrarmlig#*
\Hrarmlig#*
\hrarmlig#*
\krarmlig#*
\UUlig#*
\uulig#*
\UElig#*
\uelig#*
\xslashlradbl#*
\aeligring#*
\aeligogonacute#*
\adiaguml#*
\odiaguml#*
\inodotogon#*
\orrotlig#*
\slonglbarlig#*
\iesup#*
\ausup#*
\eesup#*
\eosup#*
\iasup#*
\iosup#*
\iusup#*
\jesup#*
\mesup#*
\oosup#*
\resup#*
\uasup#*
\uvsup#*
\uwsup#*
\wasup#*
\wisup#*
\wusup#*
\wvsup#*
\grlig#*
\qvinslig#*
\gplig#*
\slongdestlig#*
\aenlacute#*
\aeligenl#*
\aenlosmalllig#*
\eogonenl#*
\slongaumllig#*
\slonghlig#*
\slongilig#*
\slongllig#*
\slongoumllig#*
\slongplig#*
\slongslonglig#*
\slongslongilig#*
\slongslongllig#*
\slongtilig#*
\slongtrlig#*
\slonguumllig#*
\slongvinslig#*
\hslonglig#*
\kslonglig#*
\slongacute#*
\AVligslashacute#*
\avligslashacute#*
\drotacute#*
\Finsacute#*
\finsacute#*
\Muncacute#*
\muncacute#*
\Ocurlacute#*
\ocurlacute#*
\rrotacute#*
\Vinsacute#*
\vinsacute#*
\eacombcirc#*
\eucombcirc#*
\ucurlbar#*
\AOligdblac#*
\aoligdblac#*
\AVligdblac#*
\avligdblac#*
\Oogondblac#*
\oogondblac#*
\Oslashdblac#*
\oslashdblac#*
\OEligdblac#*
\oeligdblac#*
\YYligdblac#*
\yyligdblac#*
\Oslashdot#*
\oslashdot#*
\pscapdot#*
\bscapdot#*
\drotdot#*
\dscapdot#*
\Finsdot#*
\finsdot#*
\finssemiclosedot#*
\finsclosedot#*
\fscapdot#*
\hscapdot#*
\kscapdot#*
\lscapdot#*
\mscapdot#*
\Oogondot#*
\oogondot#*
\Oslashdotbl#*
\oslashdotbl#*
\Juml#*
\juml#*
\OOliguml#*
\ooliguml#*
\PPliguml#*
\ppliguml#*
\YYliguml#*
\yyliguml#*
\AEligcurl#*
\aeligcurl#*
\Oslashmacracute#*
\oslashmacracute#*
\Oslashbreve#*
\oslashbreve#*
\AVligogon#*
\avligogon#*
\Eogoncurl#*
\eogoncurl#*
\Adotacute#*
\adotacute#*
\Idotacute#*
\idotacute#*
\Odotacute#*
\odotacute#*
\Oogondotacute#*
\oogondotacute#*
\Oslashdotacute#*
\oslashdotacute#*
\Udotacute#*
\udotacute#*
\bblig#*
\bglig#*
\cklig#*
\ctlig#*
\drotdrotlig#*
\eylig#*
\faumllig#*
\fjlig#*
\frlig#*
\ftlig#*
\fuumllig#*
\fylig#*
\fftlig#*
\ffylig#*
\ftylig#*
\gglig#*
\gdlig#*
\gdrotlig#*
\gethlig#*
\nscapslonglig#*
\pplig#*
\ppflourlig#*
\trlig#*
\ttlig#*
\trottrotlig#*
\tylig#*
\tzlig#*
\PPlig#*
\golig#*
\slongenl#*
\aenl#*
\benl#*
\cenl#*
\denl#*
\drotenl#*
\ethenl#*
\eenl#*
\fenl#*
\genl#*
\henl#*
\ienl#*
\jenl#*
\kenl#*
\lenl#*
\menl#*
\nenl#*
\oenl#*
\penl#*
\qenl#*
\renl#*
\senl#*
\tenl#*
\thornenl#*
\uenl#*
\venl#*
\wenl#*
\xenl#*
\yenl#*
\zenl#*
\inodotenl#*
\jnodotenl#*
\finsenl#*
\qscap#*
\xscap#*
\thornscap#*
\gscapdot#*
\nscapdot#*
\rscapdot#*
\sscapdot#*
\tscapdot#*
\bscapdotbl#*
\dscapdotbl#*
\gscapdotbl#*
\lscapdotbl#*
\mscapdotbl#*
\nscapdotbl#*
\rscapdotbl#*
\sscapdotbl#*
\tscapdotbl#*
\aacloselig#*
\anecklesselig#*
\anecklessvlig#*
\aflig#*
\afinslig#*
\aglig#*
\allig#*
\anlig#*
\anscaplig#*
\aplig#*
\arlig#*
\arscaplig#*
\athornlig#*
\oclig#*
\AnecklessElig#*
\uuligdblac#*
\UUligdblac#*
\AEligdotacute#*
\aeligdotacute#*
\oeligenl#*
\aoligenl#*
\aaligenl#*
\AAligacute#*
\aaligacute#*
\AOligacute#*
\aoligacute#*
\AUligacute#*
\auligacute#*
\AVligacute#*
\avligacute#*
\OOligacute#*
\ooligacute#*
\AAligdblac#*
\aaligdblac#*
\OOligdblac#*
\ooligdblac#*
\AAligdot#*
\aaligdot#*
\AYligdot#*
\ayligdot#*
\AAligdotbl#*
\aaligdotbl#*
\AOligdotbl#*
\aoligdotbl#*
\AUligdotbl#*
\auligdotbl#*
\AVligdotbl#*
\avligdotbl#*
\AYligdotbl#*
\ayligdotbl#*
\OOligdotbl#*
\ooligdotbl#*
\AAliguml#*
\aaliguml#*
\macrhigh#*
\macrmed#*
\ovlhigh#*
\ovlmed#*
\bsup#*
\bscapsup#*
\dscapsup#*
\fsup#*
\kscapsup#*
\psup#*
\tscapsup#*
\ysup#*
\inodotsup#*
\jsup#*
\jnodotsup#*
\oslashsup#*
\qsup#*
\anligsup#*
\arligsup#*
\anscapligsup#*
\trotsup#*
\wsup#*
\thornsup#*
\orrotsup#*
\orumsup#*
\rumsup#*
\Csqu#*
\Eunc#*
\Gsqu#*
\Hunc#*
\Munc#*
\Sclose#*
\slongdes#*
\sclose#*
\arscapligsup#*
\eogonsup#*
\emacrsup#*
\Asqu#*
\oogonsup#*
\omacrsup#*
\ET#*
\thornbarslash#*
\urrot#*
\etslash#*
\de#*
\punctinter#*
\punctelev#*
\dcurl#*
\fcurl#*
\kcurl#*
\gcurl#*
\ccurl#*
\tcurl#*
\nflour#*
\rflour#*
\USbase#*
\usbase#*
\ETslash#*
\sem#*
\chlig#*
\foumllig#*
\smallzero#*
\Vmod#*
\Xmod#*
\arbar#*
\rabar#*
\urlemn#*
\combcurlhigh#*
\erang#*
\ercurl#*
\combdothigh#*
\combcurlbar#*
\tridagger#*
\midring#*
\ramus#*
\medcom#*
\parag#*
\posit#*
\ductsimpl#*
\punctposit#*
\colmidcomposit#*
\tridotscomposit#*
\punctexclam#*
\punctintertilde#*
\punctvers#*
\renvoi#*
\punctelevdiag#*
\punctinterlemn#*
\bidotscomposit#*
\virgsusp#*
\punctflex#*
\virgmin#*
\hidot#*
\wavylin#*
\punctelevhiback#*
\punctelevhack#*
\combtripbrevebl#*
\ains#*
\Ains#*
\aopen#*
\aclose#*
\aeligred#*
\AOligred#*
\aoligred#*
\finsclose#*
\kunc#*
\kclose#*
\aunc#*
\aneckless#*
\Euncclose#*
\eunc#*
\eext#*
\etall#*
\finssemiclose#*
\finsdothook#*
\gdivloop#*
\glglowloop#*
\gsmlowloop#*
\ilong#*
\ksemiclose#*
\ldes#*
\mrdes#*
\Muncdes#*
\munc#*
\muncdes#*
\nrdes#*
\Nrdes#*
\nscaprdes#*
\nscapldes#*
\Qstem#*
\xldes#*
\yrgmainstrok#*
\hrdes#*
\munc#*
\muncrdes#*
\muncacute#*
\romnumCrevovl#*
\romaslibr#*
\romscapxbar#*
\romscapybar#*
\romscapdslash#*
\dram#*
\ecu#*
\florloop#*
\grosch#*
\libradut#*
\librafren#*
\libraital#*
\libraflem#*
\liranuov#*
\lirasterl#*
\markold#*
\markflour#*
\msign#*
\msignflour#*
\obol#*
\penningar#*
\reichtalold#*
\schillgerm#*
\schillgermscript#*
\scudi#*
\krone#*
\helbing#*
\ouncescript#*
\Cnumbar#*
\cnumbar#*
\lllig#*
\slongchlig#*
\slongjlig#*
\slongklig#*
\slongslig#*
\slongslongklig#*
\slongslongtlig#*
\metrmacr#*
\metrbreve#*
\metrmacrbreve#*
\metrbrevemacr#*
\metrmacracute#*
\metrmacrgrave#*
\metrbreveacute#*
\metrbrevegrave#*
\metrmacrbreveacute#*
\metrmacrbrevegrave#*
\metranc#*
\metrancacute#*
\metrancgrave#*
\metrpause#*
\metrmacrdblac#*
\metrmacrdblgrave#*
\metrbrevedblac#*
\metrbrevedblgrave#*
\metrancdblac#*
\metrancdblgrave#*
\metrdblbrevemacracute#*
\metrdblbrevemacrdblac#*
\metrdblbrevemacr#*
\Vovlhigh#*
\Xovlhigh#*
\Lovlhigh#*
\Covlhigh#*
\Dovlhigh#*
#endif

#ifOption:MUFI
\mufi{char name or code}
\mufi*{char name or code}
\OEligogon#*
\Pdblac#*
\Vvertline#*
\oeligogon#*
\pdblac#*
\vvertline#*
\idblstrok#*
\jdblstrok#*
\autem#*
\vslashura#*
\vslashuradbl#*
\thornrarmlig#*
\Hrarmlig#*
\hrarmlig#*
\krarmlig#*
\UUlig#*
\uulig#*
\UElig#*
\uelig#*
\xslashlradbl#*
\aeligring#*
\aeligogonacute#*
\adiaguml#*
\odiaguml#*
\inodotogon#*
\orrotlig#*
\slonglbarlig#*
\iesup#*
\ausup#*
\eesup#*
\eosup#*
\iasup#*
\iosup#*
\iusup#*
\jesup#*
\mesup#*
\oosup#*
\resup#*
\uasup#*
\uvsup#*
\uwsup#*
\wasup#*
\wisup#*
\wusup#*
\wvsup#*
\grlig#*
\qvinslig#*
\gplig#*
\slongdestlig#*
\aenlacute#*
\aeligenl#*
\aenlosmalllig#*
\eogonenl#*
\slongaumllig#*
\slonghlig#*
\slongilig#*
\slongllig#*
\slongoumllig#*
\slongplig#*
\slongslonglig#*
\slongslongilig#*
\slongslongllig#*
\slongtilig#*
\slongtrlig#*
\slonguumllig#*
\slongvinslig#*
\hslonglig#*
\kslonglig#*
\slongacute#*
\AVligslashacute#*
\avligslashacute#*
\drotacute#*
\Finsacute#*
\finsacute#*
\Muncacute#*
\muncacute#*
\Ocurlacute#*
\ocurlacute#*
\rrotacute#*
\Vinsacute#*
\vinsacute#*
\eacombcirc#*
\eucombcirc#*
\ucurlbar#*
\AOligdblac#*
\aoligdblac#*
\AVligdblac#*
\avligdblac#*
\Oogondblac#*
\oogondblac#*
\Oslashdblac#*
\oslashdblac#*
\OEligdblac#*
\oeligdblac#*
\YYligdblac#*
\yyligdblac#*
\Oslashdot#*
\oslashdot#*
\pscapdot#*
\bscapdot#*
\drotdot#*
\dscapdot#*
\Finsdot#*
\finsdot#*
\finssemiclosedot#*
\finsclosedot#*
\fscapdot#*
\hscapdot#*
\kscapdot#*
\lscapdot#*
\mscapdot#*
\Oogondot#*
\oogondot#*
\Oslashdotbl#*
\oslashdotbl#*
\Juml#*
\juml#*
\OOliguml#*
\ooliguml#*
\PPliguml#*
\ppliguml#*
\YYliguml#*
\yyliguml#*
\AEligcurl#*
\aeligcurl#*
\Oslashmacracute#*
\oslashmacracute#*
\Oslashbreve#*
\oslashbreve#*
\AVligogon#*
\avligogon#*
\Eogoncurl#*
\eogoncurl#*
\Adotacute#*
\adotacute#*
\Idotacute#*
\idotacute#*
\Odotacute#*
\odotacute#*
\Oogondotacute#*
\oogondotacute#*
\Oslashdotacute#*
\oslashdotacute#*
\Udotacute#*
\udotacute#*
\bblig#*
\bglig#*
\cklig#*
\ctlig#*
\drotdrotlig#*
\eylig#*
\faumllig#*
\fjlig#*
\frlig#*
\ftlig#*
\fuumllig#*
\fylig#*
\fftlig#*
\ffylig#*
\ftylig#*
\gglig#*
\gdlig#*
\gdrotlig#*
\gethlig#*
\nscapslonglig#*
\pplig#*
\ppflourlig#*
\trlig#*
\ttlig#*
\trottrotlig#*
\tylig#*
\tzlig#*
\PPlig#*
\golig#*
\slongenl#*
\aenl#*
\benl#*
\cenl#*
\denl#*
\drotenl#*
\ethenl#*
\eenl#*
\fenl#*
\genl#*
\henl#*
\ienl#*
\jenl#*
\kenl#*
\lenl#*
\menl#*
\nenl#*
\oenl#*
\penl#*
\qenl#*
\renl#*
\senl#*
\tenl#*
\thornenl#*
\uenl#*
\venl#*
\wenl#*
\xenl#*
\yenl#*
\zenl#*
\inodotenl#*
\jnodotenl#*
\finsenl#*
\qscap#*
\xscap#*
\thornscap#*
\gscapdot#*
\nscapdot#*
\rscapdot#*
\sscapdot#*
\tscapdot#*
\bscapdotbl#*
\dscapdotbl#*
\gscapdotbl#*
\lscapdotbl#*
\mscapdotbl#*
\nscapdotbl#*
\rscapdotbl#*
\sscapdotbl#*
\tscapdotbl#*
\aacloselig#*
\anecklesselig#*
\anecklessvlig#*
\aflig#*
\afinslig#*
\aglig#*
\allig#*
\anlig#*
\anscaplig#*
\aplig#*
\arlig#*
\arscaplig#*
\athornlig#*
\oclig#*
\AnecklessElig#*
\uuligdblac#*
\UUligdblac#*
\AEligdotacute#*
\aeligdotacute#*
\oeligenl#*
\aoligenl#*
\aaligenl#*
\AAligacute#*
\aaligacute#*
\AOligacute#*
\aoligacute#*
\AUligacute#*
\auligacute#*
\AVligacute#*
\avligacute#*
\OOligacute#*
\ooligacute#*
\AAligdblac#*
\aaligdblac#*
\OOligdblac#*
\ooligdblac#*
\AAligdot#*
\aaligdot#*
\AYligdot#*
\ayligdot#*
\AAligdotbl#*
\aaligdotbl#*
\AOligdotbl#*
\aoligdotbl#*
\AUligdotbl#*
\auligdotbl#*
\AVligdotbl#*
\avligdotbl#*
\AYligdotbl#*
\ayligdotbl#*
\OOligdotbl#*
\ooligdotbl#*
\AAliguml#*
\aaliguml#*
\macrhigh#*
\macrmed#*
\ovlhigh#*
\ovlmed#*
\bsup#*
\bscapsup#*
\dscapsup#*
\fsup#*
\kscapsup#*
\psup#*
\tscapsup#*
\ysup#*
\inodotsup#*
\jsup#*
\jnodotsup#*
\oslashsup#*
\qsup#*
\anligsup#*
\arligsup#*
\anscapligsup#*
\trotsup#*
\wsup#*
\thornsup#*
\orrotsup#*
\orumsup#*
\rumsup#*
\Csqu#*
\Eunc#*
\Gsqu#*
\Hunc#*
\Munc#*
\Sclose#*
\slongdes#*
\sclose#*
\arscapligsup#*
\eogonsup#*
\emacrsup#*
\Asqu#*
\oogonsup#*
\omacrsup#*
\ET#*
\thornbarslash#*
\urrot#*
\etslash#*
\de#*
\punctinter#*
\punctelev#*
\dcurl#*
\fcurl#*
\kcurl#*
\gcurl#*
\ccurl#*
\tcurl#*
\nflour#*
\rflour#*
\USbase#*
\usbase#*
\ETslash#*
\sem#*
\chlig#*
\foumllig#*
\smallzero#*
\Vmod#*
\Xmod#*
\arbar#*
\rabar#*
\urlemn#*
\combcurlhigh#*
\erang#*
\ercurl#*
\combdothigh#*
\combcurlbar#*
\tridagger#*
\midring#*
\ramus#*
\medcom#*
\parag#*
\posit#*
\ductsimpl#*
\punctposit#*
\colmidcomposit#*
\tridotscomposit#*
\punctexclam#*
\punctintertilde#*
\punctvers#*
\renvoi#*
\punctelevdiag#*
\punctinterlemn#*
\bidotscomposit#*
\virgsusp#*
\punctflex#*
\virgmin#*
\hidot#*
\wavylin#*
\punctelevhiback#*
\punctelevhack#*
\combtripbrevebl#*
\ains#*
\Ains#*
\aopen#*
\aclose#*
\aeligred#*
\AOligred#*
\aoligred#*
\finsclose#*
\kunc#*
\kclose#*
\aunc#*
\aneckless#*
\Euncclose#*
\eunc#*
\eext#*
\etall#*
\finssemiclose#*
\finsdothook#*
\gdivloop#*
\glglowloop#*
\gsmlowloop#*
\ilong#*
\ksemiclose#*
\ldes#*
\mrdes#*
\Muncdes#*
\munc#*
\muncdes#*
\nrdes#*
\Nrdes#*
\nscaprdes#*
\nscapldes#*
\Qstem#*
\xldes#*
\yrgmainstrok#*
\hrdes#*
\munc#*
\muncrdes#*
\muncacute#*
\romnumCrevovl#*
\romaslibr#*
\romscapxbar#*
\romscapybar#*
\romscapdslash#*
\dram#*
\ecu#*
\florloop#*
\grosch#*
\libradut#*
\librafren#*
\libraital#*
\libraflem#*
\liranuov#*
\lirasterl#*
\markold#*
\markflour#*
\msign#*
\msignflour#*
\obol#*
\penningar#*
\reichtalold#*
\schillgerm#*
\schillgermscript#*
\scudi#*
\krone#*
\helbing#*
\ouncescript#*
\Cnumbar#*
\cnumbar#*
\lllig#*
\slongchlig#*
\slongjlig#*
\slongklig#*
\slongslig#*
\slongslongklig#*
\slongslongtlig#*
\metrmacr#*
\metrbreve#*
\metrmacrbreve#*
\metrbrevemacr#*
\metrmacracute#*
\metrmacrgrave#*
\metrbreveacute#*
\metrbrevegrave#*
\metrmacrbreveacute#*
\metrmacrbrevegrave#*
\metranc#*
\metrancacute#*
\metrancgrave#*
\metrpause#*
\metrmacrdblac#*
\metrmacrdblgrave#*
\metrbrevedblac#*
\metrbrevedblgrave#*
\metrancdblac#*
\metrancdblgrave#*
\metrdblbrevemacracute#*
\metrdblbrevemacrdblac#*
\metrdblbrevemacr#*
\Vovlhigh#*
\Xovlhigh#*
\Lovlhigh#*
\Covlhigh#*
\Dovlhigh#*
#endif

#ifOption:SIL
\sil{char name or code}
\sil*{char name or code}
#endif

#ifOption:TITUS
\titus{char name or code}
\titus*{char name or code}
#endif

#ifOption:UCSUR
\ucsur{char name or code}
\ucsur*{char name or code}
#endif

#ifOption:UNZ
\unz{char name or code}
\unz*{char name or code}
\roundr#*
\longs#*
\germandbls#*
\germandblS#*
\prestroke#*
#endif