# unitsdef package
# Matthew Bertucci 2022/06/16 for v0.2

#include:fontenc
# loads T1 option of fontenc
#include:amsmath
#include:textcomp
#include:units
#include:xspace

#keyvals:\usepackage/unitsdef#c
OHM
ohm
redef-gensymb
liter
LITER
noxspace
noabbrv
ugly
noamperageabbr
nofrequncyabbr
nomolabbr
novoltageabbr
novolumeabbr
noweightabbr
noenergyabbr
nolengthabbr
notimeabbr
noconfig
#endkeyvals

#ifOption:OHM
\Micro
\Ohm
\Ohm[value]
\Celsius
\Celsius[value]
\Degree
\Degree[value]
#endif

#ifOption:redef-gensymb
\gensymbohm#*
\gensymbcelsius#*
\gensymbmicro#*
#endif

\unitvaluesep#*
\unitsignonly{\unitmacro}
\ilu{unit}
\ilu[value]{unit}
\arc{degree;min;sec}
\SI{value}{unit}
\unitSIdef#*

\newunit{\unitmacro%cmd}{unitsign}#d
\renewunit{\unitmacro%cmd}{unitsign}#d
\newnosepunit{\unitmacro%cmd}{unitsign}#d
\renewnosepunit{\unitmacro%cmd}{unitsign}#d
\per{numerator}{denominator}
\unittimes
\unitsep
\unitsuperscript{sup}

\setTextOmega{serif-def}{sans-serif-def}
\setMathOmega{def}
\setTextmu{serif-def}{sans-serif-def}
\setMathmu{def}
\setTextCelsius{serif-def}{sans-serif-def}
\setMathCelsius{def}
\setTextDegree{serif-def}{sans-serif-def}
\setMathDegree{def}

\yocto
\zepto
\atto
\femto
\pico
\nano
\micro
\milli
\centi
\deci
\deca
\hecto
\kilo
\mega
\giga
\tera
\peta
\exa
\zetta
\yotta

\meter
\meter[value]
\gram
\gram[value]
\kilogram
\kilogram[value]
\mole
\mole[value]
\second
\second[value]
\ampere
\ampere[value]
\kelvin
\kelvin[value]
\candela
\candela[value]
\picometer
\picometer[value]
\nanometer
\nanometer[value]
\micrometer
\micrometer[value]
\millimeter
\millimeter[value]
\centimeter
\centimeter[value]
\decimeter
\decimeter[value]
\kilometer
\kilometer[value]
\femtogram
\femtogram[value]
\picogram
\picogram[value]
\nanogram
\nanogram[value]
\microgram
\microgram[value]
\milligram
\milligram[value]
\femtomole
\femtomole[value]
\picomole
\picomole[value]
\nanomole
\nanomole[value]
\micromole
\micromole[value]
\millimole
\millimole[value]
\attosecond
\attosecond[value]
\femtosecond
\femtosecond[value]
\picosecond
\picosecond[value]
\nanosecond
\nanosecond[value]
\microsecond
\microsecond[value]
\millisecond
\millisecond[value]
\picoampere
\picoampere[value]
\nanoampere
\nanoampere[value]
\microampere
\microampere[value]
\milliampere
\milliampere[value]
\kiloampere
\kiloampere[value]
\percent
\percent[value]
\liter
\liter[value]
\femtoliter
\femtoliter[value]
\picoliter
\picoliter[value]
\nanoliter
\nanoliter[value]
\microliter
\microliter[value]
\milliliter
\milliliter[value]
\centiliter
\centiliter[value]
\deciliter
\deciliter[value]
\hectoliter
\hectoliter[value]
\cubicmeter
\cubicmeter[value]
\cubicmicrometer
\cubicmicrometer[value]
\cubicmillimeter
\cubicmillimeter[value]
\squaremeter
\squaremeter[value]
\ar
\ar[value]
\hektar
\hektar[value]
\squarecentimeter
\squarecentimeter[value]
\squaremillimeter
\squaremillimeter[value]
\squarekilometer
\squarekilometer[value]
\ton
\ton[value]
\volt
\volt[value]
\millivolt
\millivolt[value]
\kilovolt
\kilovolt[value]
\watt
\watt[value]
\milliwatt
\milliwatt[value]
\kilowatt
\kilowatt[value]
\megawatt
\megawatt[value]
\coulomb
\coulomb[value]
\ohm
\ohm[value]
\kiloohm
\kiloohm[value]
\megaohm
\megaohm[value]
\gigaohm
\gigaohm[value]
\siemens
\siemens[value]
\millisiemens
\millisiemens[value]
\farad
\farad[value]
\femtofarad
\femtofarad[value]
\picofarad
\picofarad[value]
\nanofarad
\nanofarad[value]
\microfarad
\microfarad[value]
\millifarad
\millifarad[value]
\joule
\joule[value]
\millijoule
\millijoule[value]
\kilojoule
\kilojoule[value]
\megajoule
\megajoule[value]
\calory
\calory[value]
\kilocalory
\kilocalory[value]
\electronvolt
\electronvolt[value]
\millielectronvolt
\millielectronvolt[value]
\kiloelectronvolt
\kiloelectronvolt[value]
\megaelectronvolt
\megaelectronvolt[value]
\gigaelectronvolt
\gigaelectronvolt[value]
\teraelectronvolt
\teraelectronvolt[value]
\minute
\minute[value]
\hour
\hour[value]
\days
\days[value]
\celsius
\celsius[value]
\radian
\radian[value]
\steradian
\steradian[value]
\degree
\degree[value]
\arcmin
\arcmin[value]
\arcsec
\arcsec[value]
\hertz
\hertz[value]
\kilohertz
\kilohertz[value]
\megahertz
\megahertz[value]
\gigahertz
\gigahertz[value]
\newton
\newton[value]
\millinewton
\millinewton[value]
\kilonewton
\kilonewton[value]
\pascal
\pascal[value]
\hectopascal
\hectopascal[value]
\uBar
\uBar[value]
\millibar
\millibar[value]
\weber
\weber[value]
\tesla
\tesla[value]
\henry
\henry[value]
\lumen
\lumen[value]
\lux
\lux[value]
\becquerel
\becquerel[value]
\megabecquerel
\megabecquerel[value]
\curie
\curie[value]
\sievert
\sievert[value]
\millisievert
\millisievert[value]

\unitCelsius#*
\unitDegree#*
\unitMathCelsius#*
\unitMathDegree#*
\unitMathOmega#*
\unitMathmu#*
\unitOmega#*
\unitTextCelsius#*
\unitTextDegree#*
\unitTextOmega#*
\unitTextmu#*
\unitmu#*

# from ampabbrv.cfg
\pA#*
\pA[value]#*
\nA#*
\nA[value]#*
\micA#*
\micA[value]#*
\mA#*
\mA[value]#*
\kA#*
\kA[value]#*

# from enerabbr.cfg
\kJ#*
\kJ[value]#*
\eV#*
\eV[value]#*
\meV#*
\meV[value]#*
\keV#*
\keV[value]#*
\MeV#*
\MeV[value]#*
\GeV#*
\GeV[value]#*
\TeV#*
\TeV[value]#*

# from freqabbr.cfg
\kHz#*
\kHz[value]#*
\MHz#*
\MHz[value]#*
\GHz#*
\GHz[value]#*

# from lengabbr.cfg
\picom#*
\picom[value]#*
\nm#*
\nm[value]#*
\micm#*
\micm[value]#*
\mm#*
\mm[value]#*
\cm#*
\cm[value]#*
\dm#*
\dm[value]#*
\km#*
\km[value]#*

# from molabbrv.cfg
\fmol#*
\fmol[value]#*
\pmol#*
\pmol[value]#*
\nmol#*
\nmol[value]#*
\micmol#*
\micmol[value]#*
\mmol#*
\mmol[value]#*

# from timeabbr.cfg
\sek#*
\sek[value]#*
\fs#*
\fs[value]#*
\ps#*
\ps[value]#*
\ns#*
\ns[value]#*
\mics#*
\mics[value]#*
\ms#*
\ms[value]#*

# from weigabbr.cfg
\kg#*
\kg[value]#*
\fg#*
\fg[value]#*
\pg#*
\pg[value]#*
\nanog#*
\nanog[value]#*
\micg#*
\micg[value]#*
\mg#*
\mg[value]#*

# from voltabbr.cfg
\kv#*
\kv[value]#*
\mv#*
\mv[value]#*

# from volabbrv.cfg
\fl#*
\fl[value]#*
\pl#*
\pl[value]#*
\nl#*
\nl[value]#*
\micl#*
\micl[value]#*
\ml#*
\ml[value]#*
\cl#*
\cl[value]#*
\dl#*
\dl[value]#*

# from T1 option of fontenc
\DH#n
\dh#n
\dj#n
\DJ#n
\guillemetleft#n
\guillemetright#n
\guillemotleft#*n
\guillemotright#*n
\guilsinglleft#n
\guilsinglright#n
\Hwithstroke#n
\hwithstroke#n
\k{arg}#n
\NG#n
\ng#n
\quotedblbase#n
\quotesinglbase#n
\textogonekcentered{arg}#n
\textquotedbl#n
\th#n
\TH#n