# tex/latex mode: Tex commands
# sdm 28.2.2011
# Updated by Ramon Abud Alcala 09.07.2021
# updated by Matthew Bertucci 4/13/2022 for v3.8.9

#include:ifpdf

\xyoption{option%keyvals}
\xyrequire{option%keyvals}
\xywithoption{option%keyvals}{code}#*
\xyeverywithoption{option%keyvals}{code}#*
\xyeveryrequest{option%keyvals}{code}#*

#keyvals:\usepackage/xy#c,\xyoption#c,\xyrequire#c,\xywithoption#c,\xyeverywithoption#c,\xyeveryrequest#c
curve
frame
tips
line
rotate
color
tile
import
movie
ps
tpic
emtex
necula
picture
all
dummy
arrow
2cell
matrix
graph
poly
web
arc
knot
smart
barr
dvidrv
dvips
dvitops
oztex
17oztex
textures
16textures
xdvi
pdf
v2
#endkeyvals

\afterPATH{decor}
\afterPOS{decor}
\AliasPattern{alias}{name}{file}#i
\ar[hop]
\arrowobject{object}
\begin{xy}#\math
\cir{spec}
\cir<radius>{spec}
\circleEdge#*
\Col
\CompileFixPoint{id}
\CompileMatrices
\CompilePrefix{prefix}
\composite{objects}
\connect
\croplattice{pt1}{pt2}{pt3}{pt4}{pt5}{pt6}{pt7}{pt8}
\crv{poslist}
\crvs{dir}
\curve{poslist}
\curveobject{object}
\ddtwocell
\defaultlatticebody#*
\dir{dir}
\Direction#*
\dltwocell
\drop
\drtwocell
\dtwocell
\dumpPSdict{filename}#*
\dutwocell
\ellipse{style}
\ellipse<dimen>{style}
\end{xy}
\endxy#*
\entrymodifiers={%<modifiers%>}
\everyentry={%<decor%>}
\everyxy={%<text%>}
\frm{frame}
\frm<dimen%l>{frame}
\halfrootthree#*
\halfroottwo#*
\knotstyle{char}
\knotSTYLE{code}
\knotstyles{char1}{char2}
\labelbox#*
\labelmargin
\labelstyle#*
\latticeA#*
\latticeB#*
\latticebody#*
\latticeX#*
\latticeY#*
\ldtwocell
\lltwocell
\LoadAllPatterns{file}#i
\LoadPattern{name}{file}#i
\lowercurveobject{object}
\lrtwocell
\ltwocell
\lutwocell
\MakeOutlines
\maxTPICpoints{number}
\modmapobject{object}
\MovieSetup{width=%<width%>,height=%<height%>}
\MultipleDrivers#*
\newdir{directional}{composite}
\newgraphescape{letter}{graph%formula}
\newxycolor{name}{code}
\newxypattern{name}{data}
\NoCompileMatrices
\NoEMspecials
\NoOutlines
\NoPScolor
\NoPSframes
\NoPSlines
\NoPSrotate
\NoPSspecials
\NoPStiles
\NoResizing
\NoRules
\NoTips
\NoTPICframes
\NoTPICspecials
\object
\objectbox{text}
\objectheight
\objectmargin
\objectstyle#*
\objectwidth
\OnlyOutlines
\partroottwo#*
\PATH
\PATHaction={%<stuff%>}
\PATHafterPOS
\POS
\qspline{style}
\rdtwocell
\rectangleEdge#*
\restore
\rltwocell
\Row
\rrtwocell
\rtwocell
\rutwocell
\save
\scene
\SelectTips{family}{size}
\ShowOutlines
\SilentMatrices
\SloppyCurves
\splinetolerance{dimen%l}
\turnradius
\twocell
\twocellhead{object}
\twocellstyle#*
\twocelltail{object}
\txt{text}
\txt<width>{text}
\udtwocell
\ultwocell
\uppercurveobject{object}
\urtwocell
\UseAllTwocells
\UseCompositeMaps
\UseCrayolaColors
\UseCurvedFrames
\UseEMspecials
\UseFontFrames
\UseHalfTwocells
\UsePatternFile{file}#i
\UsePScolor
\UsePSframes
\UsePSheader{file}#i
\UsePSlines
\UsePSrotate
\UsePSspecials{driver}
\UsePStiles
\UseResizing
\UseRules
\UseSingleDriver#*
\UseTips
\UseTPICframes
\UseTPICspecials
\UseTwocells
\utwocell
\uutwocell
\xtwocell[hop]{displace}
\xtwocell{displace}
\xy#*
\xyatipfont#*
\xybox{%<<pos><decor>%>}
\xybsqlfont#*
\xybtipfont#*
\xycircfont#*
\xycircle(x,y){style}
\xycircle<radius>{style}
\xycompile{%<<pos><decor>%>}
\xycompileto{%<name%>}{%<<pos><decor>%>}
\xydashfont#*
\xydate#*
\xyecho#*
\xygraph{graph%formula}
\xyignore{%<<pos><decor>%>}
\xyimport(width,height)(xoffset,yoffset){graphics code}
\xyimport(width,height){graphics code}
\xylattice{pt1}{pt2}{pt3}{pt4}
\xymatrix{xy code%formula}
\xymatrixcolsep
\xymatrixcompile{xy code%formula}#*
\xymatrixnocompile{xy code%formula}#*
\xymatrixrowsep
\xypolygon
\xypolyline{toks}
\xypolyname#*
\xypolynode
\xypolynum#*
\xyprovide{option}{name}{version}{author}{email}{address}#*
\xyPSdefaultdict#*
\xyquiet#*
\xyReloadDrivers#*
\xyresetcatcodes#*
\xyShowDrivers#*
\xytracing#*
\xyverbose#*
\xyversion#*
\zeroDivideLimit{number}#*
